/*
 Title:porductlist
 Author:yang sen
 Date:2016-8-13 12:57:45
 Version:v1.0
*/
define(function(){
    var PORDUCTLIST = (function(){
 		var API = "";
		var dqhqObj = [$("#app-recommend-huoqi"), $("#app-recommend-dingqi")];
		
 		return{

 			//初始化
			init:function(data){
				//this.getData();
				this.recommendT0(data.t0);
				this.recommendTn(data.tn);
				this.pageInit();
				this.dataObj = data;
			},
			pageInit:function(){
				var _this = this;
				
				//绑定事件
				if(_this.bind){
					_this.bindEvent();
				}
			},
			recommendT0:function(data){
				var _this = this;
				var prodList = data;
				var productHtml = '';
				if (!$.isEmptyObject(prodList)) {
					for (var i in prodList) {
						productHtml += _this.getProduct0Html(prodList[i],i);
						//获取产品OID
						localStorage.setItem("productInfo", JSON.stringify({
							productOid: prodList[i].oid,
							productName: prodList[i].productName
						}));
					}
				} 
				dqhqObj[0].html(productHtml);
			},
			recommendTn:function(data){
				var _this = this;
				var prodList = data;
				var productHtml = '';
				if (!$.isEmptyObject(prodList)) {
					for (var i in prodList) {
						//if (prodList[i].prodId == "3") {
							//if (prodList[i].newFlag != "1" && prodList[i].seckillFlag != "1") {
								productHtml += _this.getProductHtml(prodList[i],i);
							//	break;
							//}
						//}
					}
				} else {
					dqhqObj[0].removeClass("app_bline");
				}
				dqhqObj[1].html(productHtml);
			},
			//活期产品
			getProduct0Html: function(tradeObj,index) {
				var type = '', soldOut = '';
				if(!tradeObj.investMin){
					tradeObj.investMin = 0
				}
				if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
					soldOut = " sold_out";
//					type += '<span class="app_tag_icon">售罄</span>'
				}
//				type += GHUTILS.showProductLabels(tradeObj.productLabels);
				type += '<span class="app_intag_icon app_tag_c1">爽</span>'
				
				if(GHUTILS.isLabelProduct(tradeObj.productLabels, "experienceFund", true)){
					var product0Html = ''
				}else{
					var product0Html = '<div class="app_in_product_box app_huoqi' +
										soldOut + '"><div class="app-recommend-huoqi" data-href="' +
										tradeObj.oid + '"><div class="app_in_product_title">' + 
										tradeObj.productName + '</div><div class="app_pt20 text-align-center"><div class="app_cf90 "><span class="app_f30">'+ 
//										GHUTILS.switchShowType(tradeObj, false).interestSec + '%</span>'+ type +'</div><p class="app_f14 app_c80 app_mt8">昨日年化收益率</p></div><div class="app_mt20"><button type="button" class="mui-btn mui-btn-primary mui-btn-block">立即抢购</button></div><div class="app_clearfix app_mt10 app_f14 app_c80"><div class="mui-col-xs-4 app_fl text-align-center">T日起息</div><div class="mui-col-xs-4 app_fl text-align-center">随时可退</div><div class="mui-col-xs-4 app_fl text-align-center">提现闪电到账</div></div></div></div>';	
										GHUTILS.switchShowType(tradeObj, false).interestSec + '%</span>'+ type +'</div><p class="app_f14 app_c80 app_mt8">昨日年化收益率</p></div></div><div class="app_mt20 app-btn-huoqi" data-href="' +
										tradeObj.oid + '"><button type="button" class="mui-btn mui-btn-primary mui-btn-block">立即抢购</button></div><div class="app_clearfix app_mt10 app_f14 app_c80"><div class="mui-col-xs-12 app_fl text-align-center">提现闪电到账</div></div></div>';	
				}
				
				return product0Html;
			},
			//定期产品
			getProductHtml: function(tradeObj,index) {
				var prodctHtml = "";
				var aniNum = tradeObj.annualInterestSec.split("-");
				
				if(aniNum.length > 1){
					var animin = aniNum[0].replace("%","");
					var animax = aniNum[1].replace("%","");
					aniNum = animin + "-" + animax;
				}else{
					aniNum = aniNum[0].replace("%","");
				}
				
				var collectPercent = GHUTILS.toFixeds(GHUTILS.Fmul(GHUTILS.Fdiv(GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)), tradeObj.raisedTotalNumber), 100),2);
				var type = '', soldOut = '';
				if(!tradeObj.investMin){
					tradeObj.investMin = 0
				}
				if(tradeObj.state == "RAISEEND"){
					soldOut = " sold_out";
					type += '<span class="app_tag_icon">募集结束</span>'
				}else if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
					soldOut = " sold_out";
					type += '<span class="app_tag_icon">售罄</span>'
					collectPercent = "100.00"
				}
				type += GHUTILS.showProductLabels(tradeObj.productLabels);
				
				if(tradeObj.state == "RAISEEND" && GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)) != tradeObj.raisedTotalNumber){
					prodctHtml = '';
				}else{
					prodctHtml = '<div class="app_product_ihbox app-recommend-dingqi'
								+soldOut+'" data-href="'
								+tradeObj.oid + '"><div class="app_product_ihbox_title">' 
								+tradeObj.productName +type+'</div><div class="app_product_ihcon app_clearfix"><div class="app_product_ihview app_fl app_pt5 mui-col-xs-5"><div class="app_cf90 "><span class="app_f18">' 
								+aniNum + '%</span></div><p class="app_f14 app_cb3a app_mt8">预期年化收益率</p></div><div class="app_product_ihview app_fl mui-col-xs-7 app_pl10 app_pt5 app_pb5 app_f14"><div>投资期限：<span class="app_clistnum">' 
								+tradeObj.durationPeriod + '天</span></div><div class="app_mt10">起投金额：<span class="app_clistnum">' 
								+GHUTILS.formatCurrency(tradeObj.investMin) + '元</span></div></div></div><div class="app_pt15 app_pb15"><div class="app_progress_txt app_c80">'
								+collectPercent+'%</div><div class="app_progress_bar"><span style="width: '
								+collectPercent+'%;"></span></div></div></div>';
				}
				return prodctHtml;
			},
			bindEvent:function(){
				var _this = this;
				var ws = plus.webview.currentWebview();
				//活期立即购买
				$(".app_huoqi .app-btn-huoqi").off().on("tap", function() {
					var href = this.getAttribute("data-href");
					
					if (GHUTILS.linkChackLogin(this.id, ws.id)) {
						if(GHUTILS.getLocalUserInfo("bankCardNum")){
							_this.gett0detail(href);
						}else{
							GHUTILS.OPENPAGE({
								url: "../product-t0/product-t0-detail.html",
								id: GHUTILS.PAGESID.PROT0DETAIL,
								extras: {
									"productOid": href,
								}
							})
							GHUTILS.nativeUI.showWaiting();
						}
					}
				})
				//跳转活期详情
				$(".app-recommend-huoqi").off().on("tap", function() {
					var href = this.getAttribute("data-href");
					
					if (GHUTILS.linkChackLogin(this.id, ws.id)) {
						GHUTILS.OPENPAGE({
							url: "../product-t0/product-t0-detail.html",
							id: GHUTILS.PAGESID.PROT0DETAIL,
							extras: {
								"productOid": href,
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				})
				//定期
				$(".app-recommend-dingqi").off().on("tap", function() {
					// 友盟监听
					if (GHUTILS.linkChackLogin(this.id, ws.id)) {
						GHUTILS.OPENPAGE({
							url: "../product-tn/product-tn-detail.html",
							id: GHUTILS.PAGESID.PROT0DETAIL,
							extras: {
								"productOid": $(this).attr("data-href"),
//								collectPercent: $(this).attr("data-collectPercent") || 0
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
	
				});
			},
			gett0detail: function(oid){
				var _this = this;
				GHUTILS.LOAD({
					url: GHUTILS.API.TARGET.gett0detail+"?oid="+oid,
					type: "post",
					sw: true,
					callback: function(result) {
						console.log(JSON.stringify(result))
						if(GHUTILS.checkErrorCode(result)){
							if(!result.investMin){
								result.investMin = 0
							}
							if(!result.investMax){
								result.investMax = 0
							}
							if(result.state == "RAISEEND"){
								mui.toast("产品募集结束！")
							}else if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
								mui.toast("产品已售罄！")
							}else if(result.isOpenPurchase == "NO"){
								mui.toast("产品不可购买！")
							}else{
								_this.isLogin(function(){
									if(!GHUTILS.checkDepWit()){
										return
									}
									if(GHUTILS.isLabelProduct(result.productLabels, "新手")){
										if(!GHUTILS.isFreshman()){
											return
										}
									}
									GHUTILS.OPENPAGE({
										url:"../../html/product-t0/product-t0-order.html",
										id:GHUTILS.PAGESID.PROT0ORDER,
										extras:{
											productName: result.productName,
											productOid: result.oid,
											annualInterestSec: GHUTILS.switchShowType(result, false).interestSec.split('-'),
											incomeCalcBasis: Number(result.incomeCalcBasis),
											purchasingAmount: result.investMin,
											increaseAmount: GHUTILS.Fmul(result.investAdditional, result.netUnitShare),
											maxSaleVolume: GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare),
											investMax: GHUTILS.Fmul(result.investMax, result.netUnitShare),
											investVolume: parseFloat("1000"),
											investFiles: HOST+result.investFiles[0].furl,
											serviceFiles: HOST+result.serviceFiles[0].furl,
											productCode: result.productCode,
											interestsFirstDays: result.interestsFirstDays,
											maxHold: result.maxHold,
											companyName: result.companyName
										}
									})
									GHUTILS.nativeUI.showWaiting();
								})
							}
						}
					}
				})
			},
			isLogin: function(ifTrue){
				var _this = this;
				GHUTILS.LOAD({
					url: GHUTILS.API.CHA.islogin,
					type: "post",
					callback: function(result){
						if(GHUTILS.checkErrorCode(result)){
							if(result.islogin){
								ifTrue.apply(null, arguments)
							}else{
								GHUTILS.loginOut(function(){
									var cb = {
										cb:"reload",
										pageid:plus.webview.currentWebview().id
									}
									GHUTILS.openLogin(JSON.stringify(cb));
								});
							}
						}
					}
				})
			},
			dateInit:function(){
	
	        }
		}
 	})();

	$["productlist"] = function(data){

		PORDUCTLIST.bind = getCfgBind("productlist");
		PORDUCTLIST.init(data);
	}
})