/*
 Title:我的定期
 Author:fanyu
 Date:2016-8-22 09:31:00
 Version:v1.0
*/

mui.init();

(function($) {
	var PR = function() {
		this.ws = plus.webview.currentWebview().tabid;
		this.type = ["notice", "activity"];
		this.pageNum = [1, 1, 1];
		return this;
	}
	PR.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
//			$("#slider").css({"top": GHUTILS.setTop(44)+"px"})
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.pullRefresh();
		},
		pageInit: function() {
			var _this = this;

		},
		getData: function(index, refresh) {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.messages+"?type="+_this.type[index]+'&page='+_this.pageNum[index]+'&rows=10&status=on',
				data: {},
				type: "post",				
				async: true,
				timeout: 3000,
				callback: function(result) {
//					console.log(JSON.stringify(result))
					if (GHUTILS.checkErrorCode(result)) {
						var list = result.rows;
						_this.pageNum[index]++;
						var html = '';
						if (index == 0) {
							for (var i in list) {
								html += _this.getHtml(list[i]);
							}
						} else if (index == 1) {
							for (var i in list) {
								html += _this.getHtml(list[i]);
							}
						}
						$('#' + _this.type[index] + 'count').html(result.total);
							
						$('#app-' + _this.type[index] + '-box').append(html);
						_this.bindEvent();
						_this.closeWaiting(index);
						if (list.length < 10 || $.isEmptyObject(list)) {
							refresh.endPullUpToRefresh(true);
						} else {
							refresh.endPullUpToRefresh(false);
						}
					}

				},
				errcallback: function(result) {
					_this.closeWaiting(index);
					refresh.endPullUpToRefresh(true);
				}

			});
		},
		getNotice: function(index, refresh) {
			var _this = this;
			var num = plus.screen.resolutionWidth < 375 ? 8 : 12;
			GHUTILS.LOAD({
				url: GHUTILS.API.HOME.getnotices + "?page=" + _this.pageNum[index] + "&rows=10&channelOid=" + cmsChannelOid,
				data: {},
				type: "post",
				async: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					var notice = result.rows;
					var html = "";
					var newHtml = "";
					var hotHtml = "";
					_this.pageNum[index]++;
					$.each(notice, function(i, val) {
						var linkpages = "";
						var linkHtml = "";
						var title = val.title.length > num ? val.title.substr(0,num)+"..." : val.title
						if(val.linkUrl){
							linkpages = "app_link_pages";
						}else{
							if(val.linkHtml){
								linkpages = "app_linkHtml";
								linkHtml = encodeURIComponent(val.linkHtml)
								if(val.linkHtml.lastIndexOf(",") != -1 && val.linkHtml.length - val.linkHtml.lastIndexOf(",") == 1){
									linkHtml = encodeURIComponent(val.linkHtml.substr(0,val.linkHtml.lastIndexOf(",")))
								}
							}
						}
						if (val.subscript == "New") {
							newHtml = "<img src='../../images/icon_new.png' class='app_news_icons app_ml5' />";
						} else {
							newHtml = '';
						}
						if (val.subscript == "Hot") {
							hotHtml = "<img src='../../images/icon_hot.png' class='app_news_icons app_ml5'/>";
						} else {
							hotHtml = '';
						}
						html = html + "<div class='" + linkpages + " app_bline app_links' data-linkHtml='"+linkHtml+"' data-links='" + val.linkUrl + "' data-title='" + val.title + "'><li class='mui-table-view-cell'><a class='mui-navigate-right' href='javascript:;'><span class='mui-badge mui-badge-inverted'>" + val.releaseTime + "</span>" + title + "" + newHtml + hotHtml + "</a></li></div>";
					})
					if (notice.length < 10 || $.isEmptyObject(notice)) {
						refresh.endPullUpToRefresh(true);
					} else {
						refresh.endPullUpToRefresh(false);
					}
					$('#' + _this.type[index] + 'count').html(result.total);
					$("#home_notice_title").append(html);
					
					$(".app_linkHtml").off().on("tap",function(){
						GHUTILS.OPENPAGE({
							url:"../../html/index/content_pages.html",
							id:GHUTILS.PAGESID.CONTENT,
							autoShow:true,
							extras:{
								title: $(this).attr("data-title"),
								content: $(this).attr("data-linkHtml")
							}
						})
					});
					
					GHUTILS.linkPages();
					
					_this.closeWaiting(index);
				},
				errcallback: function(result) {
					_this.closeWaiting(index);
					refresh.endPullUpToRefresh(true);
				}
			});
		},
		closeWaiting: function(index) {
			if (mui("#slider").slider().getSlideNumber() == index) {
				plus.nativeUI.closeWaiting();
			}
		},
		getHtml: function(Obj) {
//			
			if(Obj.title.length>20){
				Obj.title = Obj.title.substr(0,16)+'...'
			}
			var time = Obj.pushTime.split(' ')[0];
			var html="<div class='app_myproduct_box app_pb20 app_activity_links' data-type='"+ Obj.type +"' data-title='"+ Obj.title +"' data-url='"+ Obj.url +"' data-summary='"+ encodeURIComponent(Obj.summary) +"'><div class='app_c5'>"+ Obj.title +"<span class='mui-pull-right app_c9'>"+ time +"</span></div><div class='app_cb3 mui-ellipsis-2'>"+ Obj.summary +"</div></div>"

			return html;
		},
		bindEvent: function() {
			var _this = this;
			$(".app_activity_links").off().on("tap", function() {
				var type = $(this).attr("data-type");
				var links = $(this).attr("data-url");
				var title = $(this).attr("data-title");
				var summary = $(this).attr("data-summary");
				if(type == "notice"){
					if(summary != ""){
						GHUTILS.OPENPAGE({
							url:"../../html/index/content_pages.html",
							id:GHUTILS.PAGESID.CONTENT,
							extras:{
								title: title,
								content: summary
							}
						})
					}
				}else if(type == "activity"){
					if(links != ""){
						GHUTILS.OPENPAGE({
							url:"../../html/index/index-linkpage.html",
							id:GHUTILS.PAGESID.LINKPAGES,
							extras:{
								links:links,
								title:title
							}
						})
					}
				}
			})
//			$(".app_link").off().on("tap", function() {
//				var productOid = $(this).attr("data-href");
//				var producttype = $(this).attr("data-type");
//				GHUTILS.OPENPAGE({
//					url: "../product-tn/product-tn-detail.html",
//					id: GHUTILS.PAGESID.PROTNDETAIL,
//					extras: {
//						"productOid": productOid,
//						"producttype": productOid,
//						orderlist: "orderlist"
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			})
		},

		pullRefresh: function() {
			var _this = this;
			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {
				//循环初始化所有下拉刷新，上拉加载。
				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					mui(pullRefreshEl).pullToRefresh({
						up: {
							auto: true,
							callback: function() {
								var self = this;
								if(index == 0){
									_this.getNotice(index, self);
								}else{
									_this.getData(index, self);
								}
							}
						}
					});
				});

			});

		}
	}
	mui.plusReady(function() {
		var pr = new PR();
		pr.init();
	});
	//	$(function() {
	//		var pr = new PR();
	//		pr.init();
	//	});
})(Zepto);