/*
 Title:赎回页面
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {
	
	var T0REDEEM = function(){
		this.ws = plus.webview.currentWebview();
		this.city = "";
		return this;
	}
	T0REDEEM.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			_this.getAllCities();
		},
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			$("#app_next").on("tap", function(){
				if($("#showCityPicker").val() && $("#showCityPicker").val() != " "){
					GHUTILS.OPENPAGE({
						url: '../../html/usermgmt/usermgmt-dealpwd.html',
						id: GHUTILS.PAGESID.DEALPWD,
						extras: {
							type: 'redeem',
							productOid: _this.ws.productOid,
							moneyVolume: _this.ws.moneyVolume,
							pageindex: 2,
							title: "转出成功",
							productName: _this.ws.productName,
							proT0OrderList: _this.ws.proT0OrderList || '',
							accT0HoldDet: _this.ws.accT0HoldDet || '',
							province: _this.city.split(" ")[0],
							city: _this.city.split(" ")[1]
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}else{
					mui.toast("请先选择开户行所在地区")
				}
			})
		},
		getAllCities: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.cityAll,
				type: "post",
				sw: false,
				callback: function(result){
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						mui.ready(function() {
							//二级联动
							var cityPicker = new mui.PopPicker({
								layer: 2
							});
							cityPicker.setData(result.rows);
							var showCityPickerButton = document.getElementById('showCityPicker');
							showCityPickerButton.addEventListener('tap', function(event) {
								cityPicker.show(function(items) {
									console.log(JSON.stringify(items))
									showCityPickerButton.value = ((items[0] || {}).text || "") + " " + ((items[1] || {}).text || "");
									_this.city = ((items[0] || {}).value || "") + " " + ((items[1] || {}).text || "");
									//返回 false 可以阻止选择框的关闭
									//return false;
								});
							}, false);
						});
					}
					plus.nativeUI.closeWaiting();
				}
			})
		}
	}
	mui.plusReady(function(){

		var t0redeem = new T0REDEEM();
			t0redeem.init();
	});
})(Zepto);