/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {

	var POLICYLIST = function() {
		this.ws = plus.webview.currentWebview();
		this.counter = 1;
		this.nodata = false;
		return this;
	}
	POLICYLIST.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
		},
		pageInit: function() {
			var _this = this;
			
			$('#app_policy').on('tap', function() {
				GHUTILS.OPENPAGE({
					url: "index-policy-detail.html",
				});
			});

			if (GHUTILS.getloginStatus(true)) {
				mui.init({
					pullRefresh: {
						container: '#app_pullRefresh',
						up: {
							auto:true,
							height: 50,
							auto: true,
							contentrefresh: "正在加载...",
							contentnomore: '没有更多数据了',
							callback: function() {
									if (_this.ws.policy_nm != undefined || _this.ws.policy_nm != null) {
										var projectHtml = _this.addPolicyItem(_this.ws);
										$("#policyList").append(projectHtml);
										_this.bindEvent();
										mui('#app_pullRefresh').pullRefresh().endPullupToRefresh(true);
										
									} else {
										_this.getData();
									}
									mui('#app_pullRefresh').pullRefresh().endPullupToRefresh(_this.nodata);
							}
						}
					}
				});
			}
		},
		getData: function() {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getinvestlist,
				data: {
					pageNum: _this.counter,
					pageUrl: "/tv2/app/usr/getinvestlist",
					productOid: "3",
					productTag: "",
					productStatus: "JH",
					productCode: ""
				},
				async:true,
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						console.log('pageNum：' + _this.counter);
						_this.counter += 1;
						var projectHtml = '';

						var custInvestList = result.data.rows;
						for (var i in custInvestList) {
							projectHtml += _this.addPolicyItem(custInvestList[i]);
						}

						if (custInvestList.length < 10 || $.isEmptyObject(custInvestList)) {
							_this.nodata = true;
						} else {
							_this.nodata = false;
						}

						$("#policyList").append(projectHtml);
						_this.bindEvent();
					}
				}
			});
		},
		bindEvent: function() {
			var _this = this;
			$(".app_links").on('tap', function() {
				GHUTILS.copyToClip($(this).attr('data-policyNum'));
			});
		},
		addPolicyItem: function(projectObj) {
			var projectHtml = '';
			if (projectObj.policy_nm != "") {
				projectHtml = '<ul class="mui-table-view app_mt10 app_policy_list"><li class="mui-table-view-cell"><div class="app_f14 app_fb">' + projectObj.productName + '</div><div class="app_mt10"><button type="button" class="mui-btn app_btn_min mui-pull-right app_links" data-policyNum="' + projectObj.policy_nm + '">复制</button>保险单号：' + projectObj.policy_nm + '</div><div>证件号码：' + projectObj.corpOrgIdNo + '</div><div>保险期限：' + projectObj.dlDay + '天，保单有效期至' + projectObj.bdEndDt + '</div></li></ul>';
			}
			return projectHtml;
		}
	}
	mui.plusReady(function() {
		var pl = new POLICYLIST();
		pl.init();
	});
})(Zepto);