/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {

    var dqhqObj = [$("#app-recommend-huoqi"), $("#app-recommend-dingqi")];
	var PRODUCTLIST = function() {
		//		this.ws = null;
		var ws = null;
		return this;
	}
	PRODUCTLIST.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.getData(); //获取数据
		},
		pageInit: function() {
			var _this = this;
			_this.ws = plus.webview.currentWebview();
			document.addEventListener("tapLink", function(e) {
				var elm = document.getElementById(e.detail.elm);
				mui.trigger(elm, "tap");
			});
			GHUTILS.listLinks();
			$("#vipCustomer").html('');
		},
		showMenu: function(show) {
			var _this = this;

		},
		getData: function() {
			var _this = this;
			if (_this.ws.showId == "vip") {
				_this.getVipData();
			} else if (_this.ws.showId == "newcomer") {
				_this.getNewData("002");

			} else if (_this.ws.showId == "seckill") {
				_this.getNewData("003");
			} else if (_this.ws.showId == "xin") {
				_this.getProt0Data();
			}
		},

		getNewData: function(Label) {
			var _this = this;
			_this.recommendObj = {};
			//获取新手专区列表
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.recommends,
				params: {
					channeOid: channelOid,
					productLabel: Label
				},
				sw:true,
				type: "post",
				callback: function(result) {
					if (result && result.errorCode == 0 &&  result.rows.length > 0) {
						_this.recommendObj.tn = []
						_this.recommendObj.t0 = []
						for (var i = 0; i < result.rows.length; i++) {
							if(result.rows[i].type == "PRODUCTTYPE_01"){
								_this.recommendObj.tn.push(result.rows[i]);
							}
							if(result.rows[i].type == "PRODUCTTYPE_02"){
								_this.recommendObj.t0.push(result.rows[i]);
							}
						}
						//$["productlist"](_this.recommendObj);
						_this.recommendT0(_this.recommendObj.t0);
						_this.recommendTn(_this.recommendObj.tn);
					}else{
						$("#app_list_tips").removeClass("app_none");
					}
					/*
					if (GHUTILS.checkErrorCode(result)) {
						var prodList = result.data;
						for (var i in prodList) {
							if (prodList[i].prodId == "3") {
								productHtml += _this.getNewProductHtml(prodList[i]);
							}
						}
						if (result.pageInfo.totalRecord == 0) {
							$("#app_list_tips").removeClass("app_none");
						}
						$("#app_product_list").html(productHtml);
						_this.bindEvent();
						plus.nativeUI.closeWaiting();
					}*/
				}
			});
		},
		recommendT0:function(data){
			var _this = this;
			var prodList = data;
			var productHtml = '';
			if (!$.isEmptyObject(prodList)) {
				for (var i in prodList) {
					productHtml += _this.getProduct0Html(prodList[i],i);
					//获取产品OID
					localStorage.setItem("productInfo", JSON.stringify({
						productOid: prodList[i].oid,
						productName: prodList[i].productName
					}));
					
				}
			} 
			dqhqObj[0].html(productHtml).show();
			_this.bindEvent();
		},
		recommendTn:function(data){
			var _this = this;
			var prodList = data;
			var productHtml = '';
			if (!$.isEmptyObject(prodList)) {
				for (var i in prodList) {
					//if (prodList[i].prodId == "3") {
						//if (prodList[i].newFlag != "1" && prodList[i].seckillFlag != "1") {
							productHtml += _this.getProductHtml(prodList[i],i);
						//	break;
						//}
					//}
				}
			} else {
				$("#app-recommend-huoqi").removeClass("app_bline");
			}
			dqhqObj[1].html(productHtml).show();
			_this.bindEvent();
		},
		//活期产品
		getProduct0Html: function(tradeObj,index) {
			var type = '', soldOut = '';
			if(!tradeObj.investMin){
				tradeObj.investMin = 0
			}
			if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">售罄</span>'
			}
			type += GHUTILS.showProductLabels(tradeObj.productLabels);
			
			var product0Html = '<div class="app_product_ihbox app-recommend-huoqi' +
								soldOut + '" data-href="' +
								tradeObj.oid + '"><div class="app_product_ihbox_title">' + 
								tradeObj.productName +type+ '</div><div class="app_product_ihcon app_clearfix app_pb15"><div class="app_product_ihview app_fl app_pt5 mui-col-xs-5"><div class="app_cf90 "><span class="app_f18">'+ 
								GHUTILS.switchShowType(tradeObj, false).interestSec + '%</span></div><p class="app_f14 app_cb3a app_mt8">预期年化收益率</p></div><div class="app_product_ihview app_fl mui-col-xs-7 app_pl10 app_pt5 pp_pb5 app_f14">锁定期：<span class="app_clistnum">' + 
								tradeObj.lockPeriodDays + ' 工作日</span><div class="app_mt10">起投金额：<span class="app_clistnum">'+
								GHUTILS.formatCurrency(tradeObj.investMin) +'元</span></div></div></div></div>';	
			return product0Html;
		},
		//定期产品
		getProductHtml: function(tradeObj,index) {
			var prodctHtml = "";
			var aniNum = tradeObj.annualInterestSec.split("-");
			
			if(aniNum.length > 1){
				var animin = aniNum[0].replace("%","");
				var animax = aniNum[1].replace("%","");
				aniNum = animin + "-" + animax;
			}else{
				aniNum = aniNum[0].replace("%","");
			}
			
			var collectPercent = GHUTILS.toFixeds(GHUTILS.Fmul(GHUTILS.Fdiv(GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)), tradeObj.raisedTotalNumber), 100),2);
			var type = '', soldOut = '';
			if(!tradeObj.investMin){
				tradeObj.investMin = 0
			}
			if(tradeObj.state == "RAISEEND"){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">募集结束</span>'
			}else if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">售罄</span>'
				collectPercent = "100.00"
			}
			type += GHUTILS.showProductLabels(tradeObj.productLabels);
			
			if(tradeObj.state == "RAISEEND" && GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)) != tradeObj.raisedTotalNumber){
				prodctHtml = '';
			}else{
				prodctHtml = '<div class="app_product_ihbox app-recommend-dingqi'
							+soldOut+'" data-href="'
							+tradeObj.oid + '"><div class="app_product_ihbox_title">' 
							+tradeObj.productName +type+'</div><div class="app_product_ihcon app_clearfix"><div class="app_product_ihview app_fl app_pt5 mui-col-xs-5"><div class="app_cf90 "><span class="app_f18">' 
							+aniNum + '%</span></div><p class="app_f14 app_cb3a app_mt8">预期年化收益率</p></div><div class="app_product_ihview app_fl mui-col-xs-7 app_pl10 app_pt5 app_pb5 app_f14"><div>投资期限：<span class="app_clistnum">' 
							+tradeObj.durationPeriod + '天</span></div><div class="app_mt10">起投金额：<span class="app_clistnum">' 
							+GHUTILS.formatCurrency(tradeObj.investMin) + '元</span></div></div></div><div class="app_pt15 app_pb15"><div class="app_progress_txt app_c80">'
							+collectPercent+'%</div><div class="app_progress_bar"><span style="width: '
							+collectPercent+'%;"></span></div></div></div>';
			}
			return prodctHtml;
		},
		getSeckillData: function() {
			var _this = this;
			var productHtml = '';
			var proNoCompleteIdArr = [];
			//获取秒杀专区列表
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.getsecKillproductlistNew,
				data: {},
				type: "post",
				async: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result)) {
						var prodList = result.data.rows;
						var length = prodList.length;
						if (length > 4) {
							length = 4;
						} 
						for(var i = 0; i < length; i++) {
							if(prodList[i].prodId == "3") { 
								productHtml += _this.getSeckillProductHtml(prodList[i]);							
							}
						} 
						if (length == 0 || productHtml == "" || length == null) {
							$("#app_list_tips_seckill").removeClass("app_none");
						}
						$("#app_product_list").html(productHtml);
						_this.bindEvent();
						plus.nativeUI.closeWaiting();
					}
				}
			});
		},
		getVipData: function() {
			var _this = this;
			var productHtml = '';
			var proNoCompleteIdArr = [];
			//获取vip列表
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.getvipproductlist,
				data: {},
				type: "post",
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						var prodList = result.data;
						var banner = '<div class="img_box"><img class="mui-col-xs-12" src="../../images/app-vip-banner-vipCustomer.png" height="100px" style="margin-top: -10px"/></div>';

						if (result.data.isVip == "0") {
							$("#normalCustomer").css("display", "block");
							plus.nativeUI.closeWaiting();
							return;
						}
						for (var i in prodList) {
							productHtml += _this.getvipProductHtml(prodList[i]);
						}

						if (productHtml == '') {
							if ($("#vipCustomer").html() == '') {
								$("#normalCustomer").css("display", "block");
								plus.nativeUI.closeWaiting();
							}
							return
						}
						productHtml = banner + productHtml;
						$("#vipCustomer").append(productHtml);
						_this.bindEvent();
						plus.nativeUI.closeWaiting();
					}
				}
			});
		},

		getNewProductHtml: function(tradeObj) {
			var type = '',
				soldOut = '',
				soldMark = '';
			var purchasingAmount = GHUTILS.formatCurrency(tradeObj.purchasingAmount);
			purchasingAmount = purchasingAmount.substr(0, purchasingAmount.indexOf("."));
			if (tradeObj.secureMan == "财产保险") {
				soldMark = " sold_mark"
			}
			if (tradeObj.collectPercent == 100) {
				soldOut = " sold_out"
				type = '<span class="app_tag_icon">售罄</span>'
			}
			var prodctHtml = '<div id="app-newcomer" class="app_links app_product_box' + soldOut + soldMark + '" data-href=' + tradeObj.productOid + ' data-collectPercent=' + tradeObj.collectPercent + '><div class="app_product_title"><span class="app_fb">' + tradeObj.productName + '</span><span class="app_tag_icon app_tag_c1">新手</span>' + type + '</div><div class="app_product_con app_clearfix"><div class="app_product_view mui-col-xs-6"><div class="app_cf90"><span class="app_f2x">' + tradeObj.annualInterest + '</span><span>%</span></div><p class="app_f08x app_cb3 app_mt5">预期年化收益率</p></div><div class="app_product_view mui-col-xs-6"><p>投资期限：' + tradeObj.investPeriod + '天</p><p class="app_mt10">起投金额：' + purchasingAmount + '元</p></div></div><div class="app_progress_box"><div class="app_progress_txt">' + tradeObj.collectPercent + '%</div><div class="app_progress_bar mui-col-xs-10"><span style="width: ' + tradeObj.collectPercent + '%;"></span></div></div></div>';
			return prodctHtml;
		},
		getSeckillProductHtml: function(tradeObj) {
			var type = '',
				soldOut = '',
				soldMark = '';
			var purchasingAmount = GHUTILS.formatCurrency(tradeObj.purchasingAmount);
			purchasingAmount = purchasingAmount.substr(0, purchasingAmount.indexOf("."));
			if (tradeObj.secureMan == "财产保险") {
				soldMark = " sold_mark"
			}
			if (tradeObj.collectPercent == 100) {
				soldOut = " sold_out"
				type = '<span class="app_tag_icon">售罄</span>'
			}
			var prodctHtml = '<div id="app-seckill" class="app_links app_product_box' + soldOut + soldMark + '" data-href=' + tradeObj.productOid + ' data-collectPercent=' + tradeObj.collectPercent + '><div class="app_product_title"><span class="app_fb">' + tradeObj.productName + '</span><span class="app_tag_icon app_tag_c2">秒杀</span></div><div class="app_product_con app_clearfix"><div class="app_product_view mui-col-xs-6"><div class="app_cf90"><span class="app_f2x">' + tradeObj.annualInterest + '</span><span>%</span></div><p class="app_f08x app_cb3 app_mt5">预期年化收益率</p></div><div class="app_product_view mui-col-xs-6"><p>投资期限：' + tradeObj.investPeriod + '天</p><p class="app_mt10">起投金额：' + purchasingAmount + '元</p></div></div><div class="app_progress_box"><div class="app_progress_txt">' + tradeObj.collectPercent + '%</div><div class="app_progress_bar mui-col-xs-10"><span style="width: ' + tradeObj.collectPercent + '%;"></span></div></div></div>';
			return prodctHtml;
		},
		getvipProductHtml: function(tradeObj) {
			var _this = this;
			var prodHtml = '';
			var managerHtml = '';
			var _viewOff = '';
			var name = '';
			var tel = '';
			var type = '',
				soldOut = '',
				soldMark = '';
			var _mt = tradeObj.collectPercent > 0 ? -5 : -2;
			var purchasingAmount = GHUTILS.formatCurrency(tradeObj.purchasingAmount);
			purchasingAmount = purchasingAmount.substr(0, purchasingAmount.indexOf("."));
			if (tradeObj.secureMan == "财产保险") {
				soldMark = " sold_mark"
			}
			if (tradeObj.collectPercent == 100) {
				soldOut = " sold_out"
				type = '<span class="app_tag_icon">售罄</span>'
			}
			for (var i in tradeObj.vipManagerInfo) {
				name += tradeObj.vipManagerInfo[i].sname;
				tel += tradeObj.vipManagerInfo[i].contact;
			}
			managerHtml = '<div class="app_bottom_vip">' + '<p class="app_f13 app_mb5 app_ml20" style="color: #A48D79">联系方式</p>' + '<dl class="app_txt_list app_lh10" style="margin-left: 20px;line-height: 9px;">' + '	<img src="../../images/app-people.png" class="app-width-20" />' + '<dd class="app_f13 app_ml25" style="color: #A48D79; margin-top: -13px;">客户专员：' + name + '</dd>' + '</dl>' + '</div>' + '</div>';
 
			prodHtml = '<div id="app-vip" class="app_links' + soldOut + soldMark + '" data-href=' + tradeObj.productOid + ' data-collectPercent=' + tradeObj.collectPercent + '>' + '<div class="app_product_title"><span class="app_fb">' + tradeObj.productName + '</span><span class="app_tag_icon app_tag_c3">vip</span></div><div class="app_product_con app_clearfix"><div class="app_product_view mui-col-xs-6"><div class="app_cf90"><span class="app_f2x">' + tradeObj.annualInterest + '</span><span>%</span></div><p class="app_f08x app_cb3 app_mt5">预期年化收益率</p></div><div class="app_product_view mui-col-xs-6"><p>投资期限：' + tradeObj.investPeriod + '天</p><p class="app_mt10">起投金额：' + purchasingAmount + '元</p></div></div><div class="app_progress_box"><div class="app_progress_txt">' + tradeObj.collectPercent + '%</div><div class="app_progress_bar"><span style="width: ' + tradeObj.collectPercent + '%;"></span></div></div></div>' + '</div>';

			prodHtml = prodHtml + managerHtml;

			return prodHtml;
		},

		isExist: function(tradeObj) {
			if (tradeObj.newFlag == "1" || tradeObj.seckillFlag == "1") {
				return true;
			}
			return false;
		},
		bindEvent: function() {
			var _this = this;
			var ws = plus.webview.currentWebview();
			$(".app_icon_close").off().on("tap", function() {
				GHUTILS.silderBox.hide("#share_list");
			});
			$(".app-recommend-huoqi").off().on("tap", function() {
					var href = this.getAttribute("data-href");
										
					if (GHUTILS.linkChackLogin(this.id, ws.id)) {
						GHUTILS.OPENPAGE({
							url: "../product-t0/product-t0-detail.html",
							id: GHUTILS.PAGESID.PROT0DETAIL,
							extras: {
								"productOid": href,
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				})
				//定期
				$(".app-recommend-dingqi").off().on("tap", function() {
					// 友盟监听
					if (GHUTILS.linkChackLogin(this.id, ws.id)) {
						GHUTILS.OPENPAGE({
							url: "../product-tn/product-tn-detail.html",
							id: GHUTILS.PAGESID.PROT0DETAIL,
							extras: {
								"productOid": $(this).attr("data-href"),
//								collectPercent: $(this).attr("data-collectPercent") || 0
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
	
				});

		}
	}
	mui.plusReady(function() {

		var ptnlist = new PRODUCTLIST();
		ptnlist.init();
	});
})(Zepto);