/*
 Title:活期产品详情
 Author:sunli haiyang
 Date:2016-6-21 20:41:37
 Version:v1.0
*/
mui.init();
mui('.mui-scroll-wrapper').scroll({
	 deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	bounce: false, //是否启用回弹
	scrollX: false, //是否横向滚动
});
(function($) {

	var PRODUCTT0DETAIL = function(){
		this.ws = plus.webview.currentWebview();
//		SHARE.GETSHARE();//初始分享列表
		this.contents = {
     		href: '',
     		title: '我正在使用国槐金融理财APP，大家快来理财啦！',
     		content: '活期理财产品丰富，挑一挑适合您的理财产品，开启理财之旅！',
     		thumbs: HOST + '/gh-share/productShare/images/shareicon.png'
		}
		this.productName = "";
		this.riskLevel = "";
		this.lockPeriodDays = "";
		this.files = "";
		this.profit = "";
		this.annualInterestSec = [];
		this.incomeCalcBasis = 0;
		this.investMax = 0;
//		this.investMaxNext = 0;
//		this.count = 2;
		this.purchasingAmount = 0;
		this.increaseAmount = 0;
		this.time = 0;
		return this;
	}
	PRODUCTT0DETAIL.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			
			this.time = mui.os.ios ? 0 : 200 
			
			var pad = document.body.clientWidth-2
			$(".mui-scroll").css({"padding-left":pad/2,"padding-right":pad/2})
			$(".mui-scroll .app-control-items .num").each(function(){
				right = $(this).width()/2
				$(this).css("right",-right)
			})
			
			_this.initDom();
			//安卓更换键盘
			if(mui.os.android){
				$("#app_investMoney").attr("type","tel")
			}
			document.addEventListener("refreshT0Data", function(e) {
				_this.initDom();
			});
		},
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;

		    $("#share_btn").on("tap",function(){
		    	GHUTILS.silderBox.show("#share_list");
		    });
		    $(".app_icon_close").on("tap",function(){
		    	GHUTILS.silderBox.hide("#share_list");
		    });

		    //微信好友分享
		     $("#app_wxfriend").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriend", "app_wxfriend" );
		    	SHARE.POSTSHARE(0, '#share_list', _this.contents)
		    });
		    //微信朋友圈分享
		     $("#app_wxfriendaround").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriendaround", "app_wxfriendaround" );
		    	SHARE.POSTSHARE(1, '#share_list', _this.contents)
		    });
		    //QQ分享
		     $("#app_qq").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_qq", "app_qq" );
		    	SHARE.POSTSHARE(2, '#share_list', _this.contents)
		    });

			GHUTILS.getHotline(false, $("#app_tel_link"))

//			$('.app_fileBacks').on('tap',function(){
//				GHUTILS.OPENPAGE({
//					url:"../index/index-linkpage.html",
//					id:GHUTILS.PAGESID.LINKPAGES,
//					extras:{
//						contentId:$(this).find("a").attr("data-contentId"),
//						title:$(this).find("a").attr("data-title")
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			});
			
			$("#app_projectDetail").off().on('tap', function() {
				GHUTILS.OPENPAGE({
					url: "../../html/product-t0/product-t0-protocol.html?as=item1mobile",
					id: GHUTILS.PAGESID.PROT0PRODETAIL,
					extras: {
						tabindex: 1,
						productOid: _this.ws.productOid,
						productName: _this.productName,
						riskLevel: _this.riskLevel,
						files: _this.files,
						profit: _this.profit,
						lockPeriodDays: _this.lockPeriodDays,
						purchasingAmount: _this.purchasingAmount,
						increaseAmount: _this.increaseAmount
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
			
			$("#app_profitExplanation").off().on('tap', function() {
				GHUTILS.OPENPAGE({
					url: "../../html/product-t0/product-t0-protocol.html?as=item2mobile",
					id: GHUTILS.PAGESID.PROT0PRODETAIL,
					extras: {
						tabindex: 2,
						productOid: _this.ws.productOid,
						productName: _this.productName,
						riskLevel: _this.riskLevel,
						files: _this.files,
						profit: _this.profit,
						lockPeriodDays: _this.lockPeriodDays,
						purchasingAmount: _this.purchasingAmount,
						increaseAmount: _this.increaseAmount
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
			
//			$("#app_investRecord").off().on('tap', function() {
//				GHUTILS.OPENPAGE({
//					url: "../../html/product-t0/product-t0-protocol.html?as=item3mobile",
//					id: GHUTILS.PAGESID.PROT0PRODETAIL,
//					extras: {
//						tabindex: 3,
//						productOid: _this.ws.productOid,
//						productName: _this.productName,
//						riskLevel: _this.riskLevel,
//						files: _this.files,
//						profit: _this.profit,
//						lockPeriodDays: _this.lockPeriodDays,
//						purchasingAmount: _this.purchasingAmount,
//						increaseAmount: _this.increaseAmount
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			})
			
//			$(".mui-content").on('touchmove', function(){
//				console.log('move')
//			})
			
			$("#app_safe").on("tap", function(){
//				_this.getProtocolInfo();
				GHUTILS.OPENPAGE({
					url: "../../html/index/index-shortcut/index-insurance.html",
					id: GHUTILS.PAGESID.PROTNORDERLIST,
				});
			})
			
			var scroll = mui('.mui-scroll-wrapper').scroll();
			document.querySelector('.mui-scroll-wrapper' ).addEventListener('scroll', function (e ) {
				$(".count").val(-parseInt(scroll.x)*100)
				_this.setProfit(_this.annualInterestSec, $("#app_investMoney").val());
//				if(_this.investMaxNext && $(".count").val() == GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1))){
//					if(GHUTILS.Fmul(_this.investMaxNext, _this.count) < _this.investMax){
//						var html = '';
//						var st = GHUTILS.Fmul(_this.investMaxNext, _this.count)/10/50
//						for(var i = GHUTILS.Fdiv(GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)), 500);i < st;i++){
//							html += '<div class="app-control-items"><span class="num">'+(i+1)*500+'</span></div>'
//						}
//						$("#app_scroll").append(html)
//					}else{
//						var html = '';
//						var st = GHUTILS.Fsub(_this.investMax, GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)))/10/50 + 1
//						for(var i = 1;i < st;i++){
//							html += '<div class="app-control-items"><span class="num">'+(i+(GHUTILS.Fdiv(GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)), 500)))*500+'</span></div>'
//						}
//						$("#app_scroll").append(html)
//					}
//					_this.count++
//					_this.bindInput();
//				}
			})
			
//			document.querySelector('.mui-scroll-wrapper' ).addEventListener('scrollend', function (e ) {
//				console.log("滚动完毕")
//				if(_this.investMaxNext){
//					if($(".count").val() >= _this.investMaxNext){
//						console.log("继续画图")
//					}else{
//						var html = '';
//						var st = $(".count").val()/500 + 199
//						for(var i = 0;i < st;i++){
//							html += '<div class="app-control-items"><span class="num">'+(i+2)*500+'</span></div>'
//						}
//						html = '<span class="f-num">0</span><div class="app-control-items mui-control-first"><span class="num">500</span></div>' + html
//						$("#app_scroll").html(html)
//						console.log("画图")
//					}
//				}
//			})
			
			_this.bindInput();
		},
		bindInput: function(){
			var _this = this;
			$("#app_investMoney").off().on({
				'input': function(){
//					var investMaxNext = GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)), maxVolume = _this.investMax;
//					if(investMaxNext && investMaxNext < maxVolume){
//						maxVolume = investMaxNext
//					}
					if($(this).val() > _this.investMax){
						$(this).val(_this.investMax)
//						if($(this).val() > _this.investMax){
//							$(this).val(_this.investMax)
//						}
					}
					_this.setProfit(_this.annualInterestSec, $(this).val());
				},
				"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_investMoney").blur();
						}
					}.bind(this))
				},
				'blur': function(){
//					var investMaxNext = GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1));
//					if($(this).val() > investMaxNext){
//						var p = parseInt(GHUTILS.Fdiv(_this.investMax, _this.investMaxNext))
//						if(_this.count != p + 2){
//							if($(this).val() > GHUTILS.Fmul(_this.investMaxNext, p)){
//								var html = '';
//								var st = GHUTILS.Fsub(_this.investMax, GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)))/10/50 + 1
//								for(var i = 1;i < st;i++){
//									html += '<div class="app-control-items"><span class="num">'+(i+(GHUTILS.Fdiv(GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)), 500)))*500+'</span></div>'
//								}
//								$("#app_scroll").append(html)
//								_this.count = p + 2
//							}else{
//								var html = '';
//								var st = GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1))/10/50*(parseInt(GHUTILS.Fdiv($(this).val(), _this.investMaxNext)) - _this.count + 3)
//								for(var i = GHUTILS.Fdiv(GHUTILS.Fmul(_this.investMaxNext, (_this.count - 1)), 500);i < st;i++){
//									html += '<div class="app-control-items"><span class="num">'+(i+1)*500+'</span></div>'
//								}
//								$("#app_scroll").append(html)
//								_this.count = parseInt(GHUTILS.Fdiv($(this).val(), _this.investMaxNext)) - _this.count + 4
//							}
//						}
//					}
					mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv($(this).val(), 100), 0, 0)
					$(document).off('keyup')
				}
			})
		},
		initDom: function(){
			var _this = this;
			plus.nativeUI.closeWaiting();
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0detail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						if(!result.investMin){
							result.investMin = 0
						}
						if(!result.investMax){
							result.investMax = 0
						}
						$('#app_title').html(result.productName);
						$("#app_t0_curDate").html(GHUTILS.currentDate().substr(0,10));
						$("#app_t0_valueDate").html(result.interestsFirstDate);
						$('#app_lockDays').html(result.lockPeriodDays);
						$('#app_purchasingAmount').html(GHUTILS.formatCurrency(result.investMin));
						_this.productName = result.productName;
						_this.lockPeriodDays = result.lockPeriodDays
						_this.riskLevel = result.riskLevel;
						_this.showlabel(result.productLabels);
						_this.incomeCalcBasis = Number(result.incomeCalcBasis);
						_this.investMax = GHUTILS.Fmul(result.investMax, result.netUnitShare) || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare);
						_this.purchasingAmount = result.investMin;
						_this.increaseAmount = GHUTILS.Fmul(result.investAdditional, result.netUnitShare);
						if(_this.investMax > 1000000){
							_this.investMax = 1000000
						}
//						if(_this.investMax > 100000){
//							_this.investMaxNext = 100000
//						}
						$("#app_scroll").html(_this.getScrollHtml(_this.investMax))
						
						$("#app_secureLevel").html(
							function () {
								switch(result.riskLevel){
									case "R1" : return '<img src="../../images/icon_satr5.png"/>';break;
									case "R2" : return '<img src="../../images/icon_satr4.png"/>';break;
									case "R3" : return '<img src="../../images/icon_satr3.png"/>';break;
									case "R4" : return '<img src="../../images/icon_satr2.png"/>';break;
									case "R5" : return '<img src="../../images/icon_satr1.png"/>';break;
									default : return "";break;
								}
							}
						);
						
						if(GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < 10000){
							$("#app_canInvestDiv").html("剩余可投(元)");
							$("#app_canInvest").html(GHUTILS.formatCurrency(GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare)))
						}else{
							$("#app_canInvest").html(GHUTILS.formatCurrency(GHUTILS.Fdiv(GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare), 10000)))
						}
						
						if(result.state == "RAISEEND"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("募集结束");
						}else if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("已售罄");
							$("#app_canInvestDiv").html("剩余可投(元)");
							$("#app_canInvest").html("0.00");
						}else if(result.isOpenPurchase == "NO"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("不可购买");
						}else{
							$('#app_invest').html("转入");
						}
						//附件
						var html = '';
						if(result.files && result.files.length > 0){
							var list = result.files
							for (var i in list) {
								html += _this.getFileBacksHtml(list[i].furl,list[i].name);
							}
						}
						$("#app_list").html(html);
						_this.files = JSON.stringify(result.files);
						$(".app_fileBacks").on('tap', function(){
							GHUTILS.OPENPAGE({
								url: "../../html/index/index-linkpage.html",
								id: GHUTILS.PAGESID.LINKPAGES,
								extras: {
									contentId : "app-product",
									title : $(this).find('a').attr('data-title'),
									links : HOST+$(this).find('a').attr('data-links')
								}
							})
							GHUTILS.nativeUI.showWaiting();
						});
						//显示七日年化收益和万元收益
						_this.showProfit(result);
						//将分享按钮显示出来
						$('#share_btn').show();
						$("#app_invest").off().on("tap",function(){
							if(!$(this).hasClass("app_status_off")){
								if(!GHUTILS.checkDepWit()){
									return
								}
								if(GHUTILS.isLabelProduct(result.productLabels, "新手")){
									if(!GHUTILS.isFreshman()){
										return
									}
								}
								GHUTILS.OPENPAGE({
									url:"../../html/product-t0/product-t0-order.html",
									id:GHUTILS.PAGESID.PROT0ORDER,
									extras:{
										productName: result.productName,
										productOid: result.oid,
										annualInterestSec: $('#app_sevDayYrt').html().split('-'),
										incomeCalcBasis: Number(result.incomeCalcBasis),
										purchasingAmount: result.investMin,
										increaseAmount: GHUTILS.Fmul(result.investAdditional, result.netUnitShare),
										maxSaleVolume: GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare),
										investMax: GHUTILS.Fmul(result.investMax, result.netUnitShare),
										investVolume: parseFloat($("#app_investMoney").val()),
										proT0Detail: 'PROT0DETAIL',
										investFiles: HOST+result.investFiles[0].furl,
										serviceFiles: HOST+result.serviceFiles[0].furl,
										productCode: result.productCode,
										interestsFirstDays: result.interestsFirstDays,
										maxHold: result.maxHold,
										companyName: result.companyName
									}
								})
								GHUTILS.nativeUI.showWaiting();
							}
						});
					}
				}
			});
		},
		getFileBacksHtml: function(url,name){
			if(name.indexOf('.html') != -1 && name.length - name.lastIndexOf('.html') == 5){
				name = name.substr(0,name.lastIndexOf('.html'))
			}
			return '<li class="mui-table-view-cell app_fileBacks"><a class="mui-navigate-right app_link_pages" data-links="'+url+'" data-title="'+name+'">'+name+'</a></li>'
		},
		
		//产品标签显示
		showlabel: function(labelCodes){
			var calss = "", name = "";
			if(GHUTILS.isLabelProduct(labelCodes, "爽")){
				calss = "app_tag_c1", name = "爽";
			}else{
				switch(labelCodes[0].labelName){
					case "推荐" : 
						calss = "app_tag_c3", name = "推荐";
						break
					case "新手" : 
						calss = "app_tag_c1", name = "新手";
						break
					case "秒杀" : 
						calss = "app_tag_c2", name = "秒杀";
						break
					case "体验金" : 
						calss = "app_tag_c4", name = "体验金";
						break
					case "爽" : 
						calss = "app_tag_c1", name = "爽";
						break
					default : 
						calss = "app_tag_c5", name = labelCodes[0].labelName;
						break
				}
			}
			$("#app_label").addClass(calss).html(name)
		},
		
		//七日年化收益和万元收益显示
		showProfit: function(tradeObj){
			var _this = this;
			var showTypeObj = GHUTILS.switchShowType(tradeObj, false, '<span class="app_tndetail_div_div_div1_div1_span">%</span>');
			switch (tradeObj.showType) {
				case "1" : case "2" : 
						   $("#chartdivReward").addClass("app_none");
						   $("#chartdiv").removeClass("app_hidden");
						   _this.getT0Chart(tradeObj.annualYields, 'app_sevenDaysRIdChart', tradeObj);
						   _this.getT0Chart(tradeObj.perMillionIncomes, 'app_tenThousandRIdChart', tradeObj);
						   break
				case "4" : case "5" : 
						   $("#chartdiv").addClass("app_none");
						   $("#app_rewardInstruction").removeClass("app_none")
						   $("#chartdivReward").removeClass("app_hidden");
						   _this.getT0Chart(tradeObj.annualYields, 'app_baseRIdChart', tradeObj);
						   _this.getT0RewardChart(tradeObj.rewardYields, 'app_rewardRIdChart');
						   break
				default : break
			}
			if(!tradeObj.investMin){
				tradeObj.investMin = 0
			}
			_this.contents.href = HOST + '/gh-share/productShare/index-share.html?productType=hq&productName='+tradeObj.productName+'&sevDayYrt='+showTypeObj.interestSec+'&ttAmtInt='+showTypeObj.profit+'&purchasingAmount='+GHUTILS.formatCurrency(tradeObj.investMin);
			$('#app_sevDayYrt').html(showTypeObj.interestSec);
			$('#app_ttAmtInt').html(showTypeObj.profit + "元");
			_this.profit = showTypeObj.profit + "元"
			_this.annualInterestSec = showTypeObj.interestSec.split('-')
			
			//刻度条初始值
			_this.setVolume(_this.investMax, _this.annualInterestSec);
		},
		//预期每日收益
		setProfit: function(annualInterest, investMoney){
			var _this = this;
			if(annualInterest.length == 1){
				var annualInterestSec = parseFloat(annualInterest[0].replace('%',''))
				var profit = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec, 100)), GHUTILS.Fdiv(1, _this.incomeCalcBasis)), 1), investMoney);
				$('#app_profit').html(GHUTILS.formatCurrency(profit));
			}else{
				var annualInterestSec0 = parseFloat(annualInterest[0].replace('%',''))
				var annualInterestSec1 = parseFloat(annualInterest[1].replace('%',''))
				var profit0 = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec0, 100)), GHUTILS.Fdiv(1, _this.incomeCalcBasis)), 1), investMoney);
				var profit1 = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec1, 100)), GHUTILS.Fdiv(1, _this.incomeCalcBasis)), 1), investMoney);
				$('#app_profit').html(GHUTILS.formatCurrency(profit0)+'-'+GHUTILS.formatCurrency(profit1));
			}
		},
		getScrollHtml: function(investMax){
			var html = '';
			var st = investMax/100/50 - 1
			if(investMax > 5000){
				for(var i = 0;i < st;i++){
					html += '<div class="app-control-items"><span class="num">'+(i+2)*5000+'</span></div>'
				}
			}
			html = '<span class="f-num">0</span><div class="app-control-items mui-control-first"><span class="num">5000</span></div>' + html
			return html
		},
		//刻度条初始值
		setVolume: function(investMax, annualInterestSec){
			var _this = this;
//			if(investMax >= 1000){
				$("#app_investMoney").val(1000)
				_this.setProfit(annualInterestSec, 1000);
				mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv(1000, 100), 0, 0)
//			}else{
//				$("#app_investMoney").val(500)
//				_this.setProfit(annualInterestSec, 500);
//				mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv(500, 10), 0, 0)
//			}
		},
		//获取协议信息
		getProtocolInfo: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getProtocolInfo+"?typeId=PRODUCT",
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result)){
						GHUTILS.OPENPAGE({
							url:"../../html/index/content_pages.html",
							id:GHUTILS.PAGESID.CONTENT,
							extras:{
								title: "安全保障",
								content: encodeURIComponent(result.content)
							}
						})
					}
				}
			})
		},
		//图表信息展示处理
		getT0Chart: function(ProfitWeek, rid, tradeObj){
			var _this = this;
			if(ProfitWeek !=null){
				var xData = [];
				var yData = [];
				var compareData = [];
				for (i = 0; i < ProfitWeek.length; i++) {
					xData[i] = ProfitWeek[i].standard.substring(5);
					yData[i] = ProfitWeek[i].profit;
					compareData[i] = parseFloat(yData[i]);
				}
				var maxY = Math.max.apply({},compareData)+0.3;
				var minY = Math.min.apply({},compareData)-0.3;
				setTimeout(function(){
					
					var myChart = echarts.init(document.getElementById(rid));
					if(rid == "app_tenThousandRIdChart"){
						myChart.setOption(_this.getOption(xData,yData,minY.toFixed(1),maxY.toFixed(1),GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].profit,4,""),ProfitWeek.length-1,GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].profit,2)));
					}else{
						myChart.setOption(_this.getOption(xData,yData,minY.toFixed(1),maxY.toFixed(1),GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].profit,2,""),ProfitWeek.length-1,GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].profit,2)));
					}
					
				},_this.time)
				
			} else {
				var annualInterestSec = [], tenThsPerDayProfit = [];
				var ainterestSec = "", tprofit = "";
				var profit = "", standard = "";
				switch (tradeObj.showType) {
					case "1" : case "4" : annualInterestSec = tradeObj.annualInterestSec.replace(/\%/g,'').split('-');
										  tenThsPerDayProfit = tradeObj.tenThsPerDayProfit.split('-');
										  ainterestSec = GHUTILS.Fdiv(GHUTILS.Fadd(annualInterestSec[0], annualInterestSec[1]), 2);
										  tprofit = GHUTILS.Fdiv(GHUTILS.Fadd(tenThsPerDayProfit[0], tenThsPerDayProfit[1]), 2);
										  break
					case "2" : case "5" : ainterestSec = tradeObj.annualInterestSec.replace('%','');
										  tprofit = tradeObj.tenThsPerDayProfit;
										  break
					default : break
				}
				standard = GHUTILS.currentDate().substr(0,10).substring(5);
				
				setTimeout(function(){
					
					var myChart = echarts.init(document.getElementById(rid));
				
					switch (rid) {
						case "app_sevenDaysRIdChart" : case "app_baseRIdChart" : 
							profit = ainterestSec;
							myChart.setOption(_this.getOption([standard],[profit],profit-1,profit+1,GHUTILS.toFixeds(profit,2),0,GHUTILS.toFixeds(profit,2)));
							break
						case "app_tenThousandRIdChart" : 
							profit = tprofit;
							myChart.setOption(_this.getOption([standard],[profit],profit-1,profit+1,GHUTILS.toFixeds(profit,4),0,GHUTILS.toFixeds(profit,2)));
							break
						default : break
					}
					
				},_this.time)
				
			}
		},
		//奖励收益柱状图信息展示处理
		getT0RewardChart: function(ProfitWeek, rid){
			var _this = this;
			if(ProfitWeek !=null){
				var xData = [];
				var yData = [];
				var compareData = [];
				for (i = 0; i < ProfitWeek.length; i++) {
					xData[i] = "第"+ProfitWeek[i].startDate+"天";
					yData[i] = ProfitWeek[i].profit;
					compareData[i] = parseFloat(yData[i]);
				}
				var maxY = Math.max.apply({},compareData)+0.3;
				var minY = Math.min.apply({},compareData)-0.3;
				setTimeout(function(){
					
					var myChart = echarts.init(document.getElementById(rid));
					myChart.setOption(_this.getRewardOption(xData,yData,minY.toFixed(1),maxY.toFixed(1)));
					
				},_this.time)
				
			}
		},
		//图标信息数值
		getOption: function(xdata, ydata, minY, maxY, v, x, y){

			var chartOption =  {
				legend: {
					data: [''],
					textStyle: {
						color: '#CCC'
					}
				},
				color: ['#0d84f2'],
				grid: {
					x: 40,
					x2: 20,
					y: 30,
					y2: 25
				},
				animation: false,
           		addDataAnimation: false,
				calculable: false,
				xAxis: [{
					type: 'category',
					boundaryGap: false,
					data: xdata,
					splitLine: {
						show: false,
//						lineStyle: {
//							width: 0.1
//						}
					},
//					splitArea: {
//						show: true,
//						areaStyle:{
//							color: ['#FFFCF7','#FFFFFF']
//						}
//					},
					axisLine: {
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisTick: {
						show: false,
//						lineStyle: {
//							color: '#ffffff'
//						}
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            }
			        }
				}],
				yAxis: [{
					type: 'value',
					min: minY||'3',
					max: maxY||'5.5',
					splitLine: {
						show: true,
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisLine: {
						show: false,
//						lineStyle: {
//							color: '#adadad',
//							width: 0
//						}
					},
					axisTick: {
						show: false,
//						lineStyle: {
//							color: '#ffffff'
//						}
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            },
			            formatter: function (value, index) {
							var fixedValue = GHUTILS.toFixeds(value,2);
							return fixedValue;
						}
			        }
				}],
				series: [{
					type: 'line',
					data: ydata,
					symbolSize: 0,
					
					areaStyle: {
						normal: {
							color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
								offset: 0,
								color: 'rgba(53, 132, 234, 0.67)'
							}, {
								offset: 1,
								color: 'rgba(218, 245, 253, 0.33)'
							}])
						}
					},
					
					markPoint: v||x||y ? {
						symbol: 'image://../../images/bubble.png',
						symbolSize: [20,10],
						itemStyle: {
						    normal: {
						        color: '#FF5A00'
						    },
						    emphasis: {
						        color: '#FF5A00'
						    }
						},
		                data: [
		                    {value: v, xAxis: x, yAxis: y-(-0.06)}
		                ]
		           } : {}
				}]
			};
			return chartOption;
		},
		//奖励收益柱状图信息数值
		getRewardOption: function(xdata, ydata, minY, maxY){

			var rewardChartOption =  {
				legend: {
					data: [''],
					textStyle: {
						color: '#CCC'
					}
				},
				color: [new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
					offset: 0,
					color: 'rgba(53, 132, 234, 0.67)'
				}, {
					offset: 1,
					color: 'rgba(218, 245, 253, 0.33)'
				}])],
				grid: {
					x: 40,
					x2: 20,
					y: 30,
					y2: 25
				},
				animation: false,
           		addDataAnimation: false,
				calculable: false,
				xAxis: [{
					type: 'category',
					boundaryGap: true,
					data: xdata,
					splitLine: {
						show: false,
//						lineStyle: {
//							width: 0.1
//						}
					},
//					splitArea: {
//						show: true,
//						areaStyle:{
//							color: ['#FFFCF7','#FFFFFF']
//						}
//					},
					axisLine: {
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisTick: {
						show: false,
//						lineStyle: {
//							color: '#CCC'
//						}
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad',
			                align : 'right'
			            }
			        }
				}],
				yAxis: [{
					type: 'value',
					min: minY||'0',
					max: maxY||'5.5',
					splitLine: {
						show: true,
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisLine: {
						show: false,
//						lineStyle: {
//							color: '#adadad',
//							width: 0
//						}
					},
					axisTick: {
						show: false,
//						lineStyle: {
//							color: '#ccc'
//						}
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            },
			            formatter: function (value, index) {
							var fixedValue = GHUTILS.toFixeds(value,2);
							return fixedValue;
						}
			        }
				}],
				series: [{
					type: 'bar',
					itemStyle: {
		                normal: {
		                    label : {
		                    	show: true,
		                    	position: 'top'
		                    }
		                }
		            },
					data: ydata
				}]
			};
			return rewardChartOption;
		}
	}
	mui.plusReady(function(){
		var t0de = new PRODUCTT0DETAIL();
			t0de.init();
	});
})(Zepto);