/*
 Title:活期认购
 Author:sunli haiyang
 Date:2016-6-22 15:18:27
 Version:v1.0
*/
mui.init();
(function($) {

	var PRODUCTT0ORDER = function(){
		this.tips = "#app_tips_box";
		this.imgConfirmed = false;
		this.productLabelCodes = [];
		this.maxVolume = 0;
		this.singleQuota = 0;
		this.ws = plus.webview.currentWebview();
		return this;
	}
	PRODUCTT0ORDER.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
		},
		pageInit:function(){
			var _this = this;
			var bankName = GHUTILS.getLocalUserInfo("bankName"), bankCardNum = GHUTILS.getLocalUserInfo("bankCardNum");
			mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PROT0DETAIL), "refreshT0Data");
			mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.ACCT0HOLDDET), "loadData");
			$('#app_productNm').html(_this.ws.productName);
			$("#app_investMoney").val(_this.ws.investVolume || '');
			$("#app_bankimg").attr("src", bankimg[bankcode[bankName]])
			$("#app_bankname").html(bankName)
			$("#app_bankcode").html(bankCardNum.substr(bankCardNum.length-4))
//			$("#app_vcode_img").attr('src',HOST+"/app/common/verifyImage.jsp");
			_this.getSingleQuota();
			_this.setAmount(_this.ws.purchasingAmount,_this.ws.increaseAmount, _this.ws.investMax);
			_this.initProfit(_this.ws.annualInterestSec,parseFloat(_this.ws.purchasingAmount));
			//安卓更换键盘
			if(mui.os.android){
				$("#app_investMoney").attr("type","tel")
			}
			document.addEventListener("refreshAmountLimit", function(e) {
				_this.refreshAmountLimit();
			});
		},
		//获取单人持有份额
		getData:function(volume){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.mholdvol + _this.ws.productOid,
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						if(volume > GHUTILS.Fsub(_this.ws.maxHold, result.maxHoldVol)){
							$("#investMax").html(GHUTILS.formatCurrency(GHUTILS.Fsub(_this.ws.maxHold, result.maxHoldVol)));
							_this.maxVolume = GHUTILS.Fsub(_this.ws.maxHold, result.maxHoldVol)
						}else{
							$("#investMax").html(GHUTILS.formatCurrency(volume))
							_this.maxVolume = volume
						}
					}
				},
			})
		},
		bindEvent:function(){
		 	var _this = this;
		 	$("#app_investMoney").on({
		 		"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_investMoney").blur();
						}
					}.bind(this))
				},
				"blur":function(){
					var formatMoney = GHUTILS.formatCurrency($("#app_investMoney").val());
					formatMoney = formatMoney == '0.00' ? '' : formatMoney;
					$("#app_investMoney").val(formatMoney);
					$(document).off('keyup')
				}
			})
		 	
//		 	$(".app_pop_hide").off().on("tap",function(){
//				$("#app-imgVericode").blur();
//				GHUTILS.popupBox.hide("#app_toast_confirm");
//			});
		 	
		 	$('#app_aggrementSpan input[type="checkbox"]').on("change", function(){
				if($(this).is(':checked')){
					$(this).parent('span').removeClass('app_icon_checknone').addClass('app_icon_checked')
				}else {
					$(this).parent('span').removeClass('app_icon_checked').addClass('app_icon_checknone')
				}
			})
		 	
//			$("#app_vcode_img").off().on("tap",function(){
//				GHUTILS.changeVCode1($("#app_vcode_img"));
//			});

			$('#app_confirm').on('tap',function(){
				if($(this).hasClass("app_loading") || $(this).hasClass("app_btn_loading")){
					return
				}
				$(_this.tips).html("&nbsp;")
				if(GHUTILS.checkDepWit() && _this.isValid()){
					if($('#app_aggrement').is(':checked')){
						if(GHUTILS.isLabelProduct(_this.productLabels, '新手')){
							if(!GHUTILS.isFreshman()){
								return
							}
						}
						GHUTILS.OPENPAGE({
							url: '../../html/usermgmt/usermgmt-dealpwd.html',
							id: GHUTILS.PAGESID.DEALPWD,
							extras: {
								type: 'deal',
								productOid: _this.ws.productOid,
								moneyVolume: $("#app_investMoney").val().trim().replace(/\,/g,''),
								pageindex: 1,
								title: "转入成功",
								productName: _this.ws.productName,
								pagesid: GHUTILS.PAGESID.PROT0ORDER,
								proT0Detail: _this.ws.proT0Detail || '',
								proT0OrderList: _this.ws.proT0OrderList || '',
								accT0HoldDet: _this.ws.accT0HoldDet || ''
							}
						});
//						GHUTILS.OPENPAGE({
//							url: '../../html/account/account-zxym.html',
//							id: GHUTILS.PAGESID.WEBPAGES,
//							extras:{
//								title: "认购",
//								postindex: 4,
//								value: $("#app_investMoney").val().trim().replace(/\,/g,''),
//								pagesid: GHUTILS.PAGESID.PROT0ORDER,
//								productOid: _this.ws.productOid,
//								proT0Detail: _this.ws.proT0Detail || '',
//								proT0OrderList: _this.ws.proT0OrderList || '',
//								accT0HoldDet: _this.ws.accT0HoldDet || ''
//							}
//						});
					}else{
						GHUTILS.showError("您必须同意《定向委托投资协议》和《代扣付款委托书》才能进行投标",_this.tips);
					}
				}
			});
			
//			$("#app_btn_confirm").on('tap',function(){
//				if (_this.imgConfirmed) {
//					return;
//				}
//				if(GHUTILS.validate("app-imgDiv")){
//					GHUTILS.nativeUI.showWaiting();
//				}
//			});
			
			$("#app_investFiles").on('tap',function(){
				_this.elementConfig();
			});
			
			$("#app_serviceFiles").on('tap',function(){
				GHUTILS.OPENPAGE({
					url:"../index/index-linkpage.html",
					id:GHUTILS.PAGESID.LINKPAGES,
					extras:{
						contentId : "app-serviceFiles",
						title : '代扣付款委托书',
						links : _this.ws.serviceFiles,
						productCode: _this.ws.productCode
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
		},
		setAmount: function(purchasingAmount,increaseAmount,investMax){
			var _this = this;
			var maxInvestVolume = 0;
			$("#app_investMoney").attr("placeholder", GHUTILS.formatCurrency(purchasingAmount)+"元起投，"+GHUTILS.formatCurrency(increaseAmount)+"元递增")
			if(investMax){
				maxInvestVolume = _this.ws.maxSaleVolume >= investMax ? investMax : _this.ws.maxSaleVolume
			}else{
				maxInvestVolume = _this.ws.maxSaleVolume
			}
			if(_this.ws.maxHold){
				_this.getData(maxInvestVolume)
			}else{
				$("#investMax").html(GHUTILS.formatCurrency(maxInvestVolume));
				_this.maxVolume = maxInvestVolume;
			}
			$("#interestsFirstDays").html(_this.ws.interestsFirstDays)
			$("#interestsReceiveDays").html(_this.ws.interestsFirstDays + 1)
			plus.nativeUI.closeWaiting();
//			GHUTILS.LOAD({
//				url: GHUTILS.API.CHA.usermoneyinfo,
//				type: "post",
//				sw: true,
//				callback: function(result) {
//					if(GHUTILS.checkErrorCode(result,_this.tips)){
//						//显示账户余额
//						$("#app_availableBalance").html(GHUTILS.formatCurrency(result.balance) || 0);
//					}
//					//关闭等待图标
//					plus.nativeUI.closeWaiting();
//				},
//				errcallback: function(){
//					plus.nativeUI.closeWaiting();
//				}
//			});
		},
		initProfit: function(annualInterest,purchasingAmount){
			var _this = this;
			var investMoney = parseFloat($('#app_investMoney').val().replace(/\,/g,''));
			if(investMoney >= purchasingAmount){
				_this.setProfit(annualInterest, investMoney);
			}else{
				$('#app_profit').html('0.00');
			};
			$('#app_investMoney').on('input',function(){
				investMoney = $(this).val().replace(/\,/g,'');
				if(investMoney >= purchasingAmount){
					_this.setProfit(annualInterest, investMoney);
				}else{
					$('#app_profit').html('0.00');
				}
			})
		},
		isValid: function(){
			var valid = true;
			var _this = this;
			var investMoney = parseFloat($('#app_investMoney').val().replace(/\,/g,'') || 0);
			var annualInterest = _this.ws.annualInterestSec;
			var investMaxMoney = _this.maxVolume;
			if(!investMoney){
				GHUTILS.showError("请输入投资金额!",_this.tips);
				valid = false;
			}else if(investMoney > investMaxMoney){
				GHUTILS.showError("输入金额不可大于目前最高可投金额"+investMaxMoney+'元!',_this.tips);
				$("#app_investMoney").val(GHUTILS.formatCurrency(investMaxMoney));
				_this.setProfit(annualInterest, investMaxMoney);
				valid = false;
			}
			else if(investMoney < _this.ws.purchasingAmount){
				GHUTILS.showError("金额不可小于最低起投金额!",_this.tips);
				$("#app_investMoney").val(_this.ws.purchasingAmount > 100000000 ? "100,000,000" : GHUTILS.formatCurrency(_this.ws.purchasingAmount));
				_this.setProfit(annualInterest, $("#app_investMoney").val().replace(/\,/g,''));
				valid = false;
			}else if(GHUTILS.Fdiv((GHUTILS.Fmul(GHUTILS.Fsub(investMoney, _this.ws.purchasingAmount), 100)), (GHUTILS.Fmul(_this.ws.increaseAmount, 100))).toString().indexOf('.') > 0){
				GHUTILS.showError('超出'+_this.ws.purchasingAmount+'元部分必须为'+_this.ws.increaseAmount+'元的整数倍!',_this.tips);
				valid = false;
			}else if(investMoney > _this.singleQuota){
				GHUTILS.showError('投资金额不可超过银行卡单笔限额!',_this.tips);
				valid = false;
			}
			return valid;
		},
		//每日收益
		setProfit: function(annualInterest, investMoney){
			var _this = this;
			if(annualInterest.length == 1){
				var annualInterestSec = parseFloat(annualInterest[0].replace('%',''))
				var profit = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec, 100)), GHUTILS.Fdiv(1, _this.ws.incomeCalcBasis)), 1), investMoney);
				$('#app_profit').html(GHUTILS.formatCurrency(profit));
			}else{
				var annualInterestSec0 = parseFloat(annualInterest[0].replace('%',''))
				var annualInterestSec1 = parseFloat(annualInterest[1].replace('%',''))
				var profit0 = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec0, 100)), GHUTILS.Fdiv(1, _this.ws.incomeCalcBasis)), 1), investMoney);
				var profit1 = GHUTILS.Fmul(GHUTILS.Fsub(Math.pow(GHUTILS.Fadd(1, GHUTILS.Fdiv(annualInterestSec1, 100)), GHUTILS.Fdiv(1, _this.ws.incomeCalcBasis)), 1), investMoney);
				$('#app_profit').html(GHUTILS.formatCurrency(profit0)+'-'+GHUTILS.formatCurrency(profit1));
			}
		},
		//获取银行卡单笔投资最高限额
		getSingleQuota: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getSingleQuota + '?bankCard=' + GHUTILS.getLocalUserInfo("fullBankCardNum"),
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						if(result.singleQuota){
							$("#app_bankLimit").html(GHUTILS.formatIntCurrency(result.singleQuota))
							_this.singleQuota = result.singleQuota
						}else{
							GHUTILS.showError("该银行卡不支持或者银行卡所在支付渠道关闭！", _this.tips)
						}
					}
				}
			})
		},
		//投资协议获取协议信息
//		getInvestFilesDetail: function(){
//			var _this = this;
//			GHUTILS.LOAD({
//				url: GHUTILS.API.TARGET.cori + '?productOid=' + _this.ws.productOid,
//				type: "post",
//				sw: true,
//				callback: function(result) {
//					console.log(JSON.stringify(result))
//					if(GHUTILS.checkErrorCode(result,_this.tips)){
//						_this.getT0Detail();
//					}
//				}
//			})
//		},
		//获取协议官方网站
		elementConfig: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.LOGS.elementConfig+'?codes=["officialwebsite"]',
				type: "post",
				sw: true,
				callback: function(result){
					console.log(JSON.stringify(result))
					var officialwebsite = "8.baofeng.com"
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						if(result.datas.length > 0){
							result.datas.forEach(function(e, i){
								if(e.code == "officialwebsite" && e.content){
									officialwebsite == e.content
								}
							})
						}
						_this.getT0Detail(officialwebsite);
					}
				}
			})
		},
		//获取单人单日赎回上限
		getT0Detail: function(officialwebsite){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0detail +"?productOid=" + _this.ws.productOid,
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (GHUTILS.checkErrorCode(result,_this.tips)) {
						var singleDailyMaxRedeem = "", singleDayRedeemCount = "";
						if(result.singleDailyMaxRedeem){
							singleDailyMaxRedeem = "不可超过"+ GHUTILS.Fdiv(result.singleDailyMaxRedeem, 10000) +"万"
						}else{
							singleDailyMaxRedeem = "无上限"
						}
						if(result.singleDayRedeemCount){
							singleDayRedeemCount = "不得超过"+ result.singleDayRedeemCount +"次"
						}else{
							singleDayRedeemCount = "无上限"
						}
						GHUTILS.OPENPAGE({
							url:"../index/index-linkpage.html",
							id:GHUTILS.PAGESID.LINKPAGES,
							extras:{
								contentId : "app-investFiles",
								title : '定向委托投资协议',
								links : _this.ws.investFiles,
								productCode: _this.ws.productCode,
								incomeCalcBasis: _this.ws.incomeCalcBasis,
								investMin: _this.ws.purchasingAmount,
								productName: _this.ws.productName,
								singleDailyMaxRedeem: singleDailyMaxRedeem,
								singleDayRedeemCount: singleDayRedeemCount,
								companyName: _this.ws.companyName,
								officialwebsite: officialwebsite
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				}
			});
		},
		refreshAmountLimit: function(){
			var _this = this;
			GHUTILS.nativeUI.showWaiting();
			$("#app_investMoney").val("");
			$('#app_profit').html('0.00');
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0detail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						_this.ws.maxSaleVolume = GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare)
						_this.productLabelCodes = result.productLabelCodes;
						_this.setAmount(_this.ws.purchasingAmount,_this.ws.increaseAmount, _this.ws.investMax);
						if(!result.investMin){
							result.investMin = 0
						}
						if(result.maxSaleVolume == result.lockCollectedVolume || _this.ws.maxSaleVolume < result.investMin){
							$("#app_confirm").addClass("app_btn_loading").html("已售罄");
						}else if(result.isOpenPurchase == "NO"){
							$("#app_confirm").addClass("app_btn_loading").html("不可购买");
						}
					}
					plus.nativeUI.closeWaiting();
				},
				errcallback: function(err) {
					plus.nativeUI.closeWaiting();
				}
			})
			
//			GHUTILS.LOAD({
//				url: GHUTILS.API.CHA.usermoneyinfo,
//				type: "post",
//				sw: true,
//				callback: function(result) {
//					if(GHUTILS.checkErrorCode(result,_this.tips)){
//						$("#app_availableBalance").html(GHUTILS.formatCurrency(result.balance) || 0);
//					}
//					plus.nativeUI.closeWaiting();
//				},
//				errcallback: function(){
//					plus.nativeUI.closeWaiting();
//				}
//			});
		}
	}
	mui.plusReady(function(){
		var t0or = new PRODUCTT0ORDER();
			t0or.init();
	});
})(Zepto);