/*
 Title:定期产品列表内页
 Author:sunli haiyang
 Date:2016-6-19 13:50:34
 Version:v1.0
*/
(function($) {

	var PRODUCTTNLIST = function(){
		this.param = {
			channeOid : channelOid,
			page : 1,
			rows : 10,
			sort : "",
			order : "",
			reveal : "",
			investMinStart : "",
			investMinEnd : "",
			durationPeriodDaysStart : "",
			durationPeriodDaysEnd : "",
			expArorStart : "",
			expArorEnd : "",
		};
//		this.param1 = {
//			reveal : ""
//		};
		this.param2 = {
			investMinStart : "",
			investMinEnd : "",
		};
		this.param3 = {
			durationPeriodDaysStart : "",
			durationPeriodDaysEnd : "",
		};
		this.param4 = {
			expArorStart : "",
			expArorEnd : "",
		};
		this.upRefresh = false;
//		this.tasteCouponList = [];//初始化获取当前用户体验金
//		this.couponId = "";//体验金卡券id
//		this.amount = 0;//体验金卡券金额
		this.ws = plus.webview.currentWebview();
		return this;
	}
	PRODUCTTNLIST.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
		},
		pageInit:function(){
			var _this = this;
			//初始化下拉刷新
			mui.init({
			    pullRefresh : {
			    	indicators:false,
				    container:"#app_pullRefresh",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				    down : {
				      contentdown : "下拉可以刷新",//可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
				      contentover : "释放立即刷新",//可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
				      contentrefresh : "正在刷新...",//可选，正在刷新状态时，下拉刷新控件上显示的标题内容
				      callback :function(){
				      	setTimeout(function(){
				      		_this.param.page = 1;
				      		_this.initDom(true,true);
						},500);
				      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    },
				    up : {
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :function(){
				      	setTimeout(function(){
				      		_this.param.page += 1;
				      		_this.initDom(false);
							mui('#app_pullRefresh').pullRefresh().endPullupToRefresh(_this.upRefresh);
						},500);
				      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
				  }
			});
			//监听弹出筛选弹层
			document.addEventListener("showMenu", function(e) {
				_this.showMenu(e.detail.show);
			});

			document.addEventListener("sortTN", function(e) {
				if($(".app_dialog").hasClass("app_show")){
					$(".app_dialog").removeClass("app_show");
					setTimeout(function(){
						$(".app_dialog").removeClass("app_active");
					},500);
				}
				_this.refresh(e.detail);
			});
			
			//回调链接
			document.addEventListener("tapLink", function(e) {
				var elm = document.getElementById(e.detail.elm);
				mui.trigger(elm,"tap");
			});
			
			//重新加载数据
			document.addEventListener("loadData", function(e) {
	      		_this.param.page = 1;
//	      		_this.getTasteCoupon();
//	      		var tasteCouponObj = GHUTILS.getTasteCoupon();//获取用户体验金
//				_this.tasteCouponList = tasteCouponObj.tasteCouponList;
//				_this.couponId = tasteCouponObj.couponId;
//				_this.amount = tasteCouponObj.amount;
				_this.initDom(true,true,true);
			});
		},
		showMenu:function(show){
			var _this = this;
			var obj = $(".app_dialog");

			if( show == "hide"){
				obj.removeClass("app_show");

				setTimeout(function(){
					obj.removeClass("app_active");
				},500);
			}else{
				obj.addClass("app_active");
				setTimeout(function(){
					obj.addClass("app_show");
				},50);
			}
		},
		refresh: function(data){
			var _this = this;
			_this.param.sort = data.sort;
			_this.param.order = data.order;
			_this.param.page = 1;
			_this.initDom(true);
			mui('#app_pullRefresh').pullRefresh().refresh(true);
		},
		bindEvent:function(){
			var _this = this;
			$(".app_btn_hide").on("tap",function(){
				_this.showMenu('hide');
				mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PRTTN),"closeAfilter");
			});
		
			$("#app_dialog_box").on("tap",function(e){
				if(e.target.id == 'app_dialog_box'){
					_this.showMenu('hide');
					mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PRTTN),"closeAfilter");
				}
			});

			$(".app_filter_view li").on("tap",function(){
				var idx = $(this).index();
				var obj = $(this).closest(".app_filter_view")
				obj.find("li").removeClass("app_active").eq(idx).addClass("app_active");
			});

//			$(".app_sort_box1 li").on("tap",function(){
//				_this.param1 = JSON.parse($(this).attr("data-sort"));
//			});
			$(".app_sort_box2 li").on("tap",function(){
				_this.param2 = JSON.parse($(this).attr("data-sort"));
			});
			$(".app_sort_box3 li").on("tap",function(){
				_this.param3 = JSON.parse($(this).attr("data-sort"));
			});
			$(".app_sort_box4 li").on("tap",function(){
				_this.param4 = JSON.parse($(this).attr("data-sort"));
			});

			//筛选
			$("#app_filter_btn_confirm").on("tap",function(){
//				_this.param.reveal = _this.param1.reveal;
				_this.param.investMinStart = _this.param2.investMinStart;
				_this.param.investMinEnd = _this.param2.investMinEnd;
				_this.param.durationPeriodDaysStart = _this.param3.durationPeriodDaysStart;
				_this.param.durationPeriodDaysEnd = _this.param3.durationPeriodDaysEnd;
				_this.param.expArorStart = _this.param4.expArorStart;
				_this.param.expArorEnd = _this.param4.expArorEnd;
				_this.param.page = 1;
				_this.initDom(true);
				mui('#app_pullRefresh').pullRefresh().refresh(true);
			});
		},
		//获取当前用户体验金
		getTasteCoupon: function(){return
			var _this = this;
			_this.tasteCouponList = []
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.coupon +"?page=1&rows=10000&status=notUsed",
				type:'post',
				callback: function(result){
					console.log(JSON.stringify(result))
					if(result.errorCode == 0){
						if(result.rows && result.rows.length > 0){
							for(var p in result.rows){
								if(result.rows[p].type == "tasteCoupon"){
									_this.tasteCouponList.push(result.rows[p])
								}
							}
							if(_this.tasteCouponList.length > 0){
								var amountList = [], maxAmountObjList = [], msecList = [], minMsecObjList = [], maxAmount = 0, minMsec = 0;
								for(var p in _this.tasteCouponList){
									amountList.push(_this.tasteCouponList[p].amount)
								}
								maxAmount = Math.max.apply(Math, amountList)
								for(var p in _this.tasteCouponList){
									if(_this.tasteCouponList[p].amount == maxAmount){
										maxAmountObjList.push(_this.tasteCouponList[p]);
									}
								}
								for(var p in maxAmountObjList){
									var dateArr = maxAmountObjList[p].finish.split('-');
									msecList.push(new Date(dateArr[0],(dateArr[1]-1),dateArr[2]).getTime());
									maxAmountObjList[p].msec = msecList[p];
								}
								minMsec = Math.min.apply(Math, msecList)
								for(var p in maxAmountObjList){
									if(maxAmountObjList[p].msec == minMsec){
										minMsecObjList.push(maxAmountObjList[p]);
									}
								}
								_this.couponId = minMsecObjList[0].oid
								_this.amount = minMsecObjList[0].amount
							}
						}
					}else if(result.errorCode != 10002 && result.errorCode != 20005){
						mui.toast(result.errorMessage)
					}
					_this.initDom(true,true,true);
				},
				errcallback: function(err){
					_this.initDom(true,true,true);
				}
			})
		},
		initDom: function(clearList,down,noWaiting){
			var _this = this;
			var _sw=true && !noWaiting;
			$('#app_list_tips').hide();
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gettnproductlist, _this.param),
				type: "post",
				sw: _sw,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						_this.upRefresh = _this.param.page*_this.param.rows < result.total ? false : true
						if(down){
							mui('#app_pullRefresh').pullRefresh().endPulldownToRefresh();
							if(!_this.upRefresh){
								mui('#app_pullRefresh').pullRefresh().refresh(true);
							}
						}
						var prodList = result.rows;
						var prodHtml = '';
						for(var i in prodList){
							 prodHtml += _this.getProdHtml(prodList[i]);
						}
						if(clearList){
							$(".app_product_list").html("");
						}
						if(prodHtml == ''){
							if($(".app_product_list").html() == ''){
								$("#app_list_tips").show();
							}
							return
						}
						$(".app_product_list").append(prodHtml);
						_this.showDetails();
					}
				}
			});
		},
		showDetails: function(){
			var _this = this;
			$('.app_showdetail').off().on('tap',function(){
				if(GHUTILS.linkChackLogin(this.id,_this.ws.id)){
					GHUTILS.OPENPAGE({
						url:"../../html/product-tn/product-tn-detail.html",
						id:GHUTILS.PAGESID.PROTNDETAIL,
						extras:{
							productOid: $(this).attr("data-oid")
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			});
			
			$(".app_tastedetail").off().on('tap', function(){
				if(GHUTILS.linkChackLogin(this.id,_this.ws.id)){
					GHUTILS.OPENPAGE({
						url: '../../html/product-tn/product-tn-expproducts-detail.html',
						id: GHUTILS.PAGESID.PROTNEXPDETAIL,
						extras: {
							productOid: $(this).attr("data-oid"),
							couponId: _this.couponId,
							amount: _this.amount
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			})
		},
		//获取交易html
		getProdHtml: function(tradeObj){
			var _this = this;
			var prodText = '';
			//募集进度
			var collectPercent = GHUTILS.toFixeds(GHUTILS.Fmul(GHUTILS.Fdiv(GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)), tradeObj.raisedTotalNumber), 100),2);
			var type = '', soldOut = '';
			if(!tradeObj.investMin){
				tradeObj.investMin = 0
			}
			if(tradeObj.state == "RAISEEND"){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">募集结束</span>'
			}else if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">售罄</span>'
				collectPercent = "100.00"
			}
			type += GHUTILS.showProductLabels(tradeObj.productLabels);
			
			//相关数据处理
			var aniNum = tradeObj.annualInterestSec.split("-");
				
			if(aniNum.length > 1){
				var animin = aniNum[0].replace("%","");
				var animax = aniNum[1].replace("%","");
				aniNum = animin + "-" + animax;
			}else{
				aniNum = aniNum[0].replace("%","");
			}
			
			if(tradeObj.state == "RAISEEND" && GHUTILS.Fadd(tradeObj.collectedVolume, GHUTILS.Fmul(tradeObj.lockCollectedVolume, tradeObj.netUnitShare)) != tradeObj.raisedTotalNumber){
				prodText = '';
			}
//			else if(GHUTILS.isLabelProduct(tradeObj.productLabels, "体验金")){
//				if(_this.tasteCouponList && _this.tasteCouponList.length > 0){
//					prodText = '<div class="app_product_ihbox app_tastedetail'
//							   +soldOut+'" data-oid="'
//							   +tradeObj.oid + '"><div class="app_product_ihbox_title app_c4">' 
//							   +tradeObj.productName +type+'</div><div class="app_product_ihcon app_clearfix app_experiencefund"><h2>'
//							   +aniNum+'%</h2><h5>预期年化收益率</h5></div></div>';
//				}else{
//					prodText = ''
//				}
//			}
			else{
				prodText = '<div class="app_product_ihbox app_showdetail'
						   +soldOut+'" data-oid="'
						   +tradeObj.oid + '"><div class="app_product_ihbox_title app_c4">' 
						   +tradeObj.productName +type+'</div><div class="app_product_ihcon app_clearfix"><div class="app_product_ihview app_fl app_pt5 mui-col-xs-5"><div class="app_cf90 "><span class="app_f18">' 
						   +aniNum + '%</span></div><p class="app_f14 app_cb3a app_mt8 app_c8">预期年化收益率</p></div><div class="app_product_ihview app_fl mui-col-xs-7 app_pl10 app_pt5 app_pb5 app_f14 app_c4"><span class="app_c8">起投金额：</span>'
						   +GHUTILS.formatCurrency(tradeObj.investMin) +'元<div class="app_mt10"><span class="app_c8">投资期限：</span>'
						   +tradeObj.durationPeriod +'天</div></div></div><div class="app_pt15 app_pb15"><div class="app_progress_txt app_c80">'
						   +collectPercent+'%</div><div class="app_progress_bar"><span style="width: '
						   +collectPercent+'%;"></span></div></div></div>';
			}
			return prodText;
		}
	}
	mui.plusReady(function(){
		var ptn = new PRODUCTTNLIST();
			ptn.init();
	});
})(Zepto);
