/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var SETTING = function() {
		this.ws = null;
//		this.realNameDisp = "";
		this.pwd = false;
		this.payPd = false;
		return this;
	}
	SETTING.prototype = {
		init: function() {
			var _this = this;
//			GHUTILS.setUserAgent();
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			GHUTILS.getUserInfo(function(){
				_this.loadData(); //获取数据
			})
		},
		pageInit: function() {
			var _this = this;
			document.addEventListener("loadData", function() {
				_this.loadData();
			});
		},
		loadData: function() {
			var _this = this;
			if(GHUTILS.getloginStatus()){
//				_this.realNameDisp = GHUTILS.getLocalUserInfo('name') || "";
				
				_this.pwd = GHUTILS.getLocalUserInfo('userPwd');
				if(_this.pwd){
					$('#pwd').html("可重置").addClass("app_cblue3")
				} else {
					$('#pwd').html("去设置").removeClass("app_cblue3")
				}
				
				_this.payPd = GHUTILS.getLocalUserInfo('paypwd');
				if(_this.payPd){
					$('#payPd').html("可重置").addClass("app_cblue3")
				} else {
					$('#payPd').html("去设置").removeClass("app_cblue3")
				}
				
				if(GHUTILS.getLocalCfg("spwdcfg")) {
					$("#app_pwdison").html("已开启").addClass("app_cblue3")
				} else {
					$("#app_pwdison").html("未开启").removeClass("app_cblue3")
				}
			}
		},
		bindEvent: function() {
			var _this = this;
			//初始化页面连接
			GHUTILS.listLinks();
			
			$('#app-pwd').on('tap',function(){
				var type = _this.pwd ? 'modify' : 'set'
				GHUTILS.OPENPAGE({
					url: "../../html/usermgmt/usermgmt-pwd.html",
					id: GHUTILS.PAGESID.PWD,
					extras: {
						type: type
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
			
			$('#app-paypswd').on('tap',function(){
//				if(!_this.realNameDisp){
//					mui.toast('请先完成实名认证');
//				} else {
//					var dealPayCode = _this.payPd == 'isSet' ? 'modify' : 'set';
//					var title = _this.payPd == 'isSet' ? '修改支付密码' : '设置支付密码';
//					//跳转到第三方时的公共页面
//					GHUTILS.OPENPAGE({
//						url: '../account/account-zxym.html',
//						id: GHUTILS.PAGESID.WEBPAGES,
//						extras:{
//							title: title,
//							postindex: 3,
//							value: dealPayCode,
//							pagesid: GHUTILS.PAGESID.USERCNETER
//						}
//					});
//				}
				var type = _this.payPd ? 'modify' : 'set'
				GHUTILS.OPENPAGE({
					url: "../../html/usermgmt/usermgmt-dealpwd.html",
					id: GHUTILS.PAGESID.DEALPWD,
					extras: {
						type: type
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
		}
	}
	mui.plusReady(function() {
		var sett = new SETTING();
		sett.init();
	});
})(Zepto);