/*
 Title:登录
 Author:sunli haiyang
 Date:2016-6-15 20:55:00
 Version:v1.0
*/
mui.init();
(function($) {

	var LOGIN = function(){
		this.tips = "#app_tips_login";
		this.ws = plus.webview.currentWebview();
		this.oldBack = mui.back;
		return this;
	}
	LOGIN.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			var userId = localStorage.getItem("userID") || '';
			$("#app_account").on("change", function(){
				if($("#app_account").val() == "phone"){
					$("#app-userAcc").attr("placeholder","请输入手机号码")
				}else if($("#app_account").val() == "bfaccount"){
					$("#app-userAcc").attr("placeholder","请输入暴风影音账户")
				}else{
					$("#app-userAcc").removeAttr("placeholder");
				}
			})
			
			//写入上一次账户
//			$("#app-userAcc").val(userId);
			
			if(_this.ws.pwd){
				_this.ws.opener().close("none",0);
			}
			
			//登录app忘记或手势密码错误5次，跳转登录，禁止返回
			if(_this.ws.isclose){
				$("#app_close").removeClass("mui-action-back").removeClass("mui-icon-back");
			}
			//修改手势密码时忘记手势密码，跳转登录，禁止返回
			if(_this.ws.isclose1){
				$("#app_close").removeClass("mui-action-back").removeClass("mui-icon-back");
			}
			
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
//			$("#app-forgetpwd").off().on("tap",function(){
//				$(_this.tips).html("&nbsp;");
//				GHUTILS.OPENPAGE({
//					url:"../../html/usermgmt/usermgmt-forgetpwd.html",
//					id:GHUTILS.PAGESID.FORGETPWD
//				})
//				GHUTILS.nativeUI.showWaiting();
//			})
			
//			$("#app-regist").off().on("tap",function(){
//				GHUTILS.OPENPAGE({
//					url:"usermgmt-reg.html",
//					id:GHUTILS.PAGESID.REG
//				})
//			})
			
			$("#app-login").off().on("tap",function(){
				$(_this.tips).html("&nbsp;");
				if (!$(this).hasClass("app_loading") && GHUTILS.validate()) {
					_this.doLogin();
				}
			})
			
			$("#app-userAcc")
			.on('focus', function () {
				$(document).on('keyup', function (e) {
					if (e.keyCode === 13) {
						$(_this.tips).html("&nbsp;");
						if (!$(this).hasClass("app_loading") && GHUTILS.validate()) {
							_this.doLogin();
						}
					}
				}.bind(this))
			})
			.on('blur', function () {
				$(document).off('keyup')
			})
		},
		doLogin:function(){
			var _this = this;
			if(false){
				GHUTILS.OPENPAGE({
					url: "usermgmt-login.html",
					id: GHUTILS.PAGESID.LOGIN,
					extras: {
						cbobj: _this.ws.cbobj,
						account: $("#app-userAcc").val()
					}
				})
			}else{
//				var btnArray = ['取消', '确定'];
//				mui.prompt('', '请输入邀请码', '邀请码', btnArray, function(e) {
//					if (e.index == 1) {
						GHUTILS.OPENPAGE({
							url: "usermgmt-reg.html",
							id: GHUTILS.PAGESID.REG,
							extras: {
								account: $("#app-userAcc").val()
							}
						})
//					}
//				})
			}
		}
	}
	mui.plusReady(function(){
		var log = new LOGIN();
			log.init();
	});
})(Zepto);
