/*
 Title:银行卡信息
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {
	var BANKCARD = function(){
		this.ws = plus.webview.currentWebview();
		this.getVcode = $("#app-message");
		this.tips = $("#app_tips_box")
		this.orderNo = "";
		this.bankCodeList = [];
		this.bankNameList = [];
		return this;
	}
	BANKCARD.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			_this.findAllBank();
			if(GHUTILS.getLocalUserInfo("name")){
				$("#app_name").attr("disabled","disabled").val(GHUTILS.getLocalUserInfo("name"))
			}
			if(GHUTILS.getLocalUserInfo("idNumb")){
				$("#app_idNumb").attr("disabled","disabled").val(GHUTILS.getLocalUserInfo("idNumb"))
			}
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			$('.app_icon_checknone input[type="checkbox"]').on("change", function(){
				if($(this).is(':checked')){
					$(this).parent('span').removeClass('app_icon_checknone').addClass('app_icon_checked')
				}else{
					$(this).parent('span').removeClass('app_icon_checked').addClass('app_icon_checknone')
				}
			})
			
			_this.getVcode.on('tap', function(){
				if(_this.getVcode.hasClass("app_btn_loading")){
					return
				}
				_this.tips.html('&nbsp;');
				if(_this.inputValid()){
//					_this.validagree();
//					_this.valid4ele();
					_this.getVericode();
				}
			})
			
			$("#app_addBankCard").on('tap', function(){
				if($(this).hasClass("app_loading")){
//					GHUTILS.showError("请先获取短信验证码！", _this.tips)
					return
				}
				if(_this.inputValid() && GHUTILS.validate("app_message_div") && _this.isValid()){
					$(_this.tips).html('&nbsp;');
//					_this.confirmAgree();
//					_this.bankadd();
					$("#app_addBankCard").addClass("app_loading")
					GHUTILS.nativeUI.showWaiting();
					_this.checkPhoneCode(function(){
						_this.findBankByCard($("#app_cardNumb").val(), function(){_this.isbind()});
					})
				}
			})
			
			$(".app_protocol").on("tap", function(){
				_this.getProtocolInfo($(this).attr("data-tilte"), $(this).attr("data-typeId"));
			})
			
			$("#app_cardNumb").on("blur", function(){
				_this.tips.html('&nbsp;');
				if($(this).val().length > 15){
					GHUTILS.nativeUI.showWaiting();
					_this.findBankByCard($(this).val(), function(){plus.nativeUI.closeWaiting();});
				}
			})
			
			$("#app_bankName").on("change", function(){
				_this.tips.html('&nbsp;');
				if($("#app_cardNumb").val().length > 15){
					GHUTILS.nativeUI.showWaiting();
					_this.findBankByCard($("#app_cardNumb").val(), function(){plus.nativeUI.closeWaiting();});
				}
			})
		},
		//获取可交易银行列表
		findAllBank: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.findAllBank,
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						if (result.bankList && result.bankList.length > 0) {
							var html = ""
							result.bankList.forEach(function(e, i){
								html += '<option value="' + e.bankName + '">' + e.bankName + '</option>'
								_this.bankCodeList.push(e.bankCode)
								_this.bankNameList.push(e.bankName)
							})
							$("#app_bankName").html(html)
						}
					}
					plus.nativeUI.closeWaiting();
				},
				errcallback: function(){
					plus.nativeUI.closeWaiting();
				}
			})
		},
		//验证银行卡号与银行是否匹配
		findBankByCard: function(bankCard, iftrue){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.findBankByCard+"?bankCard="+bankCard,
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(result && result.errorCode == 0){
						if(result.bankInfo.bankCode){
							if(result.bankInfo.bankCode == bankcode[$("#app_bankName").val()]){
								iftrue.apply(null, arguments);
							}else{
								if(_this.bankCodeList.indexOf(result.bankInfo.bankCode) > -1){
									GHUTILS.showError("银行卡号与银行不匹配！已为您自动匹配银行", _this.tips)
									$("#app_bankName").val(_this.bankNameList[_this.bankCodeList.indexOf(result.bankInfo.bankCode)])
								}else{
									GHUTILS.showError("不支持该银行卡！", _this.tips)
								}
								plus.nativeUI.closeWaiting();
								$("#app_addBankCard").removeClass("app_loading")
							}
						}else{
							GHUTILS.showError("银行卡号错误或不支持该银行卡！", _this.tips)
							plus.nativeUI.closeWaiting();
							$("#app_addBankCard").removeClass("app_loading")
						}
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
					}
				},
				errcallback: function(err){
					$("#app_addBankCard").removeClass("app_loading")
				}
			})
		},
		//获取验证码
		getVericode:function(){
			var _this = this;
			_this.getVcode.addClass("app_btn_loading")
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.sendverifyv1,
				data: {
					phone: $("#app_phoneNo").val(),
					smsType: "bindbank",
					values: []
				},
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						GHUTILS.btnTime(_this.getVcode);
					}else{
						_this.getVcode.removeClass("app_btn_loading")
					}
				},
				errcallback: function(){
					_this.getVcode.removeClass("app_btn_loading")
				}
			});
		},
		checkPhoneCode: function(iftrue){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.verify,
				data: {
					phone: $("#app_phoneNo").val(),
					veriCode: $("#app_vericode").val(),
					smsType: "bindbank"
				},
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result && result.errorCode == 0) {
						iftrue.apply(null, arguments);
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
					}
				},
				errcallback: function(err){
					$("#app_addBankCard").removeClass("app_loading")
				}
			});
		},
		//验证银行卡是否已绑定
		isbind: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.isbind,
				data: {
					idNumb: $("#app_idNumb").val(),
					cardNumb: $("#app_cardNumb").val()
				},
				type: "post",
				sw: false,
				callback: function(result){
					console.log(JSON.stringify(result))
					if(result && result.errorCode == 0){
						_this.valid4ele()
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
					}
				},
				errcallback: function(){
					$("#app_addBankCard").removeClass("app_loading")
				}
			})
		},
		//用户验证
		valid4ele: function(){
			var _this = this;
//			_this.getVcode.addClass("app_btn_loading")
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.valid4ele,
				data: {
					userOid: GHUTILS.getLocalUserInfo("memberId"),
					realName: $("#app_name").val(),
					idCardNo: $("#app_idNumb").val(),
					bankName: $("#app_bankName").val(),
					cardNo: $("#app_cardNumb").val(),
					phone: $("#app_phoneNo").val()
				},
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result.errorCode == 0 || result.errorCode == 9907) {
						_this.bankadd();
//						GHUTILS.btnTime(_this.getVcode);
//						$("#app_addBankCard").removeClass("app_btn_loading")
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						plus.nativeUI.closeWaiting();
						$("#app_addBankCard").removeClass("app_loading")
//						_this.getVcode.removeClass("app_btn_loading")
					}
				},
				errcallback: function(){
//					_this.getVcode.removeClass("app_btn_loading")
					$("#app_addBankCard").removeClass("app_loading")
				}
			});
		},
		//申请代扣协议
		validagree: function(){
			var _this = this;
			_this.getVcode.addClass("app_btn_loading")
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.validagree,
				data: {
					userOid: GHUTILS.getLocalUserInfo("memberId"),
					realName: $("#app_name").val(),
					idCardNo: $("#app_idNumb").val(),
					bankName: $("#app_bankName").val(),
					cardNo: $("#app_cardNumb").val(),
					phone: $("#app_phoneNo").val()
				},
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result.errorCode == 0 || result.errorCode == 9001 || result.errorCode == 9002) {
						GHUTILS.btnTime(_this.getVcode);
						_this.orderNo = result.orderNo
//						$("#app_addBankCard").removeClass("app_btn_loading")
					}else if(result.errorCode == 10002){
						_this.getVcode.removeClass("app_btn_loading")
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						_this.getVcode.removeClass("app_btn_loading")
					}
				},
				errcallback: function(){
					_this.getVcode.removeClass("app_btn_loading")
				}
			});
		},
		//确认签约代扣协议
		confirmAgree: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.confirmAgree,
				data: {
					userOid: GHUTILS.getLocalUserInfo("memberId"),
					orderNo: _this.orderNo
				},
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result.errorCode == 0 || result.errorCode == 9001 || result.errorCode == 9002) {
						_this.bankadd()
					}else if(result.errorCode == 10002){
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
					}
				}
			});
		},
		//添加银行卡
		bankadd: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.bankadd,
				data: {
					name: $("#app_name").val(),
					idNumb: $("#app_idNumb").val(),
					bankName: $("#app_bankName").val(),
					cardNumb: $("#app_cardNumb").val(),
					phoneNo: $("#app_phoneNo").val()
				},
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					plus.nativeUI.closeWaiting();
					if (GHUTILS.checkErrorCode(result, _this.tips)) {
						GHUTILS.getUserInfo(function(){
							$(".steps").hide();
							$("#app_stepTwo").show();
							mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.BANKCARDLIST), "loadData")
							mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.SETTING), "loadData")
						})
					}
					$("#app_addBankCard").removeClass("app_loading")
				},
				errcallback: function(){
					$("#app_addBankCard").removeClass("app_loading")
				}
			});
		},
		//获取协议信息
		getProtocolInfo: function(title, typeId){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getProtocolInfo+"?typeId="+typeId,
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result, _this.tips)){
						GHUTILS.OPENPAGE({
							url:"../../html/index/content_pages.html",
							id:GHUTILS.PAGESID.CONTENT,
							extras:{
								title: title,
								content: encodeURIComponent(result.content)
							}
						})
					}
				}
			})
		},
		inputValid: function(){
			var _this = this;
			var valid = true, idNumb = $("#app_idNumb").val();
			if(!GHUTILS.validate("app_realName_div")){
				valid = false
			}else if(!GHUTILS.validate("app_idNumb_div")){
				valid = false
			}else if(!idCardValid.idCardValidate(idNumb,_this.tips)){
				valid = false
			}else if(!GHUTILS.validate("app_phoneNo_div")){
				valid = false
			}else if(!GHUTILS.validate("app_cardNumb_div")){
				valid = false
			}
			return valid
		},
		isValid: function(){
			var _this = this;
			var valid = true;
			if(!$('#app_aggrement').is(':checked')){
				GHUTILS.showError("您必须同意并遵守《快捷支付服务协议》才能绑卡",_this.tips);
				valid = false
			}
			return valid
		},
	}
	mui.plusReady(function(){
		var bc = new BANKCARD();
			bc.init();
	});
//	$(function(){
//		var bc = new BANKCARD();
//			bc.init();
//	});
})(Zepto);