/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var CENTRE = function(){
		this.ws = null;
		this.userDefineName = "";
		this.realNameDisp = "";
		this.bankAccNo = "";
		this.payPd = "";
		this.assessType = "";
		return this;
	}
	CENTRE.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.getData();//获取数据
			this.bindEvent();//事件绑定
		},
		pageInit:function(){
			var _this = this;
			if(GHUTILS.getloginStatus()){
				//用户名
//				_this.userDefineName = GHUTILS.getLocalUserInfo('userDefineName');
//				if(_this.userDefineName == "") {
//					$('#nickname').html(GHUTILS.getLocalUserInfo('sysInnerName'));
//					$('#nicknameDiv').addClass('mui-navigate-right');
//				} else {
//					$('#nicknameDiv').removeClass('mui-navigate-right');
//					$('#nickname').html(_this.userDefineName);
//				}
				//实名认证
				_this.realNameDisp = GHUTILS.getLocalUserInfo('name') || "";
				if(_this.realNameDisp == ""){
					$('#realName').html('未认证');
					$('#realNameDiv').addClass('mui-navigate-right');
				} else {
					$('#realNameDiv').removeClass('mui-navigate-right');
					$('#realName').html(realNameDisp);
				}
				//手机认证
				var userAcc = GHUTILS.getLocalUserInfo('userAcc');
				showMobile = userAcc.substr(0,3)+"****"+userAcc.substr(7,4);
				$('#showMobile').html(showMobile);
				//银行卡信息
//				_this.bankAccNo = GHUTILS.getLocalUserInfo('bankAccNo');
//				if(_this.bankAccNo == ""){
//					$('#bankAccNo').html('未绑定');
//				} else {
//					$('#bankAccNo').html('已绑卡');
//				}
				//支付密码
				_this.payPd = GHUTILS.getLocalUserInfo('paypwd');
				$('#payPd').html(_this.payPd == "isSet" ? "可重置" : "未设置");
				//风险能力承受
//				_this.assessType = GHUTILS.getLocalUserInfo('assessType');
//				$('#assessType').html(_this.assessType == "" ? "保守型" : _this.assessType);
				
				plus.nativeUI.closeWaiting();
			}
		},
		getData:function(){
			var _this = this;

		},
		bindEvent:function(){
			var _this = this;
			
			//重新加载数据
			document.addEventListener("loadData", function(e) {
				_this.pageInit();
			});
			
//			$('#app-nickname').on('click',function(){
//				if(_this.isEmpty(_this.userDefineName)){
//					GHUTILS.nativeUI.showWaiting();
//					GHUTILS.OPENPAGE({
//						url:"usermgmt-nickname.html",
//						id:GHUTILS.PAGESID.NIKCNAME
//					});
//				}
//			});

			$('#app-realname').on('click',function(){
				if(_this.isEmpty(_this.realNameDisp)){
					GHUTILS.nativeUI.showWaiting();
					GHUTILS.OPENPAGE({
						url:"usermgmt-realname.html",
						id:GHUTILS.PAGESID.REALNAME
					});
				}
			});

//			$('#app-bankcard').on('click',function(){
//				if(_this.isEmpty(_this.bankAccNo)){
//					GHUTILS.nativeUI.showWaiting();
//					GHUTILS.OPENPAGE({
//						url : "../../html/account/account-firstdeposit-parent.html",
//						id : GHUTILS.PAGESID.FIRSTDEPOSIT,
//						extras:{
//							usercneter:"usercneter"
//						}
//					});
//				} else {
//					GHUTILS.nativeUI.showWaiting();
//					GHUTILS.OPENPAGE({
//						url : "usermgmt-bankcard.html",
//						id : GHUTILS.PAGESID.BANKCARD
//					});
//				}
//			});

			$('#app-pwd').on('click',function(){
				GHUTILS.nativeUI.showWaiting();
				GHUTILS.OPENPAGE({
					url:"usermgmt-pwd.html",
					id:GHUTILS.PAGESID.PWD
				});
			});

			$('#app-paypswd').on('tap',function(){
				if(_this.isEmpty(_this.realNameDisp)){
					mui.toast('请先完成实名认证');
				} else {
					var dealPayCode = _this.payPd == 'isSet' ? 'modify' : 'set';
					var title = _this.payPd == 'isSet' ? '修改支付密码' : '设置支付密码';
					//跳转到第三方时的公共页面
					GHUTILS.OPENPAGE({
						url: '../account/account-zxym.html',
						id: GHUTILS.PAGESID.WEBPAGES,
						extras:{
							title: title,
							postindex: 3,
							value: dealPayCode,
							pagesid: GHUTILS.PAGESID.USERCNETER
						}
					});
				}
			});

//			$('#app-risk').on('tap',function(){
//				GHUTILS.nativeUI.showWaiting();
//				GHUTILS.OPENPAGE({
//					url:"usermgmt-risk.html",
//					id:GHUTILS.PAGESID.RISK
//				});
//			});
			$('#app-confirm').on('tap',function(){
				GHUTILS.nativeUI.showWaiting();
				GHUTILS.loginOut(function(){
					plus.nativeUI.closeWaiting();
					//打开首页
					var wg = plus.webview.getLaunchWebview();
					mui.fire(wg, "showtab", {
						tabindex: 0
					});
					mui.back();					
				});
//				GHUTILS.OPENPAGE({
//					url:"usermgmt-login.html",
//					id:GHUTILS.PAGESID.LOGIN
//				});
				
			});
		},
		isEmpty:function	(content){
			return content == "" ? true : false;
		}
	}
	mui.plusReady(function(){
		var ce = new CENTRE();
			ce.init();
	});
//	$(function(){
//		var ce = new CENTRE();
//			ce.init();
//	});
})(Zepto);
