/*
 Title:忘记支付密码
 Author:sunli haiyang
 Date:2016-6-18 14:48:28
 Version:v1.0
*/
mui.init();
(function($) {

	var FORGETPAYPSWD = function(){
		this.getVcode = $("#app-message");
		this.vericode = null;
		this.tips1 = "#app_tips_box1";
		this.tips2 = "#app_tips_box2";
		this.imgConfirmed = false;
		this.ws = plus.webview.currentWebview();
		return this;
	}
	FORGETPAYPSWD.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			$("#app_imgCode").attr('src',HOST+"/app/common/verifyImage.jsp");
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			_this.getVcode.off().on("tap",function(){
				if(_this.getVcode.hasClass("app_btn_loading")){
					return
				}
				var idNumb = $('#app-idNumb').val();
				$(_this.tips1).html("&nbsp;");
				if(idNumb.length != 0){
					if(idCardValid.idCardValidate(idNumb,_this.tips1)){
						$("#app_imgCodeResult").val('');
						$('#app_img_tipDvi').hide();
						$('#app_img_tip').html('');
						GHUTILS.changeVCode1($("#app_imgCode"));
						GHUTILS.popupBox.show("#app_toast_confirm");
						$("#app-idNumb").blur();
						$("#app-vericode").blur();
						$("#app_imgCodeResult").focus();
						_this.imgConfirmed=false;
					}
				}else{
					GHUTILS.showError("身份证号不能为空",_this.tips1);
				}
			});
			
			$("#app_imgCode").off().on("tap",function(){
				GHUTILS.changeVCode1($("#app_imgCode"));
			});
			
			$('#app_imgCodeResult').off().on('focus',function(){
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
			})
			
			$("#app-stepOneNext").off().on("tap",function(){
				var idNumb = $('#app-idNumb').val();
				$(_this.tips1).html("&nbsp;");
				if(idNumb.length != 0){
					if(idCardValid.idCardValidate(idNumb,_this.tips1) && GHUTILS.validate("app_vericode_div")){
						_this.checkid();
					}
				}else{
					GHUTILS.showError("身份证号不能为空",_this.tips1);
				}
			})
			
			$("#app-confirm").off().on("tap",function(){
				if(GHUTILS.validate("app-stepTwo")){
					_this.modifyPayPwd();
				}
			})
			
			$(".app_pop_hide").off().on("tap",function(){
				$("#app_imgCodeResult").blur();
				GHUTILS.popupBox.hide("#app_toast_confirm");
			});
			
			$("#app_btn_confirm").off().on('tap',function(){
				if (_this.imgConfirmed) {
					return;
				}
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
				if(GHUTILS.validate("app_imgCodeDiv")){
					_this.getVericode();
				}
			});
		},
		getVericode: function(){
			var _this = this;
			_this.imgConfirmed=true;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.phoneverifyv1,
				data: {
					mobile: GHUTILS.getLocalUserInfo("mobile"),
					inputVerify: '',
					msgType: 'DX',
					msgTempId: 10,
					valicode: $("#app_imgCodeResult").val(),
					notice: "valicode_notice_zhaohui"
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (result.errorCode==0) {
						_this.getVcode.addClass("app_btn_loading")
						$("#app_imgCodeResult").blur();
						GHUTILS.popupBox.hide("#app_toast_confirm");
						GHUTILS.btnTime(_this.getVcode);
					}else{
						$("#app_imgCodeResult").val("");
						GHUTILS.changeVCode1($("#app_imgCode"));
						$('#app_img_tipDvi').show();
						$('#app_img_tip').html(result.errorMessage);
						_this.imgConfirmed=false;
					}
				}
			});
		},
		checkid: function(){
			var _this = this;
			_this.vericode = $('#app-vericode').val();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.checkid,
				data: {
					mobile: GHUTILS.getLocalUserInfo("mobile"),
					vericode: _this.vericode,
					idnumber: $('#app-idNumb').val()
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips1)) {
						$(".steps").hide();
						$("#app-stepTwo").show();
					}
				}
			});
		},
		modifyPayPwd: function(){
			var _this = this;
			$(_this.tips2).html("&nbsp;");
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.modifypaypassword,
				data: {
					paypassword: $('#app-payPwd').val(),
					vericode: _this.vericode,
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips2)) {
						mui.toast("密码修改成功");
						if(_this.ws.productOid != null && _this.ws.productName != null){
							GHUTILS.OPENPAGE({
								url: "../../html/account/account-product-t0-redeem.html",
								id: GHUTILS.PAGESID.T0REDEEM,
								extras: {
									productOid: _this.ws.productOid,
									productName: _this.ws.productName
								}
							})
							GHUTILS.nativeUI.showWaiting();
						}else{
							mui.back();
						}
					}
				}
			});
		}
	}
	mui.plusReady(function(){
		var fpp = new FORGETPAYPSWD();
			fpp.init();
	});
})(Zepto);