/*
 Title:登录
 Author:sunli haiyang
 Date:2016-6-15 20:55:00
 Version:v1.0
*/
mui.init();
(function($) {

	var LOGIN = function(){
		this.getVcode = $("#app-message");
		this.bfVeriCodeBtn = $("#bf_vericode_btn");
		this.tips = "#app_tips_login";
		this.bftips = "#app_tip";
		this.ws = plus.webview.currentWebview();
		this.oldBack = mui.back;
		this.mobileLogin = true;
		this.userOid = "";
		this.timeInterval;
		return this;
	}
	LOGIN.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			var userId = localStorage.getItem("userID") || '';
			
			//写入上一次账户
			$("#app-userAcc").val(userId);
			$("#app-userAcc2").val(userId);
			
			if(_this.ws.pwd){
				_this.ws.opener().close("none",0);
			}
			
			//登录app忘记或手势密码错误5次，跳转登录，禁止返回
			if(_this.ws.isclose){
				$("#app_close").removeClass("mui-action-back").removeClass("app-icon-close");
			}
			//修改手势密码时忘记手势密码，跳转登录，禁止返回
			if(_this.ws.isclose1){
				$("#app_close").removeClass("mui-action-back").removeClass("app-icon-close");
			}
			
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			$("#app-forgetpwd").off().on("tap",function(){				
				$(_this.tips).html("&nbsp;");
				GHUTILS.OPENPAGE({
					url:"../../html/usermgmt/usermgmt-forgetpwd.html",
					id:GHUTILS.PAGESID.FORGETPWD
				})
				GHUTILS.nativeUI.showWaiting();
			})
			
			$("#app-regist").off().on("tap",function(){
				GHUTILS.OPENPAGE({
					url:"usermgmt-reg.html",
					id:GHUTILS.PAGESID.REG
				})
			})
			
			_this.getVcode.off().on("tap",function(){
				if(_this.getVcode.hasClass("app_btn_loading")){
					return
				}
				$(_this.tips).html('&nbsp;');
				if(GHUTILS.validate("app-phoneDiv")){
					_this.getVericode();
				}
			});
			
			$("#app-login").off().on("tap",function(){
				$(_this.tips).html("&nbsp;");
				if(_this.mobileLogin){
					if (!$(this).hasClass("app_loading") && GHUTILS.validate("app_stepOne")) {
//						_this.checkPhoneCode(function(){
							_this.doLogin($("#app-userAcc").val(), "", $("#app-vericode").val());
//						})
					}
				}else{
					if (!$(this).hasClass("app_loading") && GHUTILS.validate("app_stepTwo")) {
						_this.doLogin($("#app-userAcc2").val(), $("#app-userPwd").val(), "");
					}
				}
			})
			
			$("#app-userPwd")
			.on('focus', function () {
				$(document).on('keyup', function (e) {
					if (e.keyCode === 13) {
						$(_this.tips).html("&nbsp;");
						if (!$(this).hasClass("app_loading") && GHUTILS.validate("app_stepTwo")) {
							_this.doLogin($("#app-userAcc2").val(), $("#app-userPwd").val(), "");
						}
					}
				}.bind(this))
			})
			.on('blur', function () {
				$(document).off('keyup')
			})
			
			GHUTILS.inputFocus("#app-userPwd");
			
			$("#app_mobileLogin").on("tap", function(){
				if($(this).hasClass("app_hw_sp")){
					$(_this.tips).html("&nbsp;");
					_this.mobileLogin = true
					$(this).removeClass("app_hw_sp").addClass("app_hb_sp");
					$("#app_accountLogin").removeClass("app_hb_sp").addClass("app_hw_sp");
					$("#app_stepTwo").addClass("app_none");
					$("#app_stepOne").removeClass("app_none");
					$("#app-userAcc2").blur();
					$("#app-userPwd").blur();
				}
			})
			
			$("#app_accountLogin").on("tap", function(){
				if($(this).hasClass("app_hw_sp")){
					$(_this.tips).html("&nbsp;");
					_this.mobileLogin = false
					$(this).removeClass("app_hw_sp").addClass("app_hb_sp");
					$("#app_mobileLogin").removeClass("app_hb_sp").addClass("app_hw_sp");
					$("#app_stepOne").addClass("app_none");
					$("#app_stepTwo").removeClass("app_none");
					$("#app-userAcc").blur();
					$("#app-vericode").blur();
				}
			})
			
			// 暴风获取短信
			_this.bfVeriCodeBtn.off().on("tap",function(){
				if(_this.bfVeriCodeBtn.hasClass("app_btn_loading")){
					return
				}
				$(_this.bftips).html('&nbsp;');
				if(GHUTILS.validate("bf_phone_div")){
					_this.bfSendVeriCode();
				}
			});
			
			// 暴风登录
			$("#bf_login").on("tap", function(){
				if (GHUTILS.validate('app_stepTwo')) {
					_this.bfDoLogin();
				}
			})
			
			// 暴风绑定手机
			$("#app_btn_confirme").on("tap", function(){
				if (GHUTILS.validate('app_bindbankDiv')) {
					_this.bindmobile(_this.userOid, $("#bf_phone").val(), $("#app_vericode").val());
				}
			})
			
			// 取消弹框
			$(".app_pop_hide").on("tap", function(){
				GHUTILS.popupBox.hide('#app_toast_confirm')
			})
			
			
		},
		//获取验证码
		getVericode:function(){
			var _this = this;
			_this.getVcode.addClass("app_btn_loading")
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.sendverifyv1,
				data: {
					phone: $("#app-userAcc").val(),
					smsType: "login",
					values: []
				},
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result,_this.tips)){
						GHUTILS.btnTime(_this.getVcode);
					}else{
						_this.getVcode.removeClass("app_btn_loading")
					}
				},
				errcallback: function(){
					_this.getVcode.removeClass("app_btn_loading")
				}
			});
		},
		//校验验证码
		checkPhoneCode: function(iftrue){
			var _this = this;
			GHUTILS.nativeUI.showWaiting();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.verify,
				data: {
					phone: $("#app-userAcc").val(),
					veriCode: $("#app-vericode").val(),
					smsType: "login"
				},
				type: "post",
				sw: false,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (result && result.errorCode == 0) {
						iftrue.apply(null, arguments);
					}else if(result.errorCode == 10002){
						plus.nativeUI.closeWaiting();
						GHUTILS.loginOut(function(){
							var cb = {
								cb:"reload",
								pageid:plus.webview.currentWebview().id
							}
							GHUTILS.openLogin(JSON.stringify(cb));
						});
					}else{
						GHUTILS.showError(result.errorMessage, _this.tips)
						plus.nativeUI.closeWaiting();
					}
				}
			});
		},
		doLogin:function(mobile, password, vericode){
			var _this = this;
			$("#app-login").addClass("app_loading");
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.doLogin,
				data: {
//					mobile: mobile,
//					password: password,
//					from: GHUTILS.mos()
					userAcc: mobile,
					userPwd: password,
					vericode: vericode,
					platform: "app"
				},
				type: "post",
				sw:true,
				callback: function(result) {
					$("#app-login").removeClass("app_loading");
					if (GHUTILS.checkErrorCode(result,_this.tips)) {
						localStorage.setItem("userID", mobile);
//						localStorage.setItem("uid", result.uid);						
						if(_this.ws.isclose){
							plus.webview.getWebviewById(GHUTILS.PAGESID.LOCKER).hide();
						}
						if(_this.ws.pagesid){
							var fwv = plus.webview.getWebviewById(_this.ws.pagesid);
                        	mui.fire(fwv,"loadData",{"reset":true});
						}
						mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.PRTTNLIST), "loadData");
						//关闭注册页
						if(plus.webview.getWebviewById(GHUTILS.PAGESID.REG)){
							plus.webview.getWebviewById(GHUTILS.PAGESID.REG).close("none", 0)
						}
						//配置登录状态
						GHUTILS.upDataLocalCfig({
							ustatus:true,
							spwd:GHUTILS.getLocalCfg("spwd") || '',
							cfg:GHUTILS.getLocalCfg("spwdcfg") ? true : false,
							skip:GHUTILS.getLocalCfg("skip") ? true : false,
                            touchid:GHUTILS.getLocalCfg("touchid") ? true : false,
                            showstatus:GHUTILS.getLocalCfg("showstatus") == false ? false : true
						});
						mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.SETTING), "loadData");
						GHUTILS.nativeUI.showWaiting();
						GHUTILS.getUserInfo(function(){
							if(_this.ws.cbobj){
								var _cbobj = _this.ws.cbobj;								
									_this.loginRote(_cbobj);
							}
							plus.nativeUI.closeWaiting();
							GHUTILS.refreshPages();
							setTimeout(function(){
								mui.back();
							},50)
							//mui.trigger(document.getElementById("app_close"), "tap");
							//$("#app_close").trigger("tap")
							//_this.ws.close();
							//_this.oldBack();
							if(!GHUTILS.getLocalCfg("skip")){
								mui.toast('设置手势密码，账户更安全');
								mui.fire(plus.webview.getLaunchWebview(),"openspwd");
							}
						});
					}
				},
				errcallback: function(){
					$("#app-login").removeClass("app_loading");
				}
			});
		},
		bfDoLogin: function() {
			var _this = this;
			var sso = new SSOConfig.ssoinit();
			sso.setPublic(sso_p, sso_n);
			var enc = sso.encrypt($("#app-userPwd").val());
			// 暴风登录
			$.post(GHUTILS.API.BAOFENG.bflogin, {
				loginname: $("#app-userAcc2").val(),
				password: enc,
				from: "pc",
				version: "1.0"
			}, function(f) {
				$(_this.tips).html("&nbsp;");
				console.log("bfuserinfo:" + JSON.stringify(f))
				if(f.status == 1) {
					_this.userOid = f.info.userid;
					console.log('useroid' + _this.userOid)
					// 是否手机号绑定
					if (f.info && f.info.mobile) {
						_this.isRegist(f.info.mobile, true);
					} else  if (f.info && !f.info.mobile) { // 弹出绑定手机页面
						$("#bf_phone").val('');
						$("#app_vericode").val('');
						_this.bfVeriCodeBtn.removeClass("app_btn_loading");
						_this.bfVeriCodeBtn.html('短信获取');
						clearInterval(_this.timeInterval);
						GHUTILS.popupBox.show('#app_toast_confirm')
					}
				} else {
					// 暴风登录错误提示
					GHUTILS.showError(f.info.msg, _this.tips);
				}
			}, "json");
		},
		isRegist: function(mobile, isMobile){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.isregist + '?phoneNum=' + mobile,
				data: {},
				type: "post",
				sw: false,
				callback: function(result) {
					// 在金融系统未注册
					if (result && result.errorCode == 0) {
						// 金融系统默认给暴风创建账号
						_this.bfRegist(mobile, isMobile);
					} else if (result.errorMessage == '该手机号已经注册过，无法再次注册!') {
						GHUTILS.toast("后续可以使用手机号在暴风金融直接登录！")
					}
				}
			});
		},
		timeBtn: function(obj) {
			var t = 120;
	        var btntime = setInterval(function(){
	            if(t >= 0){
	                obj.html('重新获取('+ t +')');
	                t--;
	            }else{
	                obj.removeClass("app_btn_loading");
	                obj.html("短信获取");
	                clearInterval(btntime);
	                t = 120;
	            }
	        },1000)
	        return btntime;
		},
		bfSendVeriCode: function() {
			var _this = this;
			_this.bfVeriCodeBtn.addClass("app_btn_loading")
			var sso = new SSOConfig.ssoinit();
			sso.setPublic(sso_p, sso_n);
			var phone = sso.encrypt($("#bf_phone").val());
			
			var dateTime = parseInt(new Date().getTime() / 1000);
			var sign = hex_md5(dateTime + BFKEY);
			
			$.post(GHUTILS.API.BAOFENG.sendvc, {
				action: 'bindmobile',
				mobile: phone,
				time: dateTime,
				keytype: BFKEYTYPE,
				sign: sign,
				imgcode: ""
			}, function(f) {
				// 发送短信成功
				console.log(JSON.stringify(f))
				if (f && f.status == 1) {
					_this.timeInterval = _this.timeBtn(_this.bfVeriCodeBtn);
				} else {
					_this.bfVeriCodeBtn.removeClass("app_btn_loading");
					// 暴风登录错误提示
					GHUTILS.showError(f.msg, _this.bftips);
				}
			}, "json");
		},
		bfRegist: function(mobile, isMobile) {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.bfregister,
				data: {
					userAcc: mobile,
					platform: "app"
				},
				type: "post",
				sw: false,
				callback: function(result) {
					// 在金融系统注册成功
					if (result && result.errorCode == 0) {
						GHUTILS.toast("后续可以使用手机号在暴风金融直接登录！")
					} else {
						// 在金融系统注册失败
						if (isMobile) {
							GHUTILS.showError(result.errorMessage, _this.tips);
						} else {
							GHUTILS.showError(result.errorMessage, _this.bftips)
						}
						
					}
				}
			});
		},
		bindmobile: function(userOid, phone, code) {
			var _this = this;
			$(_this.bftips).html("&nbsp;");
			var key = hex_md5(userOid + BFKEY);
			
			$.post(GHUTILS.API.BAOFENG.bindmobile + '?userid=' + userOid + '&mobile=' + phone + '&code=' + code + '&keytype=' + BFKEYTYPE + '&key=' + key, {
				
			}, function(f) {
				// 暴风绑定手机成功
				console.log(JSON.stringify(f))
				if (f && f.status == 1) {
					GHUTILS.popupBox.hide('#app_toast_confirm');
					_this.isRegist(phone, false);
				} else if (f.status == 0) { // 已绑定手机
					GHUTILS.showError(f.msg, _this.bftips);
				}
			}, "json");
		},		
		loginRote:function(cbobj){
			var _this = this;
			var _cbObj = JSON.parse(cbobj);
			//页面切换
			if(_cbObj.cb == "showTab"){
				var wg = plus.webview.getLaunchWebview();
					mui.fire(wg, "showtab", {
						tabindex: _cbObj.tabidx
					});
			}
			//触发回调
			if(_cbObj.cb == "firePage"){
				var fb = plus.webview.getWebviewById(_cbObj.id);
				var extars = _cbObj.extars ? JSON.parse(_cbObj.extars) : {};
				mui.fire(fb, _cbObj.even, extars);
			}
			if(_cbObj.cb == "reload"){
				plus.webview.getWebviewById(_cbObj.pageid).reload();
			}
		}
	}
	mui.plusReady(function(){
		var log = new LOGIN();
			log.init();
	});
})(Zepto);
