/*
 Title:实名认证
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var REALNAME = function(){
		this.tips = "#app_tips_reg";
		this.ws = null;
		return this;
	}
	REALNAME.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;			
		},
		bindEvent:function(){
			var _this = this;
			
			$('#app_name').on('keypress',function(event){
				if(event.which == 32){
					return false;
				}
			});
			$('#app_idNumb').on('keypress',function(event){
				if(event.which == 32){
					return false;
				}
			});
		
			$('#app_confirm').off().on('tap',function(){			
				var idNumb = $("#app_idNumb").val();
				if(!GHUTILS.validate("app_realName_div")){
					return
				}else if(!GHUTILS.validate("app_idNumb_div")){
					return
				}else if(!idCardValid.idCardValidate(idNumb,_this.tips)){
					return
				}else{
					GHUTILS.LOAD({					
						url: GHUTILS.API.USER.setrealname,
						data: {
							name: $("#app_name").val(),
							idNumb:idNumb
						},
						type: "post",
						callback: function(result) {
								if(GHUTILS.checkErrorCode(result)){
									GHUTILS.getUserInfo(function(){
										GHUTILS.refreshPages();
										mui.toast('实名认证成功');
										mui.back();
									});
								}
						}
					})
				}
			});
		}
	}
	mui.plusReady(function(){
		var rn = new REALNAME();
			rn.init();
	});
})(Zepto);