/*
 Title:充提记录
 Author:fanyu
 Date:2016-8-23 16:03:00
 Version:v1.0
*/
(function($) {
	var ACCOUNT_RECORD = function() {
		this.ws = null;
		this.counter = 1;
		return this;
	}
	ACCOUNT_RECORD.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
			this.bindEvent();
			this.pullRefresh();
		},
		pageInit: function() {
			var _this = this;
		},
		getData: function(refresh) {
			var _this = this;
			var myDate  = new Date();
			//月
			var _m = (myDate.getMonth()+1);
			_m = _m >9 ? _m : "0" + _m;
			//日+1
			var _d = myDate.getDate() + 1;			
			_d = _d >9 ? _d : "0" + _d;
			//开始时间
			var startDate = myDate.getFullYear() - 1  + "-" + _m + "-" + _d;	
			//结束时间
			var endDate = myDate.getFullYear() + "-" + _m + "-" + _d;	;
			
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.depwdrawlist + '?page=' + _this.counter + '&rows=10&sDate=' + startDate + '&eDate=' + endDate,
				data: {},
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						var tradeList = result.rows;
						_this.counter += 1;
//						console.log('pageNum' + _this.counter)
						var tradeHtml = '';
						for (var i in tradeList) {
							tradeHtml += _this.getTradeHtml(tradeList[i]);
						}
						$("#tradeList").append(tradeHtml);
						if (tradeList.length < 10 || $.isEmptyObject(tradeList)) {
							refresh.endPullUpToRefresh(true);
						}else{
							refresh.endPullUpToRefresh(false);
						}
						plus.nativeUI.closeWaiting();
					}
				},
				errcallback: function(result) {
					refresh.endPullUpToRefresh(true);
				}
			});
		},
		bindEvent: function() {
			var _this = this;
			
		},
		getTradeHtml: function(tradeObj) {
			var _this = this;
			var tradeNum = tradeObj.oid;
			var statusHtml = '';
			if(tradeObj.status == "支付成功" || tradeObj.status == "提现成功") {
				statusHtml = '<div class="app_mt10 app_cgreen">'+tradeObj.status+'</div>'
			} else {
				statusHtml = '<div class="app_mt10">'+tradeObj.status+'</div>'
			}
            var itemHtml = '<ul class="mui-table-view mui-grid-view app_mt10"><li class="mui-table-view-cell mui-col-xs-4 mui-text-left"><div class="">交易流水号</div><div class="app_mt10">交易金额</div><div class="app_mt10">交易时间</div><div class="app_mt10">交易状态</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class=""> '+ tradeNum + '</div><div class="app_mt10">'+GHUTILS.formatCurrency(tradeObj.amt)+'元</div><div class="app_mt10">'+tradeObj.time+'</div>'+ statusHtml +'</li><li class="mui-table-view-cell mui-col-xs-2 mui-text-left"><div class="app_corg">'+tradeObj.otype+'</div></li></ul>';
			
			
			return itemHtml;
		},
		pullRefresh: function() {
			var _this = this;
			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {
				mui(document.querySelector(".mui-scroll")).pullToRefresh({
					up: {
						auto: true,
						callback: function() {								
							var self = this;
							_this.getData(self);
						}
					}
				});
			});
		}
	}
	mui.plusReady(function() {
		var ad = new ACCOUNT_RECORD();
		ad.init();
	});
})(Zepto);