/*
 Title:定期收益明细
 Author:chen
 Date:2016-6-8 14:27:00
 Version:v1.0
*/

/*
 Title:定期收益明细
 Author:dxy
 Date:2016-6-21 16:37:00
 Version:v1.0
*/

(function($) {

	var ACCOUNT_ORDERLIST_DETAILS = function(){
		this.ws = plus.webview.currentWebview();
		return this;
	}
	ACCOUNT_ORDERLIST_DETAILS.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
		},		
		getData:function(){
			var _this = this;
			GHUTILS.LOAD({
				url:GHUTILS.API.CHA.getinvestdetail,
				data:{
					id:_this.ws.ids,
				},
				async: true,
				callback:function(result){
					if(GHUTILS.checkErrorCode(result)){
						var list = result.data.investPstBList;
						var html = '';
						for (var i in list) {
							html += _this.getHtml(list[i]);
						}
						$("#app-investList").append(html);
					}
					plus.nativeUI.closeWaiting();
				}
			})
			
		},
		getHtml:function(tradeObj){
			var html = '<div class="app_box_title"><div class="app_box_title_txt app_fb app_f1x"><span class="mui-pull-right">'+this.ws.productName+'</span><span class="">项目名称</span></div></div><ul class="mui-table-view"><li class="mui-table-view-cell"><span>收款时间</span><span class="app_fr app_cb3">'+tradeObj.payDt+'</span></li><li class="mui-table-view-cell"><span>应收本金</span><span class="app_fr app_cb3">'+GHUTILS.formatCurrency(tradeObj.prn)+'元</span></li><li class="mui-table-view-cell"><span>应收利息</span><span class="app_fr app_cb3">'+GHUTILS.formatCurrency(tradeObj.interest)+'元</span></li><li class="mui-table-view-cell"><span>收款状态</span><span class="app_fr app_cb3">'+tradeObj.state+'</span></li></ul>';
			
			return html;
		},
		bindEvent:function(){
			var _this = this;

		}
	}
	mui.plusReady(function(){

		var ac = new ACCOUNT_ORDERLIST_DETAILS();
			ac.init();
	});
})(Zepto);