/*
 Title:我的定期
 Author:fanyu
 Date:2016-8-22 09:31:00
 Version:v1.0
*/

mui.init();

(function($) {

	var urlParams = GHUTILS.parseUrlParam();
	if (urlParams.as) {
		$("#" + urlParams.as).addClass("mui-active");
	}

	var PR = function() {
		this.ws = plus.webview.currentWebview().tabid;
		this.projectStates = ["hold", "apply", "closed"];
		this.pageNum = [1, 1, 1];
		return this;
	}
	PR.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
//			$("#slider").css({"top": GHUTILS.setTop(220)+"px !important"})
			this.pageInit(); //页面初始化
//			this.bindEvent(); //事件绑定
			this.pullRefresh();
		},
		pageInit: function() {
			var _this = this;
		},
		getData: function(index, refresh) {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.protnlist,
				data: {},
				type: "post",				
				async: true,
				timeout: 3000,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						$("#app-holdamt").html(GHUTILS.formatCurrency(result.tnCapitalAmount))
						$("#yes-income").html(GHUTILS.formatCurrency(result.tnYesterdayIncome))
						$("#app-historySY").html(GHUTILS.formatCurrency(result.totalIncomeAmount))
						_this.pageNum[index]++;
						var html = '';
						if (index == 0) {
							$("#holdcount").html(result.holdingTnDetails.total)
							for (var i in result.holdingTnDetails.rows) {
								html += _this.getHoldingHtml(result.holdingTnDetails.rows[i]);
							}
						} else if (index == 1) {
							$("#applycount").html(result.toConfirmTnDetails.total)
							for (var i in result.toConfirmTnDetails.rows) {
								html += _this.getApplyingHtml(result.toConfirmTnDetails.rows[i]);
							}
						} else if (index == 2) {
							$("#closedcount").html(result.closedTnDetails.total)
							for (var i in result.closedTnDetails.rows) {
								html += _this.getYJQHtml(result.closedTnDetails.rows[i]);
							}
						}
						$('#app-' + _this.projectStates[index] + '-box').append(html);
//						_this.bindEvent();
						_this.closeWaiting(index);
						refresh.endPullUpToRefresh(true);
					}

				},
				errcallback: function(result) {
					_this.closeWaiting(index);
					refresh.endPullUpToRefresh(true);
				}

			});
		},
		closeWaiting: function(index) {
			if (mui("#slider").slider().getSlideNumber() == index) {
				plus.nativeUI.closeWaiting();
			}
		},
		getHoldingHtml: function(tradeObj) {
			var expAror = tradeObj.expAror;
			var name = tradeObj.productName;
			if(name.length > 14){
				name = name.substr(0,14)+'...'
			}
			if(tradeObj.status === 'repaying') {
				var holdingHtml = '<div class="app_myproduct_box app_pb20" data-type="hold"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_title_more app_fr app_cb3 app_informaion"> 还本付息中</span><span class="app_f1x app_fn">'+ name +'</span></div></div><div class="app_box_con app_f1x"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">年化收益率</div><div class="app_mt5 app_c2">'+ tradeObj.expYearRate +'</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">收益方式</div><div class="app_mt5 app_c2">到期还本付息</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">本息总金额</div><div class="app_mt5 app_c2">'+ GHUTILS.formatCurrency(tradeObj.investAmount) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">到期日</div><div class="app_mt5 app_c2">'+ tradeObj.durationPeriodEndDate +'</div></li></ul></div></div>'
				
			} else {
				var holdingHtml = '<div class="app_myproduct_box app_pb20 app-details" data-type="hold"  data-href="'+tradeObj.productOid+'" data-name="'+tradeObj.productName+'"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_title_more app_fr app_cb3 app_informaion"> ></span><span class="app_fn app_f1x">'+ name +'</span></div></div><div class="app_box_con app_f1x"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">预期年化收益率</div><div class="app_mt5 app_c2">'+ tradeObj.expYearRate +'</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">收益方式</div><div class="app_mt5 app_c2">到期还本付息</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">投资金额</div><div class="app_mt5 app_c2">'+ GHUTILS.formatCurrency(tradeObj.investAmount) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">到期日</div><div class="app_mt5 app_c2">'+ tradeObj.durationPeriodEndDate +'</div></li></ul></div></div>'
			}

			return holdingHtml;
		},
		getApplyingHtml: function(tradeObj) {
			var name = tradeObj.productName;
			if(name.length > 14){
				name = name.substr(0,14)+'...'
			}
			if(tradeObj.status === 'refunding') {
				var applyingHtml = '<div class="app_myproduct_box app_pb20"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_title_more app_fr app_c8 app_cdetail app_informaion">退款中</span><span class="app_fn app_f1x">' + name + '</span></div></div><div class="app_box_con app_f1x app_pb10"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">本息退额(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.refundAmount) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">预计到账日期</div><div class="app_mt5 app_c2">' + tradeObj.setupDate + '</div></li></ul></div></div>';
			
			} else {
				var applyingHtml = '<div class="app_myproduct_box app_pb20"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_fn app_f1x">' + name + '</span></div></div><div class="app_box_con app_f1x app_pb10"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">已受理金额(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.acceptedAmount || 0) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">待受理金额(元)</div><div class="app_mt5 app_c2">' + GHUTILS.formatCurrency(tradeObj.toConfirmInvestAmount) + '</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8">产品预计成立日</div><div class="app_mt5 app_c2">'+ tradeObj.setupDate +'</div></li></ul></div></div>';

				


			}

			return applyingHtml;
		},
		getYJQHtml: function(tradeObj) {
			var name = tradeObj.proName;
			if(name.length > 14){
				name = name.substr(0,14)+'...'
			}
			if (tradeObj.status === 'closed') {
				var yjqHtml = '<div class="app_myproduct_box app_pb20 app-details-yjq" data-type="closed" data-href="'+tradeObj.productOid+'" data-name="'+tradeObj.productName+'"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_title_more app_fr app_cb3 app_informaion"> ></span><span class="app_f1x">'+ name +'</span></div></div><div class="app_box_con app_f1x"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">产品成立日</div><div class="app_mt5 app_cdetail">'+ tradeObj.setupDate +'</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">本息金额</div><div class="app_mt5 app_cdetail">'+ GHUTILS.formatCurrency(tradeObj.orderAmount) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">还本付息日</div><div class="app_mt5 app_cdetail">'+ tradeObj.repayDate +'</div></li></ul></div></div>'
				
			} else if (tradeObj.status === 'refunded'){
				var yjqHtml = '<div class="app_myproduct_box app_pb20"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_fn app_f1x">'+ name +'</span></div></div><div class="app_box_con app_f1x app_pb10"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">本息金额</div><div class="app_mt5 app_c2">'+ GHUTILS.formatCurrency(tradeObj.orderAmount) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_c8 ">还本付息日</div><div class="app_mt5 app_c2">'+ tradeObj.repayDate +'</div></li></ul></div></div>'
			
			} else if (tradeObj.status === 'refunding'){
//				var yjqHtml = '<div class="app_product_ihbox app_p0"><div class="app_box_title"><div class="app_box_title_txt"><span class="app_f1x">'+ name +'</span></div></div><div class="app_box_con app_f1x"><ul class="mui-table-view mui-grid-view"><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">退还本金</div><div class="app_mt5 app_cdetail">'+ GHUTILS.formatCurrency(tradeObj.investAmt) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">退还募集收益</div><div class="app_mt5 app_cdetail">'+ GHUTILS.formatCurrency(tradeObj.totalIncome) +'元</div></li><li class="mui-table-view-cell mui-col-xs-6 mui-text-left"><div class="app_f16 ">预期退还日期</div><div class="app_mt5 app_cdetail">'+ tradeObj.toRefundDate +'</div></li></ul></div></div>'
			}

			return yjqHtml;
		},
		//获取协议
		/*getprotocol: function(pid, productName, amount) {
			var _this = this;
			var title = ["理财计划认购协议", "定向委托投资管理协议"];
			var productTag = "B";
			if (productName.indexOf("天利") != -1) {
				productTag = "A";
				title = title[0];
			} else {
				title = title[1];
			}
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getprotocol,
				data: {
					productOid: pid,
					productTag: productTag
				},
				type: "post",
				async: true,
				callback: function(result) {
					if (result.errorCode == 0) {
						if (result.data.fileBacks['04.02']) {
							GHUTILS.OPENPAGE({
								url: "../index/index-linkpage-agreement.html",
								id: GHUTILS.PAGESID.LINKPAGESAGREE,
								autoShow: true,
								extras: {
									"title": title,
									"links": result.data.fileBacks['04.02'][0].url,
									"money": amount,
								}
							})
						}
					}
				}
			});
		},*/

		//获取保单
		/*getinsurance: function(bdJxStartDt, bdEndDt, policy_nm, productName, idNo, dlDay) {
			if (policy_nm != null && policy_nm != '') {
				GHUTILS.OPENPAGE({
					url: "../index/index-policy-list.html",
					id: GHUTILS.PAGESID.POLICYLIST,
					extras: {
						productName: productName,
						policy_nm: policy_nm,
						corpOrgIdNo: idNo,
						bdJxStartDt: bdJxStartDt,
						bdEndDt: bdEndDt,
						dlDay : dlDay
					}
				})
			} else {
				GHUTILS.toast('该保单会尽快更新，请持续关注！');
			}
		},*/

		bindEvent: function() {
			var _this = this;
//			$(".app_link").off().on("tap", function() {
//				var productOid = $(this).attr("data-href");
//				var producttype = $(this).attr("data-type");
//				GHUTILS.OPENPAGE({
//					url: "../product-tn/product-tn-detail.html",
//					id: GHUTILS.PAGESID.PROTNDETAIL,
//					extras: {
//						"productOid": productOid,
//						"producttype": productOid,
//						orderlist: "orderlist"
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			})
//			$(".app-agreement").off().on("tap", function() {
//				var money = $(this).attr("data-money");
//				var pid = $(this).attr("data-pid");
//				var name = $(this).attr("data-name");
//				_this.getprotocol(pid, name, money);
//			})
			$(".app-details").off().on("tap", function() {
				var ids = $(this).attr("data-href");
				var producttype = $(this).attr("data-type");
				var name = $(this).attr("data-name");
				GHUTILS.OPENPAGE({
					url: "account-product-tn-detail.html",
					id: GHUTILS.PAGESID.PROT0NRDERLIST,
					extras: {
						"productOid": ids,
						"producttype": producttype,
						"productname": name
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
			$(".app-details-yjq").off().on("tap", function() {
				var ids = $(this).attr("data-href");
				var producttype = $(this).attr("data-type");
				var name = $(this).attr("data-name");
				GHUTILS.OPENPAGE({
					url: "account-product-tn-detail.html",
//					id: GHUTILS.PAGESID.PROT0NRDERLIST,
					extras: {
						"productOid": ids,
						"producttype": producttype,
						"productname": name
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
//			$(".app-insurance").off().on("tap", function() {
//				_this.getinsurance($(this).attr('data-startdate'), $(this).attr('data-enddate'), $(this).attr('data-policynum'), $(this).attr('data-productname'), $(this).attr('data-idnum'), $(this).attr('data-dlDay'));
//			})
		},

		pullRefresh: function() {
			var _this = this;
			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {
				//循环初始化所有下拉刷新，上拉加载。
				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
					mui(pullRefreshEl).pullToRefresh({
						up: {
							auto: true,
							callback: function() {
								var self = this;
								_this.getData(index, self);
							}
						}
					});
				});

			});

		}
	}
	mui.plusReady(function() {
		var pr = new PR();
		pr.init();
	});
	//	$(function() {
	//		var pr = new PR();
	//		pr.init();
	//	});
})(Zepto);