/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/

/*
 Title:赎回冻结明细
 Author:dxy
 Date:2016-6-21 15:20:00
 Version:v1.0
*/

(function($) {

	var ACCOUNT = function() {
		this.ws = plus.webview.currentWebview().productOid;
		return this;
	}
	ACCOUNT.prototype = {
		init: function() {
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.getData(); //获取数据
		},
		pageInit: function() {
			var _this = this;

		},
		getData: function() {
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getfrozeninfo,
				data: {
					productOid: _this.ws,
					pageNum: 1
				},
				async:true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result)){
						var list = result.data;
						console.log(JSON.stringify(list));
						var html = '';
						for (var i in list) {
							html += _this.gethtmlData(list[i]);
						}
						
						$("#app-frozen-detail-list").html(html);
						
					}
					plus.nativeUI.closeWaiting();
				}
			})
		},
		gethtmlData: function(tradeObj) {
			var html = '<ul class="mui-table-view app_mt10"><li class="mui-table-view-cell"><span>冻结时间</span><span class="app_ml10">' + tradeObj.crtTm + '</span><span class="mui-pull-right" style="color:#ff9900">冻结中</span></li><li class="mui-table-view-cell"><span>赎回金额</span><span class="app_ml10">' + GHUTILS.formatCurrency(tradeObj.amt) + '元</span></li><li class="mui-table-view-cell"><span>备注</span><span style="margin-left: 40px;">申请赎回</span></li></ul>';
			return html
		},
		bindEvent: function() {
			var _this = this;

		}
	}
	mui.plusReady(function() {

		var ac = new ACCOUNT();
		ac.init();
	});
})(Zepto);