/*
 Title:活期持有详情
 Author:fanyu
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var T0HDDETAIL = function(){
		this.ws = plus.webview.currentWebview();
		this.levelobj = null;
		this.topitem = '';
		this.yesterdayIncome = null;
		this.minRredeem = 0;
		this.maxRredeem = 0;
		this.additionalRredeem = 0;
		this.dailyNetMaxRredeem = 0;
		this.singleDailyMaxRredeem = 0;
		this.netMaxRredeemDay = 0;
		this.singleDailyMaxRedeem = 0;
		this.singleDayRedeemCount = 0;
		this.redeem = 0;
		this.serviceFiles = "";
		this.investFiles = "";
		this.productCode = "";
		this.incomeCalcBasis = 365;
		this.purchasingAmount = 0;
		this.companyName = "";
		this.time = 0;
		return this;
	}
	T0HDDETAIL.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getT0Detail();//活期活期详情
		},
		pageInit:function(){
			var _this = this;
			_this.getData();//获取数据
			this.time = mui.os.ios ? 0 : 200 
			document.addEventListener("loadData", function(e) {
				_this.getT0Detail();
				_this.getData();
			});
		},
		getData:function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0detail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result)){
						_this.serviceFiles = HOST+result.serviceFiles[0].furl;
						_this.investFiles = HOST+result.investFiles[0].furl;
						_this.productCode = result.productCode;
						_this.incomeCalcBasis = Number(result.incomeCalcBasis);
						_this.companyName = result.companyName;
						if(!result.investMin){
							result.investMin = 0
						}
						if(!result.investMax){
							result.investMax = 0
						}
						_this.purchasingAmount = result.investMin;
						if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
							$("#app_addBuyBtn").addClass("app_gray")
						}else if(result.isOpenPurchase == "NO"){
							$("#app_addBuyBtn").addClass("app_gray")
						}else if(GHUTILS.isLabelProduct(result.productLabels, "experienceFund", true)){
							$("#app_addBuyBtn").addClass("app_gray")
						}
						if(result.isOpenRemeed == "NO"){
							$("#app_redeemBtn").addClass("app_gray")
						}
						$('#app_addBuyBtn').on('tap',function(){
							if($(this).hasClass("app_gray")){
								return
							}
							if(!GHUTILS.checkDepWit()){
								return
							}
							if(GHUTILS.isLabelProduct(result.productLabels, "新手")){
								if(!GHUTILS.isFreshman()){
									return
								}
							}
							GHUTILS.OPENPAGE({
								url:"../../html/product-t0/product-t0-order.html",
								id:GHUTILS.PAGESID.PROT0ORDER,
								extras:{
									productName: _this.ws.proName,
									productOid: _this.ws.productOid,
									purchasingAmount: result.investMin,
									increaseAmount: GHUTILS.Fmul(result.investAdditional, result.netUnitShare),
									proT0OrderList: _this.ws.proT0OrderList || '',
									accT0HoldDet: 'ACCT0HOLDDET',
									annualInterestSec: GHUTILS.switchShowType(result, true).interestSec.split('-'),
									incomeCalcBasis: Number(result.incomeCalcBasis),
									maxSaleVolume: GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare),
									investMax: GHUTILS.Fmul(result.investMax, result.netUnitShare),
									investFiles: HOST+result.investFiles[0].furl,
									serviceFiles: HOST+result.serviceFiles[0].furl,
									productCode: result.productCode,
									interestsFirstDays: result.interestsFirstDays,
									maxHold: result.maxHold,
									companyName: result.companyName
								}
							})
							GHUTILS.nativeUI.showWaiting();
						});
					}
				}
			})
		},
		bindEvent:function(){
			var _this = this;
			/*$("#share_btn").on("tap",function(){
		    	GHUTILS.silderBox.show("#share_list");
		    });
		    $(".app_icon_close").on("tap",function(){
		    	GHUTILS.silderBox.hide("#share_list");
		    });
		    //微信好友分享
		     $("#app_wxfriend").on("tap",function(){	
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriend", "app_wxfriend" );
		    	SHARE.POSTSHARE(0, '#share_list', _this.contents)
		    });
		    //微信朋友圈分享
		     $("#app_wxfriendaround").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriendaround", "app_wxfriendaround" );
		    	SHARE.POSTSHARE(1, '#share_list', _this.contents)
		    });
		    //QQ分享
		     $("#app_qq").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_qq", "app_qq" );
		    	SHARE.POSTSHARE(2, '#share_list', _this.contents)
		    });*/
		    
			$('#app_redeemBtn').on('tap',function(){
				if($(this).hasClass("app_gray")){
					return
				}
				if(GHUTILS.checkDepWit()){
					GHUTILS.OPENPAGE({
						url:"../../html/account/account-product-t0-redeem.html",
						id:GHUTILS.PAGESID.T0REDEEM,
					    extras:{
							orderlist: _this.ws.orderlist,
							productOid: _this.ws.productOid,
							productName: _this.ws.proName,
							redeem: _this.redeem,
							minRredeem: _this.minRredeem,
							maxRredeem: _this.maxRredeem,
							additionalRredeem: _this.additionalRredeem,
							proT0OrderList: _this.ws.proT0OrderList || '',
							accT0HoldDet: 'ACCT0HOLDDET',
							dailyNetMaxRredeem: _this.dailyNetMaxRredeem,
							singleDailyMaxRredeem: _this.singleDailyMaxRredeem,
							netMaxRredeemDay: _this.netMaxRredeemDay,
							singleDailyMaxRedeem: _this.singleDailyMaxRedeem,
							investFiles: _this.investFiles,
							serviceFiles: _this.serviceFiles,
							productCode: _this.productCode,
							incomeCalcBasis: _this.incomeCalcBasis,
							purchasingAmount: _this.purchasingAmount,
							companyName: _this.companyName,
							singleDayRedeemCount: _this.singleDayRedeemCount
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			});

//			$('#t0deal').find('li').on('tap',function(e){
//				GHUTILS.OPENPAGE({
//					url:"../../html/account/account-product-t0-deal.html?as="+$(this).attr("id"),
//					id:GHUTILS.PAGESID.T0DEAL,
//					extras:{
//						productOid: _this.ws.productOid
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			});
			
			$('#trade-record').on('tap',function(e){
				GHUTILS.OPENPAGE({
					url:"../../html/account/account-product-t0-deal.html",
					id:GHUTILS.PAGESID.T0DEAL,
					extras:{
						productOid: _this.ws.productOid
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
			
		},
		//活期产品详情
		getT0Detail: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0detail +"?productOid=" + _this.ws.productOid,
				data: {},
				type: "post",
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						
						$("#app_title").html(_this.ws.proName)
						$(".app_both").css({'display':'block !important'});
						_this.yesterdayIncome = result.yesterdayIncome;
						_this.minRredeem = result.minRredeem;
						_this.maxRredeem = result.maxRredeem;
						_this.additionalRredeem = result.additionalRredeem;
						_this.dailyNetMaxRredeem = result.dailyNetMaxRredeem;
						_this.singleDailyMaxRredeem = GHUTILS.Fsub(result.singleDailyMaxRedeem, result.dayRedeemVolume);
						_this.netMaxRredeemDay = result.netMaxRredeemDay;
						_this.singleDailyMaxRedeem = result.singleDailyMaxRedeem;
						_this.singleDayRedeemCount = result.singleDayRedeemCount;
						_this.redeem = result.redeemableHoldVolume;
						if(result.singleDayRedeemCount && result.dayRedeemCount >= result.singleDayRedeemCount){
							$("#app_redeemBtn").addClass("app_gray")
						}
						$("#app_holdInt").html(GHUTILS.formatCurrency(result.totalValue));//持有金额
						_this.topitem='<li class="mui-table-view-cell mui-col-xs-6 app_pt0 app_block_border"><div class="app_mt5 app_f16">昨日收益(元)</div><div class="app_mt5 app_f16">'+GHUTILS.formatCurrency(result.yesterdayIncome)+'</div></li><li class="mui-table-view-cell mui-col-xs-6 app_pt0"><div class="app_mt5 app_f16">累计收益(元)</div><div class="app_mt5 app_f16">'+GHUTILS.formatCurrency(result.totalIncome)+'</div></li>'
						if(result.levelList.length == 0){							
							$("#chartdivReward").addClass("app_none");
//							if(result.expArorList && result.expArorList.length > 0 && result.millionIncomeList && result.millionIncomeList.length > 0){
								$("#chartdiv").removeClass("app_hidden");
								_this.getT0Chart(result.expArorList, 'app_sevenDaysRIdChart');
								_this.getT0Chart(result.millionIncomeList, 'app_tenThousandRIdChart');
//							}else{
//								$("#chartdiv").addClass("app_none");
//							}
						} else if(result.levelList.length > 0){
							$(".app_displ").css({'display':'block !important'});
							$(".level-detail").html("")
							for (var i in result.levelList) {
								if(result.levelList[i].endDate == null){
									var date = "<span id='start'>大于等于"+ result.levelList[i].startDate +"天</span>"
								}else {
									var date = "<span id='start'>"+ result.levelList[i].startDate +"</span><span id='end'>-"+ result.levelList[i].endDate +"天</span>"
								}
								
								var html = "<li class='level-details' data-yesterIncome='"+result.levelList[i].incomeAmount+"' data-level='"
								+result.levelList[i].level+"' data-ratio='"+result.levelList[i].ratio+"' data-startDate='"+result.levelList[i].startDate+"' data-endDate='"+
								result.levelList[i].endDate+"' data-value='"+result.levelList[i].value+"' data-incomeAmount='"+result.levelList[i].incomeAmount+"'><ul class='app_border'><li class='mui-table-view-cell mui-col-xs-4  app_np app_bgpink'><div><span id='level'>" + result.levelList[i].level + "</span><span id='ratio'>("+ result.levelList[i].ratio +"%)</span></div><div class='app_f12 app_fc6'>"+ date +"</div></li><li class='mui-table-view-cell mui-col-xs-4 app_np'><div id='value'>"+ GHUTILS.formatCurrency(result.levelList[i].value) +"元</div><div class='app_f12 app_fc6'>当前价值</div></li><li class='mui-table-view-cell mui-col-xs-4 app_np'><div id='income'>"+ GHUTILS.formatCurrency(result.levelList[i].incomeAmount) +"元</div><div class='app_f12 app_fc6'>昨日收益</div></li></ul></li>"
								$(".level-detail").append(html)
								$('.level-detail').on('tap','.level-details',function(e){
									if ($(this).attr('data-value') != 0) {
										/*GHUTILS.OPENPAGE({
											url:"../../html/account/account-product-t0-reward.html",
											id:GHUTILS.PAGESID.T0REWARD,
											extras:{
												productOid: _this.ws.productOid,
												yesterdayIncome: $(this).attr('data-yesterIncome'),
												level:  $(this).attr('data-level'),
												ratio:  $(this).attr('data-ratio'),
												startDate: $(this).attr('data-startDate'),
												endDate:  $(this).attr('data-endDate'),
												value:  $(this).attr('data-value'),
												incomeAmount:  $(this).attr('data-incomeAmount')
											}
										})*/
//										GHUTILS.nativeUI.showWaiting();
									}
									
								});
							}
							$("#chartdiv").addClass("app_none");
//							if(result.expArorList && result.expArorList.length > 0 && result.millionIncomeList && result.millionIncomeList.length > 0 && result.rewardRadioList && result.rewardRadioList.length > 0){
								$("#chartdivReward").removeClass("app_hidden");
								_this.getT0Chart(result.expArorList, 'app_baseRIdChart');
//								_this.getT0Chart(result.millionIncomeList, 'app_tenThousandRIdChartReward');
								_this.getT0RewardChart(result.rewardRadioList, 'app_rewardRIdChart');
//							}else{
//								$("#chartdivReward").addClass("app_none");
//							}
						}
						$(".top-item").html(_this.topitem)
					}
					plus.nativeUI.closeWaiting();
				},
				errcallback: function(){
					plus.nativeUI.closeWaiting();
				}
			});
		},
		//图表信息展示处理
		getT0Chart: function(ProfitWeek, rid){
			var _this = this;
			if(ProfitWeek && ProfitWeek.length > 0){
				var xData = [];
				var yData = [];
				var compareData = [];
				for (i = 0; i < ProfitWeek.length; i++) {
					xData[i] = ProfitWeek[i].axis;
					yData[i] = ProfitWeek[i].vertical;
					compareData[i] = parseFloat(yData[i]);
				}
				var maxY = Math.max.apply({},compareData)+0.3;
				var minY = Math.min.apply({},compareData)-0.3;
				setTimeout(function(){
					
					var myChart = echarts.init(document.getElementById(rid));
					if(rid == "app_tenThousandRIdChart"){
						myChart.setOption(_this.getOption(xData,yData,minY.toFixed(1),maxY.toFixed(1),GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].vertical,4,""),ProfitWeek.length-1,GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].vertical,2)));
					}else{
						myChart.setOption(_this.getOption(xData,yData,minY.toFixed(1),maxY.toFixed(1),GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].vertical,2,""),ProfitWeek.length-1,GHUTILS.toFixeds(ProfitWeek[ProfitWeek.length-1].vertical,2)));
					}
					
				},_this.time)
			} else {
				GHUTILS.LOAD({
					url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0detail, {
						oid: _this.ws.productOid
					}),
					type: "post",
					sw: true,
					callback: function(tradeObj) {
						if(GHUTILS.checkErrorCode(tradeObj)){
							var annualInterestSec = [], tenThsPerDayProfit = [];
							var ainterestSec = "", tprofit = "";
							var profit = "", standard = "";
							switch (tradeObj.showType) {
								case "1" : case "4" : annualInterestSec = tradeObj.annualInterestSec.replace(/\%/g,'').split('-');
													  tenThsPerDayProfit = tradeObj.tenThsPerDayProfit.split('-');
													  ainterestSec = GHUTILS.Fdiv(GHUTILS.Fadd(annualInterestSec[0], annualInterestSec[1]), 2);
													  tprofit = GHUTILS.Fdiv(GHUTILS.Fadd(tenThsPerDayProfit[0], tenThsPerDayProfit[1]), 2);
													  break
								case "2" : case "5" : ainterestSec = tradeObj.annualInterestSec.replace('%','');
													  tprofit = tradeObj.tenThsPerDayProfit;
													  break
								default : break
							}
							standard = GHUTILS.currentDate().substr(0,10).substring(5);
							
							setTimeout(function(){
								
								var myChart = echarts.init(document.getElementById(rid));
								switch (rid) {
									case "app_sevenDaysRIdChart" : case "app_baseRIdChart" : 
										profit = ainterestSec;
										myChart.setOption(_this.getOption([standard],[profit],profit-1,profit+1,GHUTILS.toFixeds(profit,2),0,GHUTILS.toFixeds(profit,2)));
										break
									case "app_tenThousandRIdChart" : 
										profit = tprofit;
										myChart.setOption(_this.getOption([standard],[profit],profit-1,profit+1,GHUTILS.toFixeds(profit,4),0,GHUTILS.toFixeds(profit,2)));
										break
									default : break
								}
								
							},_this.time)
						}
					}
				})
			}
		},
		//奖励收益柱状图信息展示处理
		getT0RewardChart: function(ProfitWeek, rid){
			var _this = this;
			if(ProfitWeek && ProfitWeek.length > 0){
				var xData = [];
				var yData = [];
				var compareData = [];
				for (i = 0; i < ProfitWeek.length; i++) {
					xData[i] = '第' + ProfitWeek[i].floorday + '天';
					yData[i] = GHUTILS.formatCurrency(ProfitWeek[i].vertical);
					compareData[i] = parseFloat(yData[i]);
				}
				var maxY = Math.max.apply({},compareData)+0.3;
				var minY = Math.min.apply({},compareData)-0.3;
				setTimeout(function(){
					var myChart = echarts.init(document.getElementById(rid));
					myChart.setOption(_this.getRewardOption(xData,yData,minY.toFixed(1),maxY.toFixed(1)));
				},_this.time)

			}
		},
		//图标信息数值
		getOption: function(xdata, ydata, minY, maxY, v, x, y){
			var chartOption =  {
				legend: {
					data: [''],
					textStyle: {
						color: '#CCC'
					}
				},
				color: ['#0d84f2'],
				grid: {
					x: 40,
					x2: 20,
					y: 30,
					y2: 25
				},
				animation: false,
           		addDataAnimation: false,
				calculable: false,
				xAxis: [{
					type: 'category',
					boundaryGap: false,
					data: xdata,
					splitLine: {
						show: false
					},
					axisLine: {
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisTick: {
						show: false
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            }
			        }
				}],
				yAxis: [{
					type: 'value',
					min: minY||'3',
					max: maxY||'5.5',
					splitLine: {
						show: true,
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisLine: {
						show: false
					},
					axisTick: {
						show: false
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            },
			            formatter: function (value, index) {
							var fixedValue = GHUTILS.toFixeds(value,2);
							return fixedValue;
						}
			        }
				}],
				series: [{
					type: 'line',
					data: ydata,
					symbolSize: 0,
					areaStyle: {
						normal: {
							color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
								offset: 0,
								color: 'rgba(53, 132, 234, 0.67)'
							}, {
								offset: 1,
								color: 'rgba(218, 245, 253, 0.33)'
							}])
						}
					},
					markPoint: v||x||y ? {
						symbol: 'image://../../images/bubble.png',
						symbolSize: [20,10],
						itemStyle: {
						    normal: {
						        color: '#FF5A00'
						    },
						    emphasis: {
						        color: '#FF5A00'
						    }
						},
		                data: [
		                    {value: v, xAxis: x, yAxis: y-(-0.06)}
		                ]
		           } : {}
				}]
			};
			return chartOption;
		},
		//奖励收益柱状图信息数值
		getRewardOption: function(xdata, ydata, minY, maxY){
			var rewardChartOption =  {
				legend: {
					data: [''],
					textStyle: {
						color: '#CCC'
					}
				},
				color: [new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
					offset: 0,
					color: 'rgba(53, 132, 234, 0.67)'
				}, {
					offset: 1,
					color: 'rgba(218, 245, 253, 0.33)'
				}])],
				grid: {
					x: 40,
					x2: 20,
					y: 30,
					y2: 25
				},
				animation: false,
           		addDataAnimation: false,
				calculable: false,
				xAxis: [{
					type: 'category',
					boundaryGap: true,
					data: xdata,
					splitLine: {
						show: false
					},
					axisLine: {
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisTick: {
						show: false
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad',
			                align : 'right'
			            }
			        }
				}],
				yAxis: [{
					type: 'value',
					min: minY||'0',
					max: maxY||'5.5',
					splitLine: {
						show: true,
						lineStyle: {
							color: '#adadad',
							width: 0.1
						}
					},
					axisLine: {
						show: false
					},
					axisTick: {
						show: false
					},
					axisLabel : {
			            show : true,
			            textStyle : {
			                color : '#adadad'
			            },
			            formatter: function (value, index) {
							var fixedValue = GHUTILS.toFixeds(value,2);
							return fixedValue;
						}
			        }
				}],
				series: [{
					type: 'bar',
					itemStyle: {
		                normal: {
		                    label : {
		                    	show: true,
		                    	position: 'top'
		                    }
		                }
		            },
					data: ydata
				}]
			};
			return rewardChartOption;
		}
	}
	mui.plusReady(function(){

		var t0holddetail = new T0HDDETAIL();
			t0holddetail.init();
	});
//  $(function(){
//		var t0holddetail = new T0HDDETAIL();
//			t0holddetail.init();
//	});
})(Zepto);