/*
 Title:赎回页面
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {

	var T0REDEEM = function(){
		this.ws = plus.webview.currentWebview();
		this.canRedeemMoney = null;
		this.tips = "#app_tips_box";
		this.curDate = '';
		this.nextWorkDay = '';	
		return this;
	}
	T0REDEEM.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			mui.fire(plus.webview.getWebviewById(GHUTILS.PAGESID.ACCT0HOLDDET), "loadData");
			var bankName = GHUTILS.getLocalUserInfo("bankName"), bankCardNum = GHUTILS.getLocalUserInfo("bankCardNum");
			$("#app_bankimg").attr("src", bankimg[bankcode[bankName]])
			$("#app_bankname").html(bankName)
			$("#app_bankcode").html(bankCardNum.substr(bankCardNum.length-4))
//			$("#app_vcode_img").attr('src',HOST+"/app/common/verifyImage.jsp");
			$("#minRredeem").html(GHUTILS.formatCurrency(_this.ws.minRredeem))
			$("#additionalRredeem").html(GHUTILS.formatCurrency(_this.ws.additionalRredeem))
			_this.ws.maxRredeem ? $("#maxRredeem").html(GHUTILS.formatCurrency(_this.ws.maxRredeem)) : $("#maxRredeem").parent().html('无限制')
			_this.ws.maxRredeem ? $("#app_canRedeem").html(GHUTILS.formatCurrency(_this.ws.maxRredeem)+'元') : $("#app_canRedeem").html('无限制')
			
			//刷新可赎回金额
			document.addEventListener("refreshCanRedeemMoney", function(e) {
				_this.refreshCanRedeemMoney();
			});
		},		
		getData:function(){
			var _this = this;
			$('#app_productNm').html(_this.ws.productName)
//			$('#app_canRedeem').html(GHUTILS.formatCurrency(_this.ws.redeem))
			$("#app_redeemMoney").attr("placeholder", "可赎回金额"+GHUTILS.formatCurrency(_this.ws.redeem))
			plus.nativeUI.closeWaiting();
		},
		bindEvent:function(){
			var _this = this;
			//图形验证码切换
//			$("#app_vcode_img").off().on("tap",function(){
//				GHUTILS.changeVCode1($("#app_vcode_img"));
//			});
			//忘记支付密码
//			$("#app_forgetppwd").off().on("tap",function(){
//				GHUTILS.OPENPAGE({
//					url: "../usermgmt/usermgmt-forgetpaypswd.html",
//					id: GHUTILS.PAGESID.FORGETPAYPSWD,
//					extras: {
//						productOid: _this.ws.productOid,
//						productName: _this.ws.productName
//					}
//				});
//				GHUTILS.nativeUI.showWaiting();
//			});
			
			//赎回金额
			$("#app_redeemMoney").on({
				"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_redeemMoney").blur();
						}
					}.bind(this))
				},
				"blur":function(){
					var formatMoney = GHUTILS.formatCurrency($("#app_redeemMoney").val());
					formatMoney = formatMoney == '0.00' ? '' : formatMoney;
					$("#app_redeemMoney").val(formatMoney);
					$(document).off('keyup')
				},
				"input":function(){
					var redeemMoney = parseFloat($('#app_redeemMoney').val().trim().replace(/\,/g,''))
					if(redeemMoney > _this.ws.redeem){
						$('#app_redeemMoney').val(_this.ws.redeem);
					}
					$("#app_bigRMB").html(digitsToBigRMB.convertCurrency($("#app_redeemMoney").val()));
				}
			});
			//全部赎回
			$("#app_redeemAll").on('tap',function(){
//				var canRedeem = $("#app_canRedeem").html();
				var canRedeem = $("#app_redeemMoney").attr("placeholder").substr(5);
				$("#app_redeemMoney").val(canRedeem);
				$("#app_bigRMB").html(digitsToBigRMB.convertCurrency(canRedeem));
			});
			
			$('.app_aggrementSpan input[type="checkbox"]').on("change", function(){
				if($(this).is(':checked')){
					$(this).parent('span').removeClass('app_icon_checknone').addClass('app_icon_checked')
				}else {
					$(this).parent('span').removeClass('app_icon_checked').addClass('app_icon_checknone')
				}
			})
			
			//最终赎回
			$('#app_redeemBtn').on('tap',function(){
				if($(this).hasClass("app_btn_loading")){
					return
				}
				var redeemMoney = $("#app_redeemMoney").val().trim().replace(/\,/g,'');
				$(_this.tips).html('&nbsp;')
//				
//				//非数字自动变为空
//				if(isNaN(redeemMoney)){
//					$("#app_redeemMoney").val('');
//					return
//				}
				if(!GHUTILS.validate('app_redeemMoney_div')){
					return
				}else if(_this.checkRedeemMoney()){
//					_this.doRedeem()
					if(!$('#app_aggrement').is(':checked')){
						GHUTILS.showError("您必须同意《定向委托投资协议》和《代扣付款委托书》才能进行转出",_this.tips);
						return
					}
					
					var url = "", id = "";
					var extras = {
						type: 'redeem',
						productOid: _this.ws.productOid,
						moneyVolume: $("#app_redeemMoney").val().trim().replace(/\,/g,''),
						pageindex: 2,
						title: "转出成功",
						productName: _this.ws.productName,
						proT0OrderList: _this.ws.proT0OrderList || '',
						accT0HoldDet: _this.ws.accT0HoldDet || '',
					}
					if(parseFloat(extras.moneyVolume) > 50000){
						url = '../../html/account/account-product-t0-redeem-bankmessage.html';
						id = GHUTILS.PAGESID.BANKMESSAGE;
						mui.toast("转出金额超过5万，需要进行银行卡开户信息认证")
					}else{
						url = '../../html/usermgmt/usermgmt-dealpwd.html';
						id = GHUTILS.PAGESID.DEALPWD;
					}
					
					GHUTILS.OPENPAGE({
						url: url,
						id: id,
						extras: extras
					});
					GHUTILS.nativeUI.showWaiting();
				}
//				else if(!GHUTILS.validate('app_imgVericode_div')){
//					return
//				}else if(!GHUTILS.validate('app_paypwd_div')){
//					return
//				}else{
					
//				}
			});
			
			$("#app_serviceFiles").on('tap',function(){
				GHUTILS.OPENPAGE({
					url:"../index/index-linkpage.html",
					id:GHUTILS.PAGESID.LINKPAGES,
					extras:{
						contentId : "app-serviceFiles",
						title : '代扣付款委托书',
						links : _this.ws.serviceFiles,
						productCode: _this.ws.productCode
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
			
			$("#app_investFiles").on('tap',function(){
				_this.elementConfig();
			});
		},
//		checkRedeemMoney: function(){
//			var _this = this;
//			var valid = false;
//			var redeemMoney = parseFloat($('#app_redeemMoney').val().trim().replace(/\,/g,''));
//			if(redeemMoney == 0){
//				valid = true;
//				GHUTILS.showError('请输入有效金额', _this.tips);
//			}else if(redeemMoney > _this.canRedeemMoney){
//				$("#app_redeemMoney").val($('#app_canRedeem').html());
//				$("#app_bigRMB").html(digitsToBigRMB.convertCurrency(_this.canRedeemMoney));
//				valid = true;
//			}
//			return valid;
//		},		
		//投资协议获取协议信息
//		getInvestFilesDetail: function(){
//			var _this = this;
//			GHUTILS.LOAD({
//				url: GHUTILS.API.TARGET.cori + '?productOid=' + _this.ws.productOid,
//				type: "post",
//				sw: true,
//				callback: function(result) {
//					if(GHUTILS.checkErrorCode(result,_this.tips)){
//						GHUTILS.OPENPAGE({
//							url:"../index/index-linkpage.html",
//							id:GHUTILS.PAGESID.LINKPAGES,
//							extras:{
//								contentId : "app-investFiles",
//								title : '定向委托投资协议',
//								links : _this.ws.investFiles,
//								account : result.account,
//								companyName : result.companyName,
//								productCode: _this.ws.productCode,
//								name: GHUTILS.getLocalUserInfo('name'),
//								userAcc: GHUTILS.getLocalUserInfo('userAcc'),
//								idNumb: GHUTILS.getLocalUserInfo('idNumb')
//							}
//						})
//						GHUTILS.nativeUI.showWaiting();
//					}
//				}
//			})
//		},
		
		
		
		checkRedeemMoney: function(){
			var valid = true;
			var _this = this;
			var redeemMoney = parseFloat($('#app_redeemMoney').val().replace(/\,/g,'') || 0);
			if(_this.ws.maxRredeem){
				var redeemMaxMoney = _this.ws.redeem >= _this.ws.maxRredeem ? _this.ws.maxRredeem : _this.ws.redeem,
					warnText = _this.ws.redeem >= _this.ws.maxRredeem ? "输入金额不可大于赎回限额" : "输入金额不可大于目前可赎回金额";
			}else{
				var redeemMaxMoney = _this.ws.redeem,
					warnText = "输入金额不可大于目前可赎回金额";
			}
			if(!redeemMoney){
				GHUTILS.showError("请输入赎回金额!",_this.tips);
				valid = false;
			}else if(redeemMoney > redeemMaxMoney){
				GHUTILS.showError(warnText+redeemMaxMoney+'元!',_this.tips);
				$("#app_redeemMoney").val(GHUTILS.formatCurrency(redeemMaxMoney));
				$("#app_bigRMB").html(digitsToBigRMB.convertCurrency(redeemMaxMoney));
				valid = false;
			}else if(redeemMoney < _this.ws.minRredeem){
				GHUTILS.showError("金额不可小于最低起赎回金额!",_this.tips);
				$("#app_redeemMoney").val(GHUTILS.formatCurrency(_this.ws.minRredeem));
				$("#app_bigRMB").html(digitsToBigRMB.convertCurrency(_this.ws.minRredeem));
				valid = false;
			}else if(GHUTILS.Fdiv(GHUTILS.Fsub(redeemMoney, _this.ws.minRredeem), _this.ws.additionalRredeem).toString().indexOf('.') > 0){
				GHUTILS.showError('超出'+_this.ws.minRredeem+'元部分必须为'+_this.ws.additionalRredeem+'元的整数倍!',_this.tips);
				valid = false;
			}else if(_this.ws.singleDailyMaxRedeem && redeemMoney > _this.ws.singleDailyMaxRredeem){
				GHUTILS.showError("赎回金额不可超过单人单日赎回上限!",_this.tips);
				valid = false;
			}else if(_this.ws.netMaxRredeemDay && redeemMoney > _this.ws.dailyNetMaxRredeem){
				GHUTILS.showError("赎回金额不可超过产品单日净赎回上限",_this.tips);
				valid = false;
			}
			return valid;
		},
		//获取协议官方网站
		elementConfig: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.LOGS.elementConfig+'?codes=["officialwebsite"]',
				type: "post",
				sw: true,
				callback: function(result){
					console.log(JSON.stringify(result))
					var officialwebsite = "8.baofeng.com"
					if(GHUTILS.checkErrorCode(result, _this.tips)){
						if(result.datas.length > 0){
							result.datas.forEach(function(e, i){
								if(e.code == "officialwebsite" && e.content){
									officialwebsite == e.content
								}
							})
						}
						var singleDailyMaxRedeem = "", singleDayRedeemCount = "";
						if(_this.ws.singleDailyMaxRedeem){
							singleDailyMaxRedeem = "不可超过"+ GHUTILS.Fdiv(_this.ws.singleDailyMaxRedeem, 10000) +"万"
						}else{
							singleDailyMaxRedeem = "无上限"
						}
						if(_this.ws.singleDayRedeemCount){
							singleDayRedeemCount = "不得超过"+ _this.ws.singleDayRedeemCount +"次"
						}else{
							singleDayRedeemCount = "无上限"
						}
						GHUTILS.OPENPAGE({
							url:"../index/index-linkpage.html",
							id:GHUTILS.PAGESID.LINKPAGES,
							extras:{
								contentId : "app-investFiles",
								title : '定向委托投资协议',
								links : _this.ws.investFiles,
								productCode: _this.ws.productCode,
								incomeCalcBasis: _this.ws.incomeCalcBasis,
								investMin: _this.ws.purchasingAmount,
								productName: _this.ws.productName,
								singleDailyMaxRedeem: singleDailyMaxRedeem,
								singleDayRedeemCount: singleDayRedeemCount,
								companyName: _this.ws.companyName,
								officialwebsite: officialwebsite
							}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				}
			})
		},
		refreshCanRedeemMoney: function(){
			var _this = this;
			$("#app_redeemMoney").val("");
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.prot0detail +"?productOid=" + _this.ws.productOid,
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result, _this.tips)) {
//						$('#app_canRedeem').html(GHUTILS.formatCurrency(result.redeemableHoldVolume))
						$("#app_redeemMoney").attr("placeholder", "可赎回金额"+GHUTILS.formatCurrency(_this.ws.redeem))
						_this.ws.redeem = result.redeemableHoldVolume;
						_this.ws.dailyNetMaxRredeem = result.dailyNetMaxRredeem;
						_this.ws.singleDailyMaxRredeem = GHUTILS.Fsub(result.singleDailyMaxRedeem, result.dayRedeemVolume);
						_this.ws.netMaxRredeemDay = result.netMaxRredeemDay;
						_this.ws.singleDailyMaxRedeem = result.singleDailyMaxRedeem;
						if(result.singleDayRedeemCount && result.dayRedeemCount >= result.singleDayRedeemCount){
							$("#app_redeemBtn").addClass("app_btn_loading").html("赎回次数已达上限");
						}
					}
				}
			});
			
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0detail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result, _this.tips)){
						if(result.isOpenRemeed == "NO"){
							$("#app_redeemBtn").addClass("app_btn_loading").html("不可赎回");
						}
					}
				}
			})
		},
		doRedeem: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.performredeem,
				data: {
//					money: $("#app_redeemMoney").val().trim().replace(/\,/g,''),
//					productOid: _this.ws.productOid,
//					valicode: $("#app_imgVericode").val(),
//					paypassword: $("#app_payPwd").val(),
//					from: "WECHAT"
					productOid: _this.ws.productOid,
					orderAmount: $("#app_redeemMoney").val().trim().replace(/\,/g,''),
					cid: cid,
					ckey: ckey
				},
				type: "post",
				async: true,
				sw:true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result, _this.tips)){//mui.toast('赎回成功')
//						GHUTILS.showError(result.errorMessage, _this.tips);
//						if(result.errorMessage=='验证码错误，请重新再输入(E10000)'){
//							GHUTILS.changeVCode1('#app_vcode_img')
//						}
//					}else{
//						_this.ws.opener().close("none",0);
//						if(_this.ws.orderlist != null){
//							plus.webview.getWebviewById(GHUTILS.PAGESID.PROT0ORDERLIST).close("none",0);
//						}
						//赎回成功
						GHUTILS.getUserInfo(function(){
							GHUTILS.refreshPages();
							//结果页面
							GHUTILS.OPENPAGE({
								url:'../../html/account/account-zxym-jg.html',
								id: GHUTILS.PAGESID.JYJG,
								extras:{
									titletxt: "赎回",
									pageindex: 3,
									moneynum: $("#app_redeemMoney").val(),
									deal: GHUTILS.currentDate(),
									proT0OrderList: _this.ws.proT0OrderList || '',
									accT0HoldDet: 'ACCT0HOLDDET',
									state: true
								}
							});
						});
					}
				}
			}); 
		}
	}
	mui.plusReady(function(){

		var t0redeem = new T0REDEEM();
			t0redeem.init();
	});
})(Zepto);