/*
 Title:活期持有详情
 Author:fanyu
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
(function($) {

	var T0REWARD = function(){
		this.ws = plus.webview.currentWebview();
		this.pageNum = 0;
		this.rows = 10;
		return this;
	}
	T0REWARD.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.pullRefresh();		
		},
		pageInit:function(){
			var _this = this;
		},
		getData:function(refresh){
			var _this = this;
			if(this.ws.endDate == 'null'){					
				var date = '大于等于'+this.ws.startDate
			}else{
				var date = this.ws.startDate+'-'+this.ws.endDate
			}
			var titleHtml = '<div class="app_f16 app_lh21">'+this.ws.level+'('+ (this.ws.ratio) +'%)</div><div class="app_f12 app_lh21 app_fc6">'+ date +'天</div>'
			$("#app_title").html(titleHtml);
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.rewardinfo +"?productOid=" + _this.ws.productOid +"&level=" + _this.ws.level +"&page=" + _this.pageNum+"&rows=" + _this.rows,
				data: {},
				type: "post",
				async: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result)) {
						var list=result.rows;
						var html=""
						for (var i in list) {
							html += _this.getrewardHtml(list[i]);
						}
						$("#level").html(_this.ws.level);
						$("#ratio").html(_this.ws.ratio);
						$("#startDate").html(_this.ws.startDate);
						$("#endDate").html(_this.ws.endDate);
						$("#value").html(_this.ws.value);
						$("#incomeAmount").html(_this.ws.incomeAmount);
						$("#yesterdayIncome").html(_this.ws.yesterdayIncome);
						if (list.length < 10 || $.isEmptyObject(list)) {
							refresh.endPullUpToRefresh(true);
						}else{
							refresh.endPullUpToRefresh(false);
						}
						$("#reward-detail").append(html);
					}
					plus.nativeUI.closeWaiting();
				},
				errcallback: function(result) {
					refresh.endPullUpToRefresh(true);
				}
			});
		},
		getrewardHtml: function(tradeObj) {
			var investDate = tradeObj.investDate.split(" ")[0];
			var update = '';
			if(tradeObj.upLevelDate){
				update = '<div class="app_mt5 app_f16"><span id="upLevelDate">'+ tradeObj.upLevelDate +'</span></div><div class="app_mt5 app_f12 app_fc6">升档时间</span></div>'
			} else {
				update = '<div class="app_mt5 app_f14">您已达最高收益等级</div>'
			}
			var rewardHtml = '<li class="app_pb10 app_border"><ul><li class="mui-table-view-cell mui-col-xs-4 app_lhno"><div class="app_mt5 app_f16"><span id="investDate">' + investDate + '</span></div><div class="app_mt5 app_f12 app_cf6">投资<span id="investAmt">'+GHUTILS.formatCurrency(tradeObj.investAmt)+'(元)</span></div></li><li class="mui-table-view-cell mui-col-xs-4 app_lhno"><div class="app_mt5 app_f16"><span id="value">'+ GHUTILS.formatCurrency(tradeObj.value) +'</span></div><div class="app_mt5 app_f12 app_fc6">当前金额(元)</span></div></li><li class="mui-table-view-cell mui-col-xs-4 app_lhno">' + update + '</li></ul></li>'
			
			return rewardHtml;
		},
		bindEvent:function(){
			var _this = this;
			
//			$('#app_redeemBtn').on('tap',function(){
//				GHUTILS.OPENPAGE({
//					url:"../../html/account/account-product-t0-redeem.html",
//					id:GHUTILS.PAGESID.T0REDEEM,
//				    extras:{
//						productOid:_this.ws.productOid,
//						productName:_this.productInfo.productName,
//						orderlist: _this.ws.orderlist
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			});
			
		},
		pullRefresh: function() {
			var _this = this;
			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {
				//循环初始化所有下拉刷新，上拉加载。
//				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function( pullRefreshEl) {
					mui(document.querySelector(".mui-scroll")).pullToRefresh({
						up: {
							auto: true,
							callback: function() {								
								var self = this;
								_this.getData(self);
							}
						}
					});
//				});

			});

		}
	}
	mui.plusReady(function(){

		var t0reward = new T0REWARD();
			t0reward.init();
	});
})(Zepto);