/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/

(function($) {

	var ACCOUNT_INVITE = function(){
		this.ws = plus.webview.currentWebview();
		SHARE.GETSHARE();//初始分享列表
		this.counter = 1;
		this.contents = {
     		href: "",
     		title: '暴风理财，注册就送'+ $("#amount").html() +'元体验金！',
     		content: '暴风集团，安全理财',
     		thumbs: HOST + '/share/invite/images/shareicon.png'
		} 
		return this;
	}
	ACCOUNT_INVITE.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getProtocolInfo();
		},
		pageInit:function(){
			var _this = this;
			_this.getFriendEventInfo();
			var show = mui.os.ios ? false : true;
			if( show ){
				$("#app_qq").attr("style","")
			}
		},
		bindEvent:function(){
			var _this = this;
			$("#share_btn").on("tap",function(){
		   		if(!$("#share_btn").hasClass('active')){
		   			GHUTILS.silderBox.show("#share_list");
		   		}
		    });
		    $(".app_icon_close").on("tap",function(){
		    	GHUTILS.silderBox.hide("#share_list");
		    });
		   
		     //微信好友分享
		     $("#app_wxfriend").on("tap",function(){	
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriend", "app_wxfriend" );
		    	SHARE.POSTSHARE(0, '#share_list', _this.contents)
		    });
		    //微信朋友圈分享
		     $("#app_wxfriendaround").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_wxfriendaround", "app_wxfriendaround" );
		    	SHARE.POSTSHARE(1, '#share_list', _this.contents)
		    });
		    //QQ分享
		     $("#app_qq").on("tap",function(){
		     	//友盟监听
//				plus.statistic.eventTrig( "app_qq", "app_qq" );
		    	SHARE.POSTSHARE(2, '#share_list', _this.contents)
		    });
		},
		//获取活动规则
		getProtocolInfo: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getActRuleInfo+"?typeId=INVITE",
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						$("#app_rules").html(function(){
							if(result.content){
								return "<li>" + result.content + "</li>"
							}else{
								return "<li>暂无</li>"
							}
						})
					}
				}
			})
		},
		//获取体验金
		getFriendEventInfo: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getFriendEventInfo,
				type: "post",
				sw: true,
				callback: function(result) {
//					console.log(JSON.stringify(result))
					plus.nativeUI.closeWaiting();
					if(GHUTILS.checkErrorCode(result)){
						$("#amount").html(result.money)
						_this.contents.title = '暴风理财，注册就送'+ $("#amount").html() +'元体验金！'
						_this.contents.href = HOST + '/share/invite/html/invite_page.html?inviteCode=' + GHUTILS.getLocalUserInfo('sceneid')+"&telnum=" +GHUTILS.getLocalUserInfo('userAcc')+"&amount="+$("#amount").html()+"&day="+result.validPeriod
					}
				}
			})
		}
	}
	mui.plusReady(function(){
		var ac = new ACCOUNT_INVITE();
			ac.init();
	});
})(Zepto);
