/*
 Title:首页
 Author:yang sen
 Date:2016-6-4 18:31:00
 Version:v1.0
*/

(function($) {

	var LINKPAGE = function() {
		this.ws = null;
		return this;
	}
	LINKPAGE.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.getData(); //获取数据
		},
		pageInit: function() {
			var _this = this;
			var ws = plus.webview.currentWebview();
			document.getElementById("app_title").innerHTML = ws.title;
			if (!ws.contentId) {
				mui.init({
					subpages: [{
						url: ws.links,
						styles: {
							top: GHUTILS.setTop(44) + 'px',
							bottom:"0px"
						}
					}]
				})
			} else if (ws.contentId == "app-register") {
				$("#app-register").removeClass("app_none");
			} else if (ws.contentId == "app-recharge") {
				$("#app-recharge").removeClass("app_none");
			} else if (ws.contentId == "app-product") {
				$.get(ws.links,function(templates){
					var begin = templates.indexOf('<body');
					var end = templates.indexOf('</body>');
					var temp = templates.substr(begin, end);
//					var temp = $(templates).filter("body").html();
					$("#app-product").html(temp);
				});
				$("#app-product").removeClass("app_none");
			} else if (ws.contentId == "app-investFiles") {
				$.get(ws.links,function(templates){
					var begin = templates.indexOf('<body');
					var end = templates.indexOf('</body>');
					var temp = templates.substr(begin, end);
					temp = temp.replace('#incomeCalcBasis',ws.incomeCalcBasis)
							   .replace('#investMin',ws.investMin)
							   .replace('#singleDailyMaxRedeem',ws.singleDailyMaxRedeem)
							   .replace('#singleDayRedeemCount',ws.singleDayRedeemCount)
							   .replace('#username',GHUTILS.getLocalUserInfo('name'))
							   .replace('#userAcc',GHUTILS.getLocalUserInfo('userAcc'))
							   .replace('#identify_code',GHUTILS.getLocalUserInfo('idNumb'))
							   .replace('#companyName',ws.companyName)
							   .replace('#officialwebsite',ws.officialwebsite)
							   .replace('#officialwebsite1',ws.officialwebsite)
					$("#app-product").html(temp);
				});
				$("#app-product").removeClass("app_none");
			} else if (ws.contentId == "app-serviceFiles") {
				$.get(ws.links,function(templates){
					var begin = templates.indexOf('<body');
					var end = templates.indexOf('</body>');
					var temp = templates.substr(begin, end);
					temp = temp.replace('#username',GHUTILS.getLocalUserInfo('name'))
							   .replace('#identify_code',GHUTILS.getLocalUserInfo('idNumb'))
							   .replace('#year',GHUTILS.currentDate().split("-")[0])
							   .replace('#month',GHUTILS.currentDate().split("-")[1])
							   .replace('#day',GHUTILS.currentDate().split(" ")[0].split("-")[2])
							   .replace('#accountname',GHUTILS.getLocalUserInfo('name'))
							   .replace('#bankName',GHUTILS.getLocalUserInfo('bankName'))
							   .replace('#bankCardNum',GHUTILS.getLocalUserInfo('bankCardNum'))
					$("#app-product").html(temp);
				});
				$("#app-product").removeClass("app_none");
			} else if (ws.contentId == "app-risk") {
				$("#app-risk").removeClass("app_none");
			} else if (ws.contentId == "app-xin-pro1") {
				$("#app-xin-pro1").removeClass("app_none");
			} else if (ws.contentId == "app-xin-pro2") {
				$("#app-xin-pro2").removeClass("app_none");
			} else if (ws.contentId == "app-xin-pro3") {
				$("#app-xin-pro3").removeClass("app_none");
			} else if (ws.contentId == "app-safety") {
				$("#app-safety").removeClass("app_none");
			} else if (ws.contentId == "app-yue-pro1") {
				$("#app-yue-pro1").removeClass("app_none");
			} else if (ws.contentId == "app-yue-pro2") {
				$("#app-yue-pro2").removeClass("app_none");
			} else if (ws.contentId == "app-yue-pro3") {
				$("#app-yue-pro3").removeClass("app_none");
			} else if (ws.contentId == "app-yue-pro4") {
				$("#app-yue-pro4").removeClass("app_none");
			} else if (ws.contentId == "app-yue-pro5") {
				$("#app-yue-pro5").removeClass("app_none");
			}
			var userinfo = GHUTILS.getLocalUserInfo();
			$(".app_realname").html(userinfo.name);
			$("#app_idNm").html(userinfo.idNumb);
			$("#app_data").html(GHUTILS.formatTimestamp({
				showtime: "true"
			}));
//			GHUTILS.LOAD({
//				url: GHUTILS.API.CHA.umginfo,
//				data: {
//
//				},
//				callback: function(result) {
//					if (result.errorCode != "E10001") {
//						$("#app_bank").html(result.data.bankNm);
//					}
//				}
//			})
			$("#app_value").html(ws.payvalue);
			plus.nativeUI.closeWaiting();
		},
		getData: function() {
			var _this = this;

		},
		bindEvent: function() {
			var _this = this;

		},
		resetAfilter: function() {

		},
		closeafilter: function() {

		}
	}
	mui.plusReady(function() {
		var lp = new LINKPAGE();
		lp.init();
	});
})(Zepto);