/*
 Title:活期产品列表内页
 Author:sunli haiyang
 Date:2016-6-19 13:50:34
 Version:v1.0
*/
(function($) {

	var PRODUCTT0LIST = function(){
		this.param = {
			channeOid : channelOid,
			page : 1,
			rows : 10
		};
		this.upRefresh = false;
		this.ws = plus.webview.currentWebview();
		return this;
	}
	PRODUCTT0LIST.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			//this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			//初始化下拉刷新
			mui.init({
			    pullRefresh : {
			    	indicators:false,
				    container:"#app_pullRefresh",//下拉刷新容器标识，querySelector能定位的css选择器均可，比如：id、.class等
				    down : {
				      contentdown : "下拉可以刷新",//可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
				      contentover : "释放立即刷新",//可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
				      contentrefresh : "正在刷新...",//可选，正在刷新状态时，下拉刷新控件上显示的标题内容
				      callback :function(){
				      	setTimeout(function(){
				      		_this.param.page = 1;
				      		_this.initDom(true,true);
						},500);
				      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    },
				    up : {
				      contentrefresh : "正在加载...",//可选，正在加载状态时，上拉加载控件上显示的标题内容
				      contentnomore:'没有更多数据了',//可选，请求完毕若没有更多数据时显示的提醒内容；
				      callback :function(){
				      	setTimeout(function(){
				      		_this.param.page += 1;
				      		_this.initDom(false);
							mui('#app_pullRefresh').pullRefresh().endPullupToRefresh(_this.upRefresh);
						},500);
				      } //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				    }
				  }
			});
			//回调链接
			document.addEventListener("tapLink", function(e) {
				var elm = document.getElementById(e.detail.elm);
				mui.trigger(elm,"tap");
			});
			
			//重新加载数据
			document.addEventListener("loadData", function(e) {
	      		_this.param.page = 1;
	      		_this.initDom(true,true);
			});
		},
		getData:function(){
			var _this = this;
			_this.param.page = 1;
			_this.initDom(true,true,true);
		},
		bindEvent:function(){
			var _this = this;
		},
		initDom: function(clearList,down,noWaiting){
			var _this = this;
			var _sw=true && !noWaiting;
			$('#app_list_tips').hide();
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.gett0productlist, _this.param),
				type: "post",
				sw: _sw,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						_this.upRefresh = _this.param.page*_this.param.rows < result.total ? false : true
						if(down){
							mui('#app_pullRefresh').pullRefresh().endPulldownToRefresh();
							if(!_this.upRefresh){
								mui('#app_pullRefresh').pullRefresh().refresh(true);
							}
						}
						var prodList = result.rows;
						var prodHtml = '';
						for(var i in prodList){
							 prodHtml += _this.getProdHtml(prodList[i]);
						}
						if(clearList){
							$(".app_product_list").html("");
						}
						if(prodHtml == ''){
							if($(".app_product_list").html() == ''){
								$("#app_list_tips").show();
							}
							return
						}
						$(".app_product_list").append(prodHtml);
						_this.showDetails();
					}
				}
			});
		},
		showDetails: function(){
			var _this = this;
			$('.app-btn-huoqi').off().on('tap',function(){
				if(GHUTILS.linkChackLogin(this.id,_this.ws.id)){
					var productOid = $(this).attr("data-oid");
					if(GHUTILS.getLocalUserInfo("bankCardNum")){
						_this.gett0detail(productOid);
					}else{
						GHUTILS.OPENPAGE({
							url:"../../html/product-t0/product-t0-detail.html",
							id:GHUTILS.PAGESID.PROT0DETAIL,
							extras:{productOid: productOid}
						})
						GHUTILS.nativeUI.showWaiting();
					}
				}
			});
			$('.app-recommend-huoqi').off().on('tap',function(){
				if(GHUTILS.linkChackLogin(this.id,_this.ws.id)){
					var productOid = $(this).attr("data-oid");
					
					GHUTILS.OPENPAGE({
						url:"../../html/product-t0/product-t0-detail.html",
						id:GHUTILS.PAGESID.PROT0DETAIL,
						extras:{productOid: productOid}
					})
					GHUTILS.nativeUI.showWaiting();
				}
			});
		},
		gett0detail: function(oid){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.TARGET.gett0detail+"?oid="+oid,
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						if(!result.investMin){
							result.investMin = 0
						}
						if(!result.investMax){
							result.investMax = 0
						}
						if(result.state == "RAISEEND"){
							mui.toast("产品募集结束！")
						}else if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
							mui.toast("产品已售罄！")
						}else if(result.isOpenPurchase == "NO"){
							mui.toast("产品不可购买！")
						}else{
							_this.isLogin(function(){
								if(!GHUTILS.checkDepWit()){
									return
								}
								if(GHUTILS.isLabelProduct(result.productLabels, "新手")){
									if(!GHUTILS.isFreshman()){
										return
									}
								}
								GHUTILS.OPENPAGE({
									url:"../../html/product-t0/product-t0-order.html",
									id:GHUTILS.PAGESID.PROT0ORDER,
									extras:{
										productName: result.productName,
										productOid: result.oid,
										annualInterestSec: GHUTILS.switchShowType(result, false).interestSec.split('-'),
										incomeCalcBasis: Number(result.incomeCalcBasis),
										purchasingAmount: result.investMin,
										increaseAmount: GHUTILS.Fmul(result.investAdditional, result.netUnitShare),
										maxSaleVolume: GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare),
										investMax: GHUTILS.Fmul(result.investMax, result.netUnitShare),
										investVolume: parseFloat("1000"),
										investFiles: HOST+result.investFiles[0].furl,
										serviceFiles: HOST+result.serviceFiles[0].furl,
										productCode: result.productCode,
										interestsFirstDays: result.interestsFirstDays,
										maxHold: result.maxHold,
										companyName: result.companyName
									}
								})
								GHUTILS.nativeUI.showWaiting();
							})
						}
					}
				}
			})
		},
		isLogin: function(ifTrue){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.islogin,
				type: "post",
				callback: function(result){
					if(GHUTILS.checkErrorCode(result)){
						if(result.islogin){
							ifTrue.apply(null, arguments)
						}else{
							GHUTILS.loginOut(function(){
								var cb = {
									cb:"reload",
									pageid:plus.webview.currentWebview().id
								}
								GHUTILS.openLogin(JSON.stringify(cb));
							});
						}
					}
				}
			})
		},
		//获取交易html
		getProdHtml: function(tradeObj){
			var type = '', soldOut = '';
			if(!tradeObj.investMin){
				tradeObj.investMin = 0
			}
			if(tradeObj.maxSaleVolume == tradeObj.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(tradeObj.maxSaleVolume, tradeObj.lockCollectedVolume), tradeObj.netUnitShare) < tradeObj.investMin){
				soldOut = " sold_out";
				type += '<span class="app_tag_icon">售罄</span>';
			}
			if(GHUTILS.isLabelProduct(tradeObj.productLabels, "experienceFund", true)){
				var prodHtml = ''
			}else if(GHUTILS.isLabelProduct(tradeObj.productLabels, "爽")){
				type = '<span class="app_intag_icon app_tag_c1">爽</span>';
				var prodHtml = '<div class="app_in_product_box' +
								soldOut + '"><div class=" app-recommend-huoqi" data-oid="' +
								tradeObj.oid + '"><div class="app_in_product_title">' +
								tradeObj.productName + '</div><div class="app_pt20 text-align-center"><div class="app_cf90"><span class="app_f30">' +
								GHUTILS.switchShowType(tradeObj, false).interestSec + '%</span>' + type +
								'</div><p class="app_f14 app_c80 app_mt8">昨日年化收益率</p></div><div class="app_clearfix app_mt20 app_f14 app_c2"><div class="mui-col-xs-6 app_fl text-align-center app_bre">起购金额：' +
								GHUTILS.formatCurrency(tradeObj.investMin) + ' 元</div><div class="mui-col-xs-6 app_fl text-align-center">锁定期：' +
//								tradeObj.lockPeriodDays + ' 工作日</div></div><div class="app_mt20"><button type="button" class="mui-btn mui-btn-primary mui-btn-block">立即抢购</button></div><div class="app_clearfix app_mt10 app_f14 app_c80"><div class="mui-col-xs-4 app_fl text-align-center">T日起息</div><div class="mui-col-xs-4 app_fl text-align-center">随时可退</div><div class="mui-col-xs-4 app_fl text-align-center">提现闪电到账</div></div></div></div>'
								tradeObj.lockPeriodDays + ' 工作日</div></div></div><div class="app_mt20 app-btn-huoqi" data-oid="' +
								tradeObj.oid + '"><button type="button" class="mui-btn mui-btn-primary mui-btn-block">立即抢购</button></div><div class="app_clearfix app_mt10 app_f14 app_c80"><div class="mui-col-xs-12 app_fl text-align-center">提现闪电到账</div></div></div>'
			}else{
				type += GHUTILS.showProductLabels(tradeObj.productLabels);
				var prodHtml = '<div class="app_product_ihbox app-recommend-huoqi' +
								soldOut + '" data-oid="' +
								tradeObj.oid + '"><div class="app_product_ihbox_title app_c4">' +
								tradeObj.productName +type+ '</div><div class="app_product_ihcon app_clearfix app_pb15"><div class="app_product_ihview app_fl app_pt5 mui-col-xs-5"><div class="app_cf90 "><span class="app_f18">'+ 
								GHUTILS.switchShowType(tradeObj, false).interestSec + '%</span></div><p class="app_f14 app_cb3a app_mt8 app_c8">预期年化收益率</p></div><div class="app_product_ihview app_fl mui-col-xs-7 app_pl10 app_pt5 pp_pb5 app_f14 app_c4"><span class="app_c8">起投金额：</span>' +
								GHUTILS.formatCurrency(tradeObj.investMin) + '元<div class="app_mt10"><span class="app_c8">投资人次：</span>' +
								GHUTILS.formatIntCurrency(tradeObj.purchaseNum) + '</div></div></div></div>';
			}
			return prodHtml;
		}
	}
	mui.plusReady(function(){
		var pt0 = new PRODUCTT0LIST();
			pt0.init();
	});
})(Zepto);
