/*
 Title:定期产品详情
 Author:sunli haiyang
 Date:2016-6-20 19:00:36
 Version:v1.0
*/
mui.init();
mui('.mui-scroll-wrapper').scroll({
	 deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	bounce: false, //是否启用回弹
	scrollX: false, //是否横向滚动
});
(function($) {

	var PRODUCTTNDETAIL = function(){
		this.ws = plus.webview.currentWebview();
//		SHARE.GETSHARE();//初始分享列表
		//分享内容
		this.contents = {
     		href: '',
     		title: '我正在使用国槐金融理财APP，大家快来理财啦！',
     		content: '定期理财产品丰富，挑一挑适合您的理财产品，开启理财之旅！',
     		thumbs: HOST + '/gh-share/productShare/images/shareicon.png'
		}
		this.productName = "";
		this.riskLevel = "";
		this.durationPeriod = "";
		this.files = "";
		this.annualInterestSec = [];
		this.incomeCalcBasis = 0;
		this.investMax = 0;
		return this;
	}
	PRODUCTTNDETAIL.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			
			var pad = document.body.clientWidth - 2
			$(".mui-scroll").css({"padding-left":pad/2,"padding-right":pad/2})
			$(".mui-scroll .app-control-items .num").each(function(){
				right = $(this).width()/2
				$(this).css("right",-right)
			})
			
			_this.initDom();
			//安卓更换键盘
			if(mui.os.android){
				$("#app_investMoney").attr("type","tel")
			}
			document.addEventListener("refreshTnData", function(e) {
				_this.initDom();
			});
		},
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			$("#share_btn").on("tap",function(){
				GHUTILS.silderBox.show("#share_list");
			});
			$(".app_icon_close").on("tap",function(){
				GHUTILS.silderBox.hide("#share_list");
			});

			 //微信好友分享
			$("#app_wxfriend").on("tap",function(){
				//友盟监听
//				plus.statistic.eventTrig( "app_wxfriend", "app_wxfriend" );
				SHARE.POSTSHARE(0, '#share_list', _this.contents)
			});
		    //微信朋友圈分享
			$("#app_wxfriendaround").on("tap",function(){
				//友盟监听
//				plus.statistic.eventTrig( "app_wxfriendaround", "app_wxfriendaround" );
				SHARE.POSTSHARE(1, '#share_list', _this.contents)
			});
		    //QQ分享
			$("#app_qq").on("tap",function(){
				//友盟监听
//				plus.statistic.eventTrig( "app_qq", "app_qq" );
				SHARE.POSTSHARE(2, '#share_list', _this.contents)
			});

			GHUTILS.getHotline(false, $("#app_tel_link"));
			
			$("#app_projectDetail").off().on('tap', function() {
				GHUTILS.OPENPAGE({
					url: "../../html/product-tn/product-tn-protocol.html?as=item1mobile",
					id: GHUTILS.PAGESID.PROTNPRODETAIL,
					extras: {
						tabindex: 1,
						productOid: _this.ws.productOid,
						productName: _this.productName,
						riskLevel: _this.riskLevel,
						files: _this.files,
						durationPeriod: _this.durationPeriod
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
			
			$("#app_profitExplanation").off().on('tap', function() {
				GHUTILS.OPENPAGE({
					url: "../../html/product-tn/product-tn-protocol.html?as=item2mobile",
					id: GHUTILS.PAGESID.PROTNPRODETAIL,
					extras: {
						tabindex: 2,
						productOid: _this.ws.productOid,
						productName: _this.productName,
						riskLevel: _this.riskLevel,
						files: _this.files,
						durationPeriod: _this.durationPeriod
						
					}
				})
				GHUTILS.nativeUI.showWaiting();
			})
			
//			$("#app_investRecord").off().on('tap', function() {
//				GHUTILS.OPENPAGE({
//					url: "../../html/product-tn/product-tn-protocol.html?as=item3mobile",
//					id: GHUTILS.PAGESID.PROTNPRODETAIL,
//					extras: {
//						tabindex: 3,
//						productOid: _this.ws.productOid,
//						productName: _this.productName,
//						riskLevel: _this.riskLevel,
//						files: _this.files,
//						durationPeriod: _this.durationPeriod
//					}
//				})
//				GHUTILS.nativeUI.showWaiting();
//			})
			
			$("#app_safe").on("tap", function(){
//				_this.getProtocolInfo();
				GHUTILS.OPENPAGE({
					url: "../../html/index/index-shortcut/index-insurance.html",
					id: GHUTILS.PAGESID.PROTNORDERLIST,
				});
			})
			
			var scroll = mui('.mui-scroll-wrapper').scroll();
			document.querySelector('.mui-scroll-wrapper' ).addEventListener('scroll', function (e ) {
				$(".count").val(-parseInt(scroll.x)*10)
				_this.setProfit(_this.annualInterestSec, $("#app_investMoney").val(), _this.durationPeriod);
			})
			
			$("#app_investMoney").on({
				'input': function(){
					if($(this).val() > _this.investMax){
						$(this).val(_this.investMax)
					}
					_this.setProfit(_this.annualInterestSec, $(this).val(), _this.durationPeriod);
				},
				"focus":function(){
					$(document).on('keyup', function (e) {
						if (e.keyCode === 13) {
							$("#app_investMoney").blur();
						}
					}.bind(this))
				},
				'blur': function(){
//					$("#app_scroll").css({'transform': 'translate3d(-'+GHUTILS.Fdiv($(this).val(), 10)+'px, 0px, 0px) translateZ(0px)'})
					mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv($(this).val(), 10), 0, 0)
					$(document).off('keyup')
				}
			})
		},
		initDom: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.getproductdetail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					plus.nativeUI.closeWaiting();
					if(GHUTILS.checkErrorCode(result)){
						if(!result.investMin){
							result.investMin = 0
						}
						if(!result.investMax){
							result.investMax = 0
						}
						_this.contents.href = HOST + '/gh-share/productShare/index-share.html?productType=dq&productName='+result.productName+'&annualInterest='+result.annualInterestSec+'&investPeriod='+result.durationPeriod+'&purchasingAmount='+result.investMin;
						//分享按钮显示
						$('#share_btn').show();
						
						$('#app_title').html(result.productName);
						$('#app_annualInterest').html(function(){
							var annualInterestSec = result.annualInterestSec.replace(/\%/g,'').split('-');
							if(annualInterestSec.length > 1){
								return annualInterestSec[0] + '<span class="app_tndetail_div_div_div1_div1_span">%</span>-' + annualInterestSec[1]
							}else{
								return annualInterestSec[0]
							}
						});
						$('#app_paymMtd').html('到期一次性还本付息');
						
						var html = "";
						if(result.files && result.files.length > 0){
							var list = result.files
							for (var i in list) {
								html += _this.getFileBacksHtml(list[i].furl,list[i].name);
							}
						}
						$("#app_list").html(html);
						_this.files = JSON.stringify(result.files);
						
						$(".app_fileBacks").on('tap', function(){
							GHUTILS.OPENPAGE({
								url: "../../html/index/index-linkpage.html",
								id: GHUTILS.PAGESID.LINKPAGES,
								extras: {
									contentId : "app-product",
									title : $(this).find('a').attr('data-title'),
									links : HOST+$(this).find('a').attr('data-links')
								}
							})
							GHUTILS.nativeUI.showWaiting();
						});
						
						//募集进度条，剩余可投
//						if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
//							$("#app_canInvestMoney span").html("剩余可投：0.00元");
//							$("#app_progress").html("100.00%");
//							document.getElementById("app_progressBar").style.width = "100%";
//						}else{
//							var collectPercent = GHUTILS.toFixeds(GHUTILS.Fmul(GHUTILS.Fdiv(GHUTILS.Fadd(result.collectedVolume, GHUTILS.Fmul(result.lockCollectedVolume, result.netUnitShare)), result.raisedTotalNumber), 100),2,'%')
//							$("#app_canInvestMoney span").html("剩余可投："+GHUTILS.formatCurrency(GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare))+"元");
//							$("#app_progress").html(collectPercent);
//							document.getElementById("app_progressBar").style.width = collectPercent;
							
							var collectPercent = GHUTILS.toFixeds(GHUTILS.Fmul(GHUTILS.Fdiv(GHUTILS.Fadd(result.collectedVolume, GHUTILS.Fmul(result.lockCollectedVolume, result.netUnitShare)), result.raisedTotalNumber), 100),2,'%')
							$("#app_raisedAmount").html(GHUTILS.formatCurrency(GHUTILS.Fadd(result.collectedVolume, GHUTILS.Fmul(result.lockCollectedVolume, result.netUnitShare))));
							$("#app_canInvestMoney").html(GHUTILS.formatCurrency(GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare)));
							document.getElementById("app_progressBar").style.width = collectPercent;
//						}
						
						$('#app_investPeriod').html(result.durationPeriod);
						$("#app_raisePeriodDays").html(result.raisePeriodDays);
						$('#app_purchasingAmount').html(GHUTILS.formatCurrency(result.investMin));
						if(result.state == "RAISEEND"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("募集结束");
						}else if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("已售罄");
						}else if(result.isOpenPurchase == "NO"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("不可购买");
						}else{
							$('#app_invest').html("转入");
						}
						$("#app_investDate").html(GHUTILS.currentDate().substr(0,10));
						$("#app_tn_curDate").html(result.interestsStartDate);
						$("#app_tn_valueDate").html(result.repayDate);
						_this.productName = result.productName;
						_this.durationPeriod = result.durationPeriod
						_this.riskLevel = result.riskLevel;
						_this.annualInterestSec = result.annualInterestSec.split('-');
						_this.incomeCalcBasis = Number(result.incomeCalcBasis);
						_this.investMax = GHUTILS.Fmul(result.investMax, result.netUnitShare) || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare);
						$("#app_scroll").html(_this.getScrollHtml(_this.investMax))
						
						//刻度条初始值
						_this.setVolume(_this.investMax, _this.annualInterestSec, _this.durationPeriod);
						
						_this.showlabel(result.productLabels);
						$("#app_secureLevel").html(
							function () {
								switch (result.riskLevel) {
									case "R1" : return '<img src="../../images/icon_satr5.png"/>';break;
									case "R2" : return '<img src="../../images/icon_satr4.png"/>';break;
									case "R3" : return '<img src="../../images/icon_satr3.png"/>';break;
									case "R4" : return '<img src="../../images/icon_satr2.png"/>';break;
									case "R5" : return '<img src="../../images/icon_satr1.png"/>';break;
									default : return "";break;
								}
							}
						)
						$("#app_invest").off().on("tap",function(){
							if(!$(this).hasClass("app_status_off")){
								if(!GHUTILS.checkDepWit()){
									return
								}
								if(GHUTILS.isLabelProduct(result.productLabels, '新手')){
									if(!GHUTILS.isFreshman()){
										return
									}
								}
								GHUTILS.OPENPAGE({
									url:"../../html/product-tn/product-tn-order.html",
									id:GHUTILS.PAGESID.PROTNORDER,
									extras:{
										productName: result.productName,
										productOid: result.oid,
										purchasingAmount: result.investMin,
										increaseAmount: GHUTILS.Fmul(result.investAdditional, result.netUnitShare),
										maxSaleVolume: GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare),
										investMax: GHUTILS.Fmul(result.investMax, result.netUnitShare),
										annualInterestSec: result.annualInterestSec.split('-'),
										durationPeriod: result.durationPeriod,
										incomeCalcBasis: Number(result.incomeCalcBasis),
										investVolume: parseFloat($("#app_investMoney").val()),
										proTnDetail: 'PROTNDETAIL',
										investFiles: HOST+result.investFiles[0].furl,
										serviceFiles: HOST+result.serviceFiles[0].furl,
										productCode: result.productCode
									}
								})
								GHUTILS.nativeUI.showWaiting();
							}
						});
					}
				}
			});
		},
		getFileBacksHtml: function(url,name){
			if(name.indexOf('.html') != -1 && name.length - name.lastIndexOf('.html') == 5){
				name = name.substr(0,name.lastIndexOf('.html'))
			}
			return '<li class="mui-table-view-cell app_fileBacks"><a class="mui-navigate-right app_link_pages" data-links="'+url+'" data-title="'+name+'">'+name+'</a></li>'
		},
		//产品标签显示
		showlabel: function(labelCodes){
			var calss = "", name = "";
			switch(labelCodes[0].labelName){
				case "推荐" : 
					calss = "app_tag_c3", name = "推荐";
					break
				case "新手" : 
					calss = "app_tag_c1", name = "新手";
					break
				case "秒杀" : 
					calss = "app_tag_c2", name = "秒杀";
					break
				case "体验金" : 
					calss = "app_tag_c4", name = "体验金";
					break
				default : 
					calss = "app_tag_c5", name = labelCodes[0].labelName;
					break
			}
			$("#app_label").addClass(calss).html(name)
		},
		//预期收益
		setProfit: function(annualInterest, investMoney, investPeriod){
			var _this = this;
			if(annualInterest.length == 1){
				var annualInterestSec = parseFloat(annualInterest[0].replace('%',''))
				var profit = GHUTILS.Fdiv(GHUTILS.Fdiv(GHUTILS.Fmul(GHUTILS.Fmul(investMoney, annualInterestSec), investPeriod), _this.incomeCalcBasis), 100);
				$('#app_profit').html(GHUTILS.formatCurrency(profit));
			}else{
				var annualInterestSec0 = parseFloat(annualInterest[0].replace('%',''))
				var annualInterestSec1 = parseFloat(annualInterest[1].replace('%',''))
				var profit0 = GHUTILS.Fdiv(GHUTILS.Fdiv(GHUTILS.Fmul(GHUTILS.Fmul(investMoney, annualInterestSec0), investPeriod), _this.incomeCalcBasis), 100);
				var profit1 = GHUTILS.Fdiv(GHUTILS.Fdiv(GHUTILS.Fmul(GHUTILS.Fmul(investMoney, annualInterestSec1), investPeriod), _this.incomeCalcBasis), 100);
				$('#app_profit').html(GHUTILS.formatCurrency(profit0)+'-'+GHUTILS.formatCurrency(profit1));
			}
		},
		getScrollHtml: function(investMax){
			var html = '';
			var st = investMax/10/50 - 1
			if(investMax > 500){
				for(var i = 0;i < st;i++){
					html += '<div class="app-control-items"><span class="num">'+(i+2)*500+'</span></div>'
				}
			}
			html = '<span class="f-num">0</span><div class="app-control-items mui-control-first"><span class="num">500</span></div>' + html
			return html
		},
		//刻度条初始值
		setVolume: function(investMax, annualInterestSec, durationPeriod){
			var _this = this;
			if(investMax >= 1000){
				$("#app_investMoney").val(1000)
				_this.setProfit(annualInterestSec, 1000, durationPeriod);
				mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv(1000, 10), 0, 0)
			}else{
				$("#app_investMoney").val(500)
				_this.setProfit(annualInterestSec, 500, durationPeriod);
				mui('.mui-scroll-wrapper').scroll().scrollTo(-GHUTILS.Fdiv(500, 10), 0, 0)
			}
		},
		//获取协议信息
		getProtocolInfo: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getProtocolInfo+"?typeId=PRODUCT",
				type: "post",
				sw: true,
				callback: function(result) {
					if(GHUTILS.checkErrorCode(result)){
						GHUTILS.OPENPAGE({
							url:"../../html/index/content_pages.html",
							id:GHUTILS.PAGESID.CONTENT,
							extras:{
								title: "安全保障",
								content: encodeURIComponent(result.content)
							}
						})
					}
				}
			})
		}
	}
	mui.plusReady(function(){
		var tnde = new PRODUCTTNDETAIL();
			tnde.init();
	});
})(Zepto);