/*
 Title:定期产品详情
 Author:sunli haiyang
 Date:2016-6-20 19:00:36
 Version:v1.0
*/
mui.init();
(function($) {

	var PRODUCTTNDETAIL = function(){
		this.ws = plus.webview.currentWebview();
		return this;
	}
	PRODUCTTNDETAIL.prototype = {
		init:function(){
			this.pageInit();//页面初始化
		},
		pageInit: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.buildQueryUrl(GHUTILS.API.TARGET.getproductdetail, {
					oid: _this.ws.productOid
				}),
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					plus.nativeUI.closeWaiting();
					if(GHUTILS.checkErrorCode(result)){
						$('#app_title').html(result.productName);
						$('#app_annualInterest').html(result.annualInterestSec);
						$("#app_tn_curDate").html(result.interestsStartDate);
						$("#app_tn_valueDate").html(result.repayDate);
						$("#invest_num").html(GHUTILS.formatCurrency(_this.ws.amount))
						$("#app_secureLevel").html(
							function () {
								switch (result.riskLevel) {
									case "R1" : return '<img src="../../images/icon_satr5.png"/>';break;
									case "R2" : return '<img src="../../images/icon_satr4.png"/>';break;
									case "R3" : return '<img src="../../images/icon_satr3.png"/>';break;
									case "R4" : return '<img src="../../images/icon_satr2.png"/>';break;
									case "R5" : return '<img src="../../images/icon_satr1.png"/>';break;
									default : return "";break;
								}
							}
						)
						if(!result.investMin){
							result.investMin = 0
						}
						if(result.state == "RAISEEND"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("募集结束");
						}else if(result.maxSaleVolume == result.lockCollectedVolume || GHUTILS.Fmul(GHUTILS.Fsub(result.maxSaleVolume, result.lockCollectedVolume), result.netUnitShare) < result.investMin){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("已售罄");
						}else if(result.isOpenPurchase == "NO"){
							$('#app_invest').addClass("app_status_off");
							$('#app_invest').html("不可购买");
						}else{
							$('#app_invest').html("立即投资");
						}
						$("#app_invest").off().on("tap",function(){
							if($(this).hasClass("app_status_off")){
								return
							}
							if(!GHUTILS.checkDepWit()){
								return
							}
							GHUTILS.OPENPAGE({
								url: '../../html/account/account-zxym.html',
								id: GHUTILS.PAGESID.WEBPAGES,
								extras:{
									title: "体验金认购",
									postindex: 0,
									value: _this.ws.amount,
									pagesid: GHUTILS.PAGESID.PROTNEXPDETAIL,
									productOid: _this.ws.productOid,
									coupon: _this.ws.coupon || '',
									couponId: _this.ws.couponId,
									couponType: "tasteCoupon",
									couponDeductibleAmount: _this.ws.amount,
									couponAmount: _this.ws.amount,
									payAmouont: 0
								}
							})
							GHUTILS.nativeUI.showWaiting();
						});
					}
				}
			});
		}
	}
	mui.plusReady(function(){
		var tnde = new PRODUCTTNDETAIL();
			tnde.init();
	});
})(Zepto);