/*
 Title:我的定期
 Author:fanyu
 Date:2016-8-22 09:31:00
 Version:v1.0
*/

mui.init();

(function($) {
	var urlParams=GHUTILS.parseUrlParam();
	if (urlParams.as) {
		$("."+urlParams.as).addClass("mui-active");
	}
	
	var PR = function() {
		this.ws = plus.webview.currentWebview();
//		this.pageNum = [1, 1, 1];
		return this;
	}
	PR.prototype = {
		init: function() {
//			GHUTILS.setUserAgent();
//			$("#slider").css({"top": ""+GHUTILS.setTop(44)+"px"})
			this.pageInit(); //页面初始化
			this.bindEvent(); //事件绑定
			this.pullRefresh();
		},
		pageInit: function() {
			var _this = this;
			if(_this.ws.tabindex == 1 || _this.ws.tabindex == 2){
				plus.nativeUI.closeWaiting();
			}
			$("#app_title").html(_this.ws.productName)
			//tab1
			$("#app_secureLevel").html(
				function () {
					switch(_this.ws.riskLevel){
						case "R1" : return '<img src="../../images/icon_satr5.png"/>';break;
						case "R2" : return '<img src="../../images/icon_satr4.png"/>';break;
						case "R3" : return '<img src="../../images/icon_satr3.png"/>';break;
						case "R4" : return '<img src="../../images/icon_satr2.png"/>';break;
						case "R5" : return '<img src="../../images/icon_satr1.png"/>';break;
						default : return "";break;
					}
				}
			);
			var html = '', files = JSON.parse(_this.ws.files);
			if(files && files.length > 0){
				for (var i in files) {
					html += _this.getFileBacksHtml(files[i].furl,files[i].name);
				}
			}
			$("#app_list").html(html);
			
			//tab2
			$("#app_durationPeriod").html(_this.ws.durationPeriod);
		},
		getFileBacksHtml: function(url,name){
			if(name.indexOf('.html') != -1 && name.length - name.lastIndexOf('.html') == 5){
				name = name.substr(0,name.lastIndexOf('.html'))
			}
			return '<li class="mui-table-view-cell app_fileBacks"><a class="mui-navigate-right app_link_pages" data-links="'+url+'" data-title="'+name+'">'+name+'</a></li>'
		},
//		getData: function(index, refresh) {
//			var _this = this;
//			GHUTILS.LOAD({
//				url: GHUTILS.API.TARGET.tradeordermng+"?page="+_this.pageNum[index]+"&rows=10&orderType=invest&productOid="+_this.ws.productOid,
//				type: "post",				
//				async: true,
//				timeout: 3000,
//				callback: function(result) {
//					console.log(JSON.stringify(result))
//					if (GHUTILS.checkErrorCode(result)) {
//						var list = result.rows, html = "";
//						for(var p in list){
//							html += _this.getInvestList(list[p]);
//						}
//						$("#app_box_list").append(html)
//						_this.closeWaiting(index);
//						refresh.endPullUpToRefresh(_this.pageNum[index]*10 < result.total ? false : true);
//						_this.pageNum[index]++;
//					}
//				},
//				errcallback: function(result) {
//					_this.closeWaiting(index);
//					refresh.endPullUpToRefresh(true);
//				}
//			});
//		},
//		closeWaiting: function(index) {
//			if (mui("#slider").slider().getSlideNumber() == index) {
//				plus.nativeUI.closeWaiting();
//			}
//		},
//		getInvestList: function(tradeObj){
//			var html = "";
//			html = '<ul class="mui-table-view mui-grid-view app_notborder app_list_con"><li class="mui-table-view-cell mui-media mui-col-xs-4 mui-text-center"><div class="mui-h5 app_c3">'
//					+tradeObj.phoneNum+'</div></li><li class="mui-table-view-cell mui-media mui-col-xs-4 mui-text-right"><div class="mui-h5 app_c3">'
//					+GHUTILS.formatCurrency(tradeObj.orderAmount)+'</div></li><li class="mui-table-view-cell mui-media mui-col-xs-4 mui-text-center"><div class="mui-h5 app_c5">'
//					+tradeObj.orderTime.split(" ")[0]+'</div><div class="mui-h5 app_c5">'
//					+tradeObj.orderTime.split(" ")[1]+'</div></li></ul>'
//			return html
//		},
		bindEvent: function() {
			var _this = this;
			$(".app_fileBacks").on('tap', function(){
				GHUTILS.OPENPAGE({
					url: "../../html/index/index-linkpage.html",
					id: GHUTILS.PAGESID.LINKPAGES,
					extras: {
						contentId : "app-product",
						title : $(this).find('a').attr('data-title'),
						links : HOST+$(this).find('a').attr('data-links')
					}
				})
				GHUTILS.nativeUI.showWaiting();
			});
		},
		pullRefresh: function() {
			var _this = this;
			//阻尼系数
			var deceleration = mui.os.ios ? 0.003 : 0.0009;
			mui('.mui-scroll-wrapper').scroll({
				bounce: false,
				indicators: true, //是否显示滚动条
				deceleration: deceleration
			});
			mui.ready(function() {
				//循环初始化所有下拉刷新，上拉加载。
//				mui.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
//					mui("#app_scroll").pullToRefresh({
//						up: {
//							auto: true,
//							callback: function() {
//								var self = this;
//								_this.getData(2, self);
//							}
//						}
//					});
//				});
			});
		}
	}
	mui.plusReady(function() {
		var pr = new PR();
		pr.init();
	});
	//	$(function() {
	//		var pr = new PR();
	//		pr.init();
	//	});
})(Zepto);