/*
 Title:银行卡信息
 Author:xu jinjin
 Date:2016-6-4 18:31:00
 Version:v1.0
*/
mui.init();
(function($) {
	var BANKCARD = function(){
		this.ws = plus.webview.currentWebview();
		return this;
	}
	BANKCARD.prototype = {
		init:function(){
			var _this = this;
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			GHUTILS.getUserInfo(function(){
				_this.getData();//获取数据
			})
		},
		pageInit:function(){
			var _this = this;
			plus.nativeUI.closeWaiting();
			document.addEventListener("loadData", function() {
				_this.getData();
			});
		},		
		getData:function(){
			var _this = this;
			$("#app_banklist").html(_this.getBankList())
			$(".app_bank_list_owned").on('tap', function(){
				GHUTILS.OPENPAGE({
					url: "../../html/usermgmt/usermgmt-bankcard-edit.html",
					id: GHUTILS.PAGESID.BANKCARDEDIT
				})
				GHUTILS.nativeUI.showWaiting();
			})
		},
		bindEvent:function(){
			var _this = this;
			$(".app_bank_list_add").on('tap', function(){
				if(!GHUTILS.getLocalUserInfo('paypwd')){
					GHUTILS.toast('请先设置支付密码');
					GHUTILS.OPENPAGE({
						url: "../../html/usermgmt/usermgmt-dealpwd.html",
						id: GHUTILS.PAGESID.DEALPWD,
						extras: {
							type: "set",
							bankadd: true
						}
					})
					GHUTILS.nativeUI.showWaiting();
				}else{
					GHUTILS.OPENPAGE({
						url: "../../html/usermgmt/usermgmt-bankcard-add.html",
						id: GHUTILS.PAGESID.BANKCARDADD
					})
					GHUTILS.nativeUI.showWaiting();
				}
			})
		},
		getBankList: function(){
			var _this = this, html = '', bankname = GHUTILS.getLocalUserInfo("bankName"), bankCardNum = GHUTILS.getLocalUserInfo("bankCardNum");
			if(bankname && bankCardNum){
				$(".app_bank_list_add").addClass("app_none")
				
				html = bankbg[bankcode[bankname]]+'<div class="app_bank_list_icondiv"><div class="app_bank_list_icon"><img src="'+
						bankimg[bankcode[bankname]]+'" class="app_w100p"></div></div><div class="app_bank_list_detaildiv"><div>'+
						bankname+'</div><div class="app_f10">单笔可支付'+
						_this.getSingleQuota()+'元</div><div class="app_mt10">'+
						bankCardNum+'</div></div></div>'
			}else{
				$(".app_bank_list_add").removeClass("app_none")
			}
			return html
		},
		//获取银行卡单笔投资最高限额
		getSingleQuota: function(){
			var _this = this, quota = 0;
			GHUTILS.LOAD({
				url: GHUTILS.API.CHA.getSingleQuota + '?bankCard=' + GHUTILS.getLocalUserInfo("fullBankCardNum"),
				type: "post",
				async: false,
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if(GHUTILS.checkErrorCode(result)){
						if(result.singleQuota){
							quota = GHUTILS.formatIntCurrency(result.singleQuota)
						}else{
							mui.toast("该银行卡不支持或者银行卡所在支付渠道关闭！")
						}
					}
				}
			})
			return quota
		}
	}
	mui.plusReady(function(){
		var bc = new BANKCARD();
			bc.init();
	});
//	$(function(){
//		var bc = new BANKCARD();
//			bc.init();
//	});
})(Zepto);