/*
 Title:忘记密码
 Author:sunli haiyang
 Date:2016-6-18 11:01:28
 Version:v1.0
*/
mui.init();
(function($) {

	var FORGETPWD = function(){
		this.getVcode = $("#app-message");
		this.key = null;
		this.tips1 = $("#app_tips_box1");
		this.tips2 = $("#app_tips_box2");
		this.imgConfirmed = false;
		this.ws = null;
		return this;
	}
	FORGETPWD.prototype = {
		init:function(){
//			GHUTILS.setUserAgent();
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			$("#app_imgCode").attr('src',HOST+"/app/common/verifyImage.jsp");
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			_this.getVcode.off().on("tap",function(){
				if(_this.getVcode.hasClass("app_btn_loading")){
					return
				}
				$(_this.tips1).html("&nbsp;")
				if(GHUTILS.validate("app-phoneDiv")){
					//判断用户是否锁定
					GHUTILS.LOAD({
						url: GHUTILS.API.USER.checklock + '?userAcc=' + $("#app-phoneNo").val(),
						data: {},
						type: "post",
						sw:false,
						callback: function(result) {
							if (GHUTILS.checkErrorCode(result,_this.tips1)) {
								_this.getVericode();
							}
						}				
					});
//					_this.ifUnregistered(function(){
//						$("#app_imgCodeResult").val('');
//						$('#app_img_tipDvi').hide();
//					    $('#app_img_tip').html('');
//						GHUTILS.changeVCode1($("#app_imgCode"));
//						GHUTILS.popupBox.show("#app_toast_confirm");
//						$("#app-phoneNo").blur();
//						$("#app-vericode").blur();
//						$("#app_imgCodeResult").focus();
//						_this.imgConfirmed=false;
//					})
				}
			});
			
			$("#app_imgCode").off().on("tap",function(){
				GHUTILS.changeVCode1($("#app_imgCode"));
			});
			
			$("#app_imgCodeResult").off().on("focus",function(){
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
			});
			
			$("#app-stepOneNext").off().on("tap",function(){
				$(_this.tips1).html("&nbsp;")
				if(GHUTILS.validate("app-stepOne")){
//					_this.ifUnregistered(function(){
						_this.checkvericode();
//					})
				}
			})
			
			$("#app-confirm").off().on("tap",function(){
				if(GHUTILS.validate("app-stepTwo")){
					_this.updatepassword();
				}
			})
			
			$(".app_pop_hide").off().on("tap",function(){
				$("#app_imgCodeResult").blur();
				GHUTILS.popupBox.hide("#app_toast_confirm");
			});
			
			$("#app_btn_confirm").off().on('tap',function(){
				if (_this.imgConfirmed) {
					return;
				}
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
				if(GHUTILS.validate("app_imgCodeDiv")){
					_this.umgcheckvalicode();
				}
			});
			
			GHUTILS.inputFocus("#app-pwd");
			
			GHUTILS.inputFocus("#app-confirmPwd");
		},
		umgcheckvalicode: function(){
			var _this = this;
			_this.imgConfirmed=true;
			var checkeCode = $('#app_imgCodeResult').val();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.umgcheckvalicode,
				data: {
					checkeCode: checkeCode
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (result.errorCode==0) {
						_this.getVericode();
					}else{
						$("#app_imgCodeResult").val("");
						GHUTILS.changeVCode1($("#app_imgCode"));
						$('#app_img_tipDvi').show();
				        $('#app_img_tip').html(result.errorMessage);
						_this.imgConfirmed=false;
					}
				}
			});
		},
		getVericode: function(){
			var _this = this;
			_this.getVcode.addClass("app_btn_loading")
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.sendverifyv1,
				data: {
					phone: $("#app-phoneNo").val(),
					smsType: "fogetlogin",
					values: []
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result, _this.tips1)) {
//						_this.getVcode.addClass("app_btn_loading")
//						$("#app_imgCodeResult").blur();
//						GHUTILS.popupBox.hide("#app_toast_confirm");
						GHUTILS.btnTime(_this.getVcode);
					}else{
//						$("#app_imgCodeResult").val("");
//						GHUTILS.changeVCode1($("#app_imgCode"));
						_this.getVcode.removeClass("app_btn_loading")
					}
				},
				errcallback: function(){
					_this.getVcode.removeClass("app_btn_loading")
				}
			});
		},
		ifUnregistered: function(iftrue){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.mobileexist,
				data: {
					mobile: $("#app-phoneNo").val(),
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (result.errorCode!='E20001') {
						GHUTILS.showError(result.errorCode == 'E20000' ? '此手机未注册，请先注册！' : result.errorMessage,_this.tips1);
					}else{
						iftrue.apply(null, arguments);
					}
				}
			});
		},
		checkvericode: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.verify,
				data: {
					phone: $("#app-phoneNo").val(),
					veriCode: $("#app-vericode").val(),
					smsType: "fogetlogin"
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips1)) {
//						_this.key = result.data.key;
						$(".steps").hide();
						$("#app-stepTwo").show();
					}
				}
			});
		},
		updatepassword: function(){
			var _this = this;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.updatepassword,
				data: {
//					mobile: $("#app-phoneNo").val(),
//					key: _this.key,
//					password: $('#app-pwd').val(),
//					confirmpassword: $('#app-confirmPwd').val()
					userAcc: $("#app-phoneNo").val(),
					userPwd: $('#app-pwd').val(),
					vericode: $("#app-vericode").val(),
					platform: "app"
				},
				type: "post",
				sw: true,
				callback: function(result) {
					console.log(JSON.stringify(result))
					if (GHUTILS.checkErrorCode(result,_this.tips2)) {
						mui.toast("密码修改成功");
						mui.back();
					}
				}
			});
		}
	}
	mui.plusReady(function(){
		var fp = new FORGETPWD();
			fp.init();
	});
})(Zepto);