/*
 Title:登录
 Author:sunli haiyang
 Date:2016-6-15 20:55:00
 Version:v1.0
*/
mui.init();
(function($) {

	var LOGINBF = function(){
		this.ws = plus.webview.currentWebview();
		return this;
	}
	LOGINBF.prototype = {
		init:function(){
			var _this = this;
			plus.nativeUI.closeWaiting();
			
			//创建子webwebview 登录页面
			var nw = plus.webview.create(GHUTILS.API.BAOFENG.loginpage + '?next_action=' + GHUTILS.API.BAOFENG.callback, '', {top:"45px", bottom:"0px"}, {});
			
			nw.addEventListener("loaded", function(e){
				// 回调中
				if(nw.getURL() == GHUTILS.API.BAOFENG.callback){
					
					plus.nativeUI.showWaiting();
					
					// 获取cookie
					var bfcookie = plus.navigator.getCookie(BFCOOKIEHOST);
					GHUTILS.LOAD({// 登录状态
						url: GHUTILS.API.BAOFENG.islogin + '?st=' + GHUTILS.getCookie(bfcookie, 'st') +'&bfcsid=' + GHUTILS.getCookie(bfcookie, 'bfcsid') +'&from=eventuser&version=1.0',
						type: "post",
						sw: true,
						callback: function(result) {

							if (result.status == 1) {
								var userOid = result.info.userid;
								
								var md5key = hex_md5(userOid + BFKEY);
								
								GHUTILS.LOAD({// 获取暴风用户信息
									url: GHUTILS.API.BAOFENG.userinfo + '?userid=' + userOid + '&keytype=' + BFKEYTYPE + '&key=' + md5key,				
									type: "post",
									sw: true,
									callback: function(result) {
										console.log(JSON.stringify(result))
										if (result.status == 1) {
											
											GHUTILS.LOAD({ // 业务判断手机号是否注册
												url: GHUTILS.API.USER.isregist + '?phoneNum' + result.info.mobile,
												data: {},
												type: "post",
												sw: true,
												callback: function(result) {
													if (result.errorCode == 0) {
														// 手机号未注册
														GHUTILS.LOAD({
															url: GHUTILS.API.USER.regist,
															data: {
																userOid: userOid,
																phoneNum: result.info.mobile
															},
															type: "post",
															sw: true,
															callback: function(result) {
																if (result.errorCode == 0) {
																	GHUTILS.LOAD({
																		url: GHUTILS.API.USER.usermoneyinfo,															
																		type: "post",
																		sw: true,
																		callback: function(result) {
																			if (result.errorCode == 0) {
																				// 关闭当前页面
																				plus.webview.close(_this.ws);
																			}
																		}
																	});
																}
															}
														});
														
													} else {
														// 手机号已注册直接登录
														GHUTILS.LOAD({
															url: GHUTILS.API.USER.usermoneyinfo,															
															type: "post",
															sw: true,
															callback: function(result) {
																if (result.errorCode == 0) {
																	// 关闭当前页面
																	plus.webview.close(_this.ws);
																}
															}
														});
													}
												}
											});

										}
									}
								});
							}
						}
					});
				}
			}, false );
			
			_this.ws.append(nw);
		}
	}
	mui.plusReady(function(){
		var log = new LOGINBF();
			log.init();
	});
})(Zepto);
