/*
 Title:支付密码
 Author:sunli haiyang
 Date:2016-6-17 15:26:27
 Version:v1.0
*/
mui.init();
(function($) {

	var PAYPSWD = function(){
		this.tips1 = "#app_tips_box1";
		this.tips2 = "#app_tips_box2";
		this.tips3 = "#app_tips_box3";
		this.getVcode = $("#app-message");
		this.vericode = null;
		this.imgConfirmed = false;
		this.ws = plus.webview.currentWebview();
		return this;
	}
	PAYPSWD.prototype = {
		init:function(){
			this.pageInit();//页面初始化
			this.bindEvent();//事件绑定
			this.getData();//获取数据
		},
		pageInit:function(){
			var _this = this;
			$("#app_vcode_img").attr('src',HOST+"/app/common/verifyImage.jsp");
			if(_this.ws.hasPayWd){
				$("#app-reset-box").show();
				$("#app-stepTwo").show();
				$('#app_title').html('修改支付密码');
			}else{
				$("#app-set-box").show();
				$("#app-stepOne").show();
				$("#app_title").html("设置支付密码");
			}
			plus.nativeUI.closeWaiting();
		},		
		getData:function(){
			var _this = this;
		},
		bindEvent:function(){
			var _this = this;
			_this.getVcode.off().on("tap",function(){
				if(_this.getVcode.hasClass("app_btn_loading")){
					return
				}
				if(GHUTILS.validate("app_payPwdReset_div")){
					$(_this.tips2).html("&nbsp;")
					$("#app_imgVericode").val('');
					$('#app_img_tipDvi').hide();
					$('#app_img_tip').html('');
					GHUTILS.changeVCode1($("#app_vcode_img"));
					GHUTILS.popupBox.show("#app_toast_confirm");
					$("#app-payPwdReset").blur();
					$("#app-verifyCode").blur();
					$("#app_imgVericode").focus();
					_this.imgConfirmed=false;
				}
			});
			
			$("#app_vcode_img").off().on('tap',function(){
				GHUTILS.changeVCode1(this);
			});
			
			$(".app_pop_hide").off().on("tap",function(){
				$("#app_imgVericode").blur();
				GHUTILS.popupBox.hide("#app_toast_confirm");
			});
			
			$("#app_imgVericode").off().on("focus",function(){
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
			});
			
			$('#app-confirm').off().on('tap',function(){
				$(_this.tips1).html("&nbsp;")
				if(GHUTILS.validate("app-stepOne")){
					_this.setPayPwd();
				}
			});
			
			$("#app_btn_confirm").off().on('tap',function(){
				if (_this.imgConfirmed) {
					return;
				}
				$('#app_img_tipDvi').hide();
				$('#app_img_tip').html('');
				if(GHUTILS.validate("app-imgDiv")){
					_this.getVericode();
				}
			});
			
			$("#app-stepOneNext").off().on("tap",function(){
				$(_this.tips2).html("&nbsp;")
				if(GHUTILS.validate("app-stepTwo")){
					_this.checkPayPwd();
				}
			});
			
			$('#app-stepTwoNext').off().on('tap',function(){
				$(_this.tips3).html("&nbsp;")
				if(GHUTILS.validate("app-stepThree")){
					var payPwdReset = $('#app-payPwdReset').val();
					var newPayPwd = $('#app-newPayPwd').val();
					if(payPwdReset != newPayPwd){
						_this.resetPayPwd();
					}else{
						GHUTILS.showError('新支付密码与原支付密码不可相同',_this.tips3);
					}
				}
			});
		},
		setPayPwd: function(){
			var _this = this;
			var paypassword = $('#app-payPwd').val();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.modifypaypassword,
				data: {
					paypassword: paypassword
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips1)) {
						GHUTILS.getUserInfo(function(){
							GHUTILS.refreshPages();
							mui.toast("密码设置成功");
							mui.back();
						});
					}
				}
			});
		},
		getVericode: function(){
			var _this = this;
			_this.imgConfirmed=true;
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.phoneverifyv1,
				data: {
					mobile: GHUTILS.getLocalUserInfo("mobile"),
					inputVerify: '',
					msgType: 'DX',
					msgTempId: 8,
					valicode: $("#app_imgVericode").val(),
					notice: "valicode_notice_zhifu"
				},
				type: "post",
				sw: true,
				callback: function (result) {
					if (result.errorCode==0) {
						_this.getVcode.addClass("app_btn_loading")
						$("#app_imgVericode").blur();
						GHUTILS.popupBox.hide("#app_toast_confirm");
						GHUTILS.btnTime(_this.getVcode);
					}else{
						$("#app_imgVericode").val("");
						$('#app_img_tipDvi').show();
						$('#app_img_tip').html(result.errorMessage);
						GHUTILS.changeVCode1($("#app_vcode_img"));
						_this.imgConfirmed=false;
					}
				}
			});
		},
		checkPayPwd: function(){
			var _this = this;
			_this.vericode = $('#app-verifyCode').val();
			var oldPayPwd = $('#app-payPwdReset').val();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.checkoldpaypwd,
				data: {
					notClearMemchache: 1,
					oldPayPwd: oldPayPwd,
					vericode: _this.vericode,
					mobile: GHUTILS.getLocalUserInfo("mobile")
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips2)) {
						$("#app-stepTwo").hide();
						$("#app-stepThree").show();
					}
				}
			});
		},
		resetPayPwd: function(){
			var _this = this;
			var paypassword = $('#app-newPayPwd').val();
			GHUTILS.LOAD({
				url: GHUTILS.API.USER.modifypaypassword,
				data: {
					paypassword: paypassword,
					vericode: _this.vericode
				},
				type: "post",
				sw: true,
				callback: function(result) {
					if (GHUTILS.checkErrorCode(result,_this.tips3)) {
						GHUTILS.getUserInfo(function(){
							GHUTILS.refreshPages();
							mui.toast("密码修改成功");
							mui.back();							
						});
					}
				}
			});
		},
	}
	mui.plusReady(function(){
		var ppwd = new PAYPSWD();
			ppwd.init();
	});
})(Zepto);
